local root = {
    {
        taskConfigId = 1,
        day = 1,
        id = 101,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值6元',
        maxProgress = 6,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 102,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录1天',
        maxProgress = 1,
        items = {{type=2,id=10000,qa=1,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 103,
        eventId = 109,
        taskParam = 'setAlbumCount',
        actionProgress = 1,
        content = '更换头像1次',
        maxProgress = 1,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 104,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        content = '开启宝箱10次',
        maxProgress = 10,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 105,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼5次',
        maxProgress = 5,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 106,
        eventId = 106,
        taskParam = 'upgradeCount',
        actionProgress = 1,
        content = '升级5次任意卡牌',
        maxProgress = 5,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 1,
        id = 107,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到3阶',
        maxProgress = 3,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 201,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值30元',
        maxProgress = 30,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 202,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录2天',
        maxProgress = 2,
        items = {{type=2,id=10000,qa=1,count=6}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 203,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        content = '开启宝箱50次',
        maxProgress = 50,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 204,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼10次',
        maxProgress = 10,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 205,
        eventId = 106,
        taskParam = 'qaGetCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 1,
        content = '获得20张任意卡牌',
        maxProgress = 20,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 206,
        eventId = 106,
        taskParam = 'upgradeCount',
        actionProgress = 1,
        content = '升级10次任意卡牌',
        maxProgress = 10,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 2,
        id = 207,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到4阶',
        maxProgress = 4,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 301,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值68元',
        maxProgress = 68,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 302,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录3天',
        maxProgress = 3,
        items = {{type=2,id=10000,qa=1,count=9}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 303,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼20次',
        maxProgress = 20,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 304,
        eventId = 109,
        taskParam = 'honorCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 1,
        content = '参与演武争彩2次',
        maxProgress = 2,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 305,
        eventId = 106,
        taskParam = 'qaGetCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 1,
        content = '获得50张任意卡牌',
        maxProgress = 50,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 306,
        eventId = 106,
        taskParam = 'upgradeCount',
        actionProgress = 1,
        content = '升级20次任意卡牌',
        maxProgress = 20,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 3,
        id = 307,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到5阶',
        maxProgress = 5,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 401,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值98元',
        maxProgress = 98,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 402,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录4天',
        maxProgress = 4,
        items = {{type=2,id=10000,qa=1,count=12}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 403,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼30次',
        maxProgress = 30,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 404,
        eventId = 106,
        taskParam = 'maxAttack',
        actionProgress = 3,
        content = '任意卡牌提升至8灵力',
        maxProgress = 8,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 405,
        eventId = 109,
        taskParam = 'honorCount',
        taskSecondParam = {"key","==",2},
        actionProgress = 1,
        content = '参与演武演武2次',
        maxProgress = 2,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 406,
        eventId = 109,
        taskParam = 'finishAchiveCount',
        actionProgress = 3,
        content = '激活任意成就5个',
        maxProgress = 5,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 4,
        id = 407,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到6阶',
        maxProgress = 6,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 501,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值128元',
        maxProgress = 128,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 502,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录5天',
        maxProgress = 5,
        items = {{type=2,id=10000,qa=1,count=15}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 503,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼40次',
        maxProgress = 40,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 504,
        eventId = 106,
        taskParam = 'maxAttack',
        actionProgress = 3,
        content = '任意卡牌提升至10灵力',
        maxProgress = 10,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 505,
        eventId = 102,
        taskParam = 'honorTypeWinCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 3,
        content = '演武争彩最高达3胜',
        maxProgress = 3,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 506,
        eventId = 109,
        taskParam = 'finishAchiveCount',
        actionProgress = 3,
        content = '激活任意成就10个',
        maxProgress = 10,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 5,
        id = 507,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到7阶',
        maxProgress = 7,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 601,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值328元',
        maxProgress = 328,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 602,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录6天',
        maxProgress = 6,
        items = {{type=2,id=10000,qa=1,count=18}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 603,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼50次',
        maxProgress = 50,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 604,
        eventId = 106,
        taskParam = 'minColorMaxAttack',
        actionProgress = 3,
        content = '四色卡牌最高灵力全部达10灵力',
        maxProgress = 10,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 605,
        eventId = 102,
        taskParam = 'honorTypeWinCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 3,
        content = '演武争彩最高达4胜',
        maxProgress = 4,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 606,
        eventId = 109,
        taskParam = 'finishAchiveCount',
        actionProgress = 3,
        content = '激活任意成就15个',
        maxProgress = 15,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 6,
        id = 607,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到8阶',
        maxProgress = 8,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 701,
        eventId = 104,
        taskParam = 'payCount',
        actionProgress = 1,
        content = '累计充值648元',
        maxProgress = 648,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 702,
        eventId = 107,
        taskParam = 'tmpLoginDay',
        actionProgress = 3,
        content = '累计登录7天',
        maxProgress = 7,
        items = {{type=2,id=10000,qa=1,count=21}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 703,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3}},
        content = '云游之镜进行比拼100次',
        maxProgress = 100,
        items = {{type=1,id=102,count=10}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 704,
        eventId = 106,
        taskParam = 'minColorMaxAttack',
        actionProgress = 3,
        content = '四色卡牌最高灵力全部达12灵力',
        maxProgress = 12,
        items = {{type=1,id=301,count=3}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 705,
        eventId = 102,
        taskParam = 'honorTypeWinCount',
        taskSecondParam = {"key",">=",1},
        actionProgress = 3,
        content = '演武演武最高达5胜',
        maxProgress = 5,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 706,
        eventId = 109,
        taskParam = 'finishAchiveCount',
        actionProgress = 3,
        content = '激活任意成就20个',
        maxProgress = 20,
        items = {{type=1,id=101,count=200}},
        rateScore = 12
    },
    {
        taskConfigId = 1,
        day = 7,
        id = 707,
        eventId = 105,
        taskParam = 'maxSceneLv',
        actionProgress = 3,
        content = '云游之镜达到9阶',
        maxProgress = 9,
        items = {{type=1,id=811,count=1}},
        rateScore = 12
    }
}
return root