local root = {
    {
        taskConfigId = 1,
        mode = 0,
        id = 101,
        weight = 10,
        isFirst = true,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        maxProgress = 2,
        content = '开启宝箱2次',
        exp = 25
    },
    {
        taskConfigId = 1,
        mode = 0,
        id = 102,
        weight = 10,
        isFirst = true,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3,4,5,6,11,12,20}}},
        maxProgress = 1,
        content = '完成一把对局',
        exp = 25
    },
    {
        taskConfigId = 1,
        mode = 0,
        id = 103,
        weight = 10,
        isFirst = true,
        eventId = 102,
        taskParam = 'skillUse',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3,4,5,6,11,12,20}}},
        maxProgress = 1,
        content = '使用一次英雄技能',
        exp = 25
    },
    {
        taskConfigId = 1,
        mode = 0,
        id = 104,
        weight = 10,
        isFirst = true,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"type","==",10000},{"add",">",0}},
        maxProgress = 5,
        content = '获得5张卡牌',
        exp = 25
    },
    {
        taskConfigId = 1,
        mode = 0,
        id = 105,
        weight = 10,
        isFirst = true,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",301},{"add","<",0}},
        maxProgress = 15,
        content = '使用15把钥匙',
        exp = 75
    },
    {
        taskConfigId = 1,
        mode = 0,
        id = 106,
        weight = 10,
        isFirst = true,
        eventId = 30016,
        taskParam = 'count:0',
        actionProgress = 1,
        maxProgress = 4,
        content = '完成4个每日任务',
        exp = 0,
        items = {{id=811,count=5}}
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 201,
        weight = 10,
        isFirst = true,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",6}},
        maxProgress = 3,
        content = '完成3次联盟挑战赛',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 202,
        weight = 10,
        isFirst = true,
        eventId = 10001,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"ty","=","give"}},
        maxProgress = 3,
        content = '赠送好友3把钥匙',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 203,
        weight = 10,
        isFirst = true,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2}}},
        maxProgress = 1,
        content = '进行1局演武争彩',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 204,
        weight = 10,
        eventId = 70001,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"ty","=","lottery"}},
        maxProgress = 10,
        content = '进行10次祈愿',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 205,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",5}},
        maxProgress = 2,
        content = '完成2局友谊赛',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 206,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",20}},
        maxProgress = 2,
        content = '完成2次决战之夜',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 207,
        weight = 10,
        eventId = 106,
        taskParam = 'upgradeCount',
        actionProgress = 1,
        maxProgress = 3,
        content = '升级3次卡牌',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 208,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",20}},
        maxProgress = 5,
        content = '决战之夜完成5局',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 209,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3},{"bettleStatus","==",1}},
        maxProgress = 5,
        content = '云游比拼获得五局胜利',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 1,
        id = 210,
        weight = 10,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        maxProgress = 2000,
        content = '消耗2000玉叶',
        exp = 175
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 301,
        weight = 10,
        isFirst = true,
        eventId = 108,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"ty","=","castleUpgrade"}},
        maxProgress = 1,
        content = '神龛提升一级',
        exp = 1000
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 302,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"battleType","sam",{1,2}}},
        maxProgress = 15,
        content = '演武争彩中获得15局胜利',
        exp = 500
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 303,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",3},{"bettleStatus","==",1}},
        maxProgress = 30,
        content = '云游比拼获胜30局',
        exp = 500
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 304,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",20},{"bettleStatus","==",1}},
        maxProgress = 10,
        content = '决战之夜获胜10局',
        exp = 500
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 305,
        weight = 10,
        eventId = 70001,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"ty","=","lottery"}},
        maxProgress = 100,
        content = '祈愿100次',
        exp = 500
    },
    {
        taskConfigId = 1,
        mode = 2,
        id = 306,
        weight = 10,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"battleType","==",6},{"bettleStatus","==",1}},
        maxProgress = 10,
        content = '联盟挑战赛获胜10局',
        exp = 500
    }
}
return root