local root = {
    {
        id = 1,
        name = '野兽骚动1',
        qa = 1,
        type = 1,
        available = false,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,1,1},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        displayTreasure = {id=30000},
        reward = {{id=101,count=10},{id=102,count=9}},
        helpReward = {{id=104,count=800}}
    },
    {
        id = 2,
        name = '野兽骚动2',
        qa = 1,
        type = 2,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,1,4,3},
        totalAttack = 10,
        minAttack = {2,1,1,1},
        specificHero = {{heroId=1011,attack=2,pos=1}},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        reward = {{id=401,count=20}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 3,
        name = '野兽骚动3',
        qa = 1,
        type = 3,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,1,2,2},
        totalAttack = 50,
        minAttack = {1,1,12,1},
        specificHero = {{heroId=1011,attack=2,pos=1},{heroId=2011,attack=2,pos=3}},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        reward = {{id=402,count=30}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 4,
        name = '野兽骚动4',
        qa = 1,
        type = 4,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 50,
        minAttack = {1,1,12,1},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        reward = {{id=403,count=30}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 5,
        name = '野兽骚动5',
        qa = 1,
        type = 5,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 50,
        minAttack = {1,15,1,1},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        reward = {{id=404,count=40}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 6,
        name = '野兽骚动6',
        qa = 1,
        type = 6,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 50,
        minAttack = {1,1,22,1},
        event = {1},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 10,
        reward = {{id=501,count=30}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 7,
        name = '野兽骚动7',
        qa = 1,
        type = 7,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=502,count=4}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 8,
        name = '野兽骚动8',
        qa = 1,
        type = 8,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 100,
        minAttack = {27,27,27,1},
        optionalHero = {1011},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=503,count=131}},
        optionalReward = {{id=101,count=131}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 9,
        name = '野兽骚动9',
        qa = 1,
        type = 9,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 101,
        minAttack = {27,27,27,1},
        optionalHero = {1031},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=632,count=1}},
        optionalReward = {{id=101,count=31}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 10,
        name = '野兽骚动10',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 102,
        minAttack = {27,27,27,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=801,count=3}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 11,
        name = '调查山林1',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 100,
        minAttack = {16,16,16,16},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=802,count=10}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 12,
        name = '调查山林2',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {3,4,4,3},
        totalAttack = 100,
        minAttack = {16,16,16,16},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=901,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 13,
        name = '调查山林3',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {3,4,4,3},
        totalAttack = 100,
        minAttack = {16,16,16,16},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=22904,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 14,
        name = '调查山林4',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {3,4,4,3},
        totalAttack = 100,
        minAttack = {22,22,22,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=30000,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 15,
        name = '调查山林5',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 100,
        minAttack = {22,22,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=501,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 16,
        name = '调查山林6',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 100,
        minAttack = {22,22,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=502,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 17,
        name = '调查山林7',
        qa = 1,
        type = 1,
        available = true,
        weight = {10,10,0,0,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 100,
        minAttack = {22,22,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=503,count=1}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 18,
        name = '护送派遣',
        qa = 2,
        type = 2,
        available = true,
        weight = {1,5,10,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {8,1,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=131}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 19,
        name = '风云洞探秘1',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,4,1,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=21}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 20,
        name = '风云洞探秘2',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,4,1},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=3}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 21,
        name = '风云洞探秘3',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,1,4},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=131}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 22,
        name = '风云洞探秘4',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 1,
        color = {1,4,4,3},
        totalAttack = 10,
        minAttack = {2,1,1,1},
        specificHero = {{heroId=1011,attack=2,pos=1}},
        event = {2,3},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=21}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 23,
        name = '风云洞探秘5',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,1,1},
        event = {2},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1011,count=10}},
        helpReward = {{id=104,count=9}}
    },
    {
        id = 24,
        name = '风云洞探秘6',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 10,
        minAttack = {1,1,1,1},
        reward = {{id=1011,count=20}}
    },
    {
        id = 25,
        name = '风云洞探秘7',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30}}
    },
    {
        id = 26,
        name = '东海试炼1',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30}}
    },
    {
        id = 27,
        name = '东海试炼2',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=40}}
    },
    {
        id = 28,
        name = '东海试炼3',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30}}
    },
    {
        id = 29,
        name = '东海试炼4',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=4}}
    },
    {
        id = 30,
        name = '东海试炼5',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=131}}
    },
    {
        id = 31,
        name = '东海试炼6',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=21}}
    },
    {
        id = 32,
        name = '东海试炼7',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=3}}
    },
    {
        id = 33,
        name = '东海试炼8',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 2,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=10}}
    },
    {
        id = 34,
        name = '东海试炼9',
        qa = 2,
        type = 3,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        event = {3,4},
        eventWeight = {50,50},
        failWeight = 100,
        punishPercent = 50,
        reward = {{qa=1,count=20}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 35,
        name = '剿灭狼王1',
        qa = 3,
        type = 2,
        available = true,
        weight = {0,3,10,20,10,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        optionalHero = {1011},
        reward = {{qa=1,count=21}},
        optionalReward = {{id=102,count=21}}
    },
    {
        id = 36,
        name = '天降神兵1',
        qa = 2,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=3}}
    },
    {
        id = 37,
        name = '天降神兵2',
        qa = 2,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=10}}
    },
    {
        id = 38,
        name = '天降神兵3',
        qa = 2,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=20}}
    },
    {
        id = 39,
        name = '天降神兵4',
        qa = 2,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=2,count=21}}
    },
    {
        id = 40,
        name = '天降神兵5',
        qa = 3,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=2,count=3}}
    },
    {
        id = 41,
        name = '天降神兵6',
        qa = 3,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=2,count=10}}
    },
    {
        id = 42,
        name = '天降神兵7',
        qa = 3,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=2,count=20}}
    },
    {
        id = 43,
        name = '天降神兵8',
        qa = 3,
        type = 5,
        available = true,
        weight = {0,5,10,5,0,0},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=21},{qa=2,count=10}}
    },
    {
        id = 44,
        name = '地府挑战1',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,6},
        specificHero = {{heroId=4051,attack=6,pos=4}},
        event = {3},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{qa=1,count=30},{qa=2,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 45,
        name = '地府挑战2',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30},{qa=2,count=10}}
    },
    {
        id = 46,
        name = '地府挑战3',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=40},{qa=2,count=10}}
    },
    {
        id = 47,
        name = '地府挑战4',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30},{qa=2,count=10}}
    },
    {
        id = 48,
        name = '地府挑战5',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=4},{qa=2,count=10}}
    },
    {
        id = 49,
        name = '地府挑战6',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 20,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=131},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 50,
        name = '地府挑战7',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=21},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 51,
        name = '地府挑战8',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=3},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 52,
        name = '地府挑战9',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=10},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 53,
        name = '地府挑战10',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=20},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 54,
        name = '地府挑战11',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 55,
        name = '地府挑战12',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{qa=1,count=30},{qa=2,count=10},{qa=3,count=10}}
    },
    {
        id = 56,
        name = '地府挑战13',
        qa = 3,
        type = 6,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 0,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1101,count=40},{qa=1,count=10}}
    },
    {
        id = 57,
        name = '蓬莱仙境1',
        qa = 4,
        type = 7,
        available = true,
        weight = {0,0,10,10,5,5},
        cdTime = 48,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        reward = {{id=1101,count=40},{qa=1,count=10}}
    },
    {
        id = 58,
        name = '西游始行1',
        qa = 4,
        type = 8,
        available = true,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 3,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,6},
        specificHero = {{heroId=4051,attack=6,pos=4}},
        event = {3},
        eventWeight = {100},
        nextTaskId = 59,
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=1101,count=30},{qa=1,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 59,
        name = '行者降魔2',
        qa = 4,
        type = 9,
        available = false,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        nextTaskId = 60,
        reward = {{id=1101,count=4},{qa=1,count=10}}
    },
    {
        id = 60,
        name = '群妖聚义3',
        qa = 4,
        type = 10,
        available = false,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        nextTaskId = 61,
        reward = {{id=1101,count=131},{qa=1,count=10}}
    },
    {
        id = 61,
        name = '三打白骨精4',
        qa = 4,
        type = 11,
        available = false,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        nextTaskId = 62,
        reward = {{id=1101,count=21},{qa=1,count=10}}
    },
    {
        id = 62,
        name = '会灵元5',
        qa = 4,
        type = 12,
        available = false,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 35,
        minAttack = {1,1,1,1},
        nextTaskId = 63,
        reward = {{id=1101,count=3},{qa=1,count=10}}
    },
    {
        id = 63,
        name = '成圣6',
        qa = 4,
        type = 13,
        available = false,
        weight = {0,0,0,10,10,5},
        cdTime = 10,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 80,
        minAttack = {1,20,1,1},
        specificHero = {{heroId=2041,attack=20,pos=2}},
        reward = {{id=1101,count=10},{qa=1,count=10}}
    },
    {
        id = 64,
        name = '大闹天宫7',
        qa = 4,
        type = 14,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {16,1,1,1},
        specificHero = {{heroId=1021,attack=16,pos=1}},
        reward = {{id=1101,count=20},{qa=1,count=10}}
    },
    {
        id = 65,
        name = '大闹天宫8',
        qa = 4,
        type = 15,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1021},
        reward = {{id=101,count=30},{id=102,count=10}},
        optionalReward = {{id=101,count=20}}
    },
    {
        id = 66,
        name = '大闹天宫9',
        qa = 4,
        type = 16,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1021},
        reward = {{id=101,count=30},{id=102,count=10}},
        optionalReward = {{id=101,count=30}}
    },
    {
        id = 67,
        name = '大闹天宫10',
        qa = 4,
        type = 17,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1021},
        displayTreasure = {id=30000},
        reward = {{id=101,count=40},{id=102,count=10}},
        optionalReward = {{id=101,count=30}}
    },
    {
        id = 68,
        name = '大闹天宫11',
        qa = 4,
        type = 18,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1021},
        displayTreasure = {id=30000},
        reward = {{id=101,count=30},{id=102,count=10}},
        optionalReward = {{id=101,count=40}}
    },
    {
        id = 69,
        name = '大闹天宫12',
        qa = 4,
        type = 19,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1021},
        displayTreasure = {id=30000},
        reward = {{id=101,count=4},{id=102,count=10}},
        optionalReward = {{id=101,count=30}}
    },
    {
        id = 70,
        name = '大闹天宫13',
        qa = 4,
        type = 20,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {1031},
        displayTreasure = {id=30000},
        reward = {{id=101,count=131},{id=102,count=10}},
        optionalReward = {{id=101,count=4}}
    },
    {
        id = 71,
        name = '大闹天宫14',
        qa = 4,
        type = 21,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 20,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        optionalHero = {4021},
        event = {4},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=21},{id=102,count=10}},
        optionalReward = {{id=101,count=131}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 72,
        name = '沧海一粟1',
        qa = 5,
        type = 22,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 48,
        taskTime = 4,
        color = {1,2,3,4},
        totalAttack = 40,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=69},{id=102,count=10}}
    },
    {
        id = 73,
        name = '化境之路1',
        qa = 5,
        type = 23,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        optionalHero = {1012},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=3},{id=102,count=10}},
        optionalReward = {{id=101,count=3}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 74,
        name = '化境之路2',
        qa = 5,
        type = 24,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 75,
        name = '化境之路3',
        qa = 5,
        type = 25,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=30},{id=102,count=10}}
    },
    {
        id = 76,
        name = '化境之路4',
        qa = 5,
        type = 26,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=4},{id=102,count=10}}
    },
    {
        id = 77,
        name = '化境之路5',
        qa = 5,
        type = 27,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=131},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 78,
        name = '化境之路6',
        qa = 5,
        type = 28,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=21},{id=102,count=10}}
    },
    {
        id = 79,
        name = '化境之路7',
        qa = 5,
        type = 29,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=69},{id=102,count=10}}
    },
    {
        id = 80,
        name = '化境之路8',
        qa = 5,
        type = 30,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=3},{id=102,count=10}}
    },
    {
        id = 81,
        name = '化境之路9',
        qa = 5,
        type = 31,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=40},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 82,
        name = '成魔之法1',
        qa = 6,
        type = 32,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 72,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=30},{id=102,count=10}}
    },
    {
        id = 86,
        name = '成魔之法2',
        qa = 6,
        type = 33,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 72,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {16,1,1,1},
        reward = {{id=101,count=3},{id=102,count=10}}
    },
    {
        id = 87,
        name = '渡劫1',
        qa = 6,
        type = 34,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=123},{id=102,count=10}}
    },
    {
        id = 88,
        name = '渡劫2',
        qa = 6,
        type = 35,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=3},{id=102,count=10}}
    },
    {
        id = 89,
        name = '渡劫3',
        qa = 6,
        type = 36,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=40},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 90,
        name = '渡劫4',
        qa = 6,
        type = 37,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 91,
        name = '渡劫5',
        qa = 6,
        type = 38,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {4},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=40},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 92,
        name = '渡劫6',
        qa = 6,
        type = 39,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 93,
        name = '渡劫7',
        qa = 6,
        type = 40,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=40},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    },
    {
        id = 94,
        name = '渡劫8',
        qa = 6,
        type = 41,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 95,
        name = '渡劫9',
        qa = 6,
        type = 42,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 96,
        name = '无上之道1',
        qa = 6,
        type = 43,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        reward = {{id=101,count=40},{id=102,count=10}}
    },
    {
        id = 97,
        name = '弑神1',
        qa = 6,
        type = 44,
        available = true,
        weight = {0,0,0,0,10,5},
        cdTime = 30,
        taskTime = 5,
        color = {1,2,3,4},
        totalAttack = 99,
        minAttack = {1,1,1,1},
        event = {5},
        eventWeight = {100},
        failWeight = 100,
        punishPercent = 50,
        reward = {{id=101,count=114},{id=102,count=10}},
        helpReward = {{id=104,count=10}}
    }
}
return root