local root = {
    {
        minCups = 0,
        maxCups = 100,
        win = {-9999,9999},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,1,1},100}},
        baseLevel = 1,
        robotLinkType = {{"L",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"L49", 100}},
        playerSupplyWeight2 = {{"L49", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 100,
        maxCups = 150,
        win = {2,9999},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 100,
        maxCups = 150,
        win = {0,1},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,1,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 100,
        maxCups = 150,
        win = {-9999,-1},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,1,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 150,
        maxCups = 200,
        win = {2,9999},
        exSkillPercList = {100},
        attackListWeight = {{{1,2,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 150,
        maxCups = 200,
        win = {-1,1},
        exSkillPercList = {100},
        attackListWeight = {{{1,1,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 150,
        maxCups = 200,
        win = {-9999,-2},
        exSkillPercList = {100},
        attackListWeight = {{{1,1,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 200,
        maxCups = 250,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,2,2},70},{{1,2,2,3},30}},
        baseLevel = 2,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 200,
        maxCups = 250,
        win = {-1,1},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{1,2,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 200,
        maxCups = 250,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{1,2,2,2},100}},
        baseLevel = 1,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 250,
        maxCups = 300,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,2,3},70},{{1,2,3,3},30}},
        baseLevel = 2,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 250,
        maxCups = 300,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,2,2},100}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 250,
        maxCups = 300,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{2,2,2,2},100}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}}
    },
    {
        minCups = 300,
        maxCups = 350,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,3,3},60},{{1,3,3,3},20},{{1,2,3,4},10},{{2,2,2,4},10}},
        baseLevel = 2,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 300,
        maxCups = 350,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,2,3},70},{{1,2,3,3},30}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 300,
        maxCups = 350,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{2,2,2,3},70},{{1,2,3,3},30}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 350,
        maxCups = 400,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,3,3,3},60},{{2,2,3,4},20},{{1,2,4,4},10},{{1,3,3,4},10}},
        baseLevel = 2,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 350,
        maxCups = 400,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,2,3,3},60},{{1,3,3,3},30},{{2,2,2,4},10}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 350,
        maxCups = 400,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{2,2,3,3},60},{{1,3,3,3},30},{{2,2,2,4},10}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 400,
        maxCups = 450,
        win = {2,9999},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{3,3,3,3},60},{{2,3,3,4},30},{{2,2,4,4},10}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,30},{4111,70}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 400,
        maxCups = 450,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{2,3,3,3},60},{{2,2,3,4},30},{{1,3,3,4},10}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,30},{4111,70}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 400,
        maxCups = 450,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{2,3,3,3},60},{{2,2,3,4},30},{{1,3,3,4},10}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,30},{4111,70}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 450,
        maxCups = 500,
        win = {2,9999},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{3,3,3,4},70},{{2,3,4,4},30}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 450,
        maxCups = 500,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,3,3,3},70},{{2,3,3,4},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,30},{4111,70}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 450,
        maxCups = 500,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{3,3,3,3},70},{{2,3,3,4},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,30},{4111,70}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,70},{1021,30}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 500,
        maxCups = 550,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{3,4,4,6},100}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,50},{1021,50}},
        redWeight = {{2111,100}}
    },
    {
        minCups = 500,
        maxCups = 550,
        win = {2,4},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{3,3,4,4},60},{{2,4,4,4},30},{{3,3,3,5},10}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,50},{1021,50}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 500,
        maxCups = 550,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,3,3,4},70},{{2,3,4,4},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,50},{4111,50}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 500,
        maxCups = 550,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{3,3,3,4},70},{{2,3,4,4},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,50},{4111,50}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,50},{1021,50}},
        redWeight = {{2011,30},{2031,70}}
    },
    {
        minCups = 550,
        maxCups = 600,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{3,4,4,6},100}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2111,100}}
    },
    {
        minCups = 550,
        maxCups = 600,
        win = {3,4},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 550,
        maxCups = 600,
        win = {2,2},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 550,
        maxCups = 600,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,3,4,4},60},{{2,4,4,4},30},{{3,3,3,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 550,
        maxCups = 600,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{3,3,4,4},60},{{2,4,4,4},30},{{3,3,3,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 600,
        maxCups = 700,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,4,6},100}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2111,100}}
    },
    {
        minCups = 600,
        maxCups = 700,
        win = {3,4},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{4,4,4,4},60},{{3,4,4,5},30},{{3,3,5,5},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,20},{2031,20},{2061,20},{2091,20},{2071,20}}
    },
    {
        minCups = 600,
        maxCups = 700,
        win = {2,2},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{4,4,4,4},60},{{3,4,4,5},30},{{3,3,5,5},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 600,
        maxCups = 700,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 600,
        maxCups = 700,
        win = {-9999,-2},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,40},{2031,40},{2061,20}}
    },
    {
        minCups = 700,
        maxCups = 800,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,5,6},100}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1041,100}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 700,
        maxCups = 800,
        win = {3,4},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,4,5},60},{{3,4,5,5},30},{{2,5,5,5},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 700,
        maxCups = 800,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,4,5},60},{{3,4,5,5},30},{{2,5,5,5},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,10},{3031,30},{3121,60}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 700,
        maxCups = 800,
        win = {-1,1},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,4,4},60},{{3,4,4,5},30},{{3,3,5,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 700,
        maxCups = 800,
        win = {-9999,-2},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{4,4,4,4},60},{{3,4,4,5},30},{{3,3,5,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,10},{4111,30},{4051,60}},
        blueWeight = {{3011,20},{3031,40},{3051,40}},
        greenWeight = {{1011,10},{1021,30},{1121,60}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 800,
        maxCups = 900,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,5,5,6},100}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,20},{4111,20},{4021,20},{4081,20},{4051,20}},
        blueWeight = {{3011,20},{3031,20},{3071,20},{3111,20},{3121,20}},
        greenWeight = {{1041,100}},
        redWeight = {{2011,20},{2031,20},{2061,20},{2091,20},{2071,20}}
    },
    {
        minCups = 800,
        maxCups = 900,
        win = {3,4},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,5,5},70},{{3,5,5,5},30}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,20},{4111,20},{4021,20},{4081,20},{4051,20}},
        blueWeight = {{3011,20},{3031,20},{3071,20},{3111,20},{3121,20}},
        greenWeight = {{1011,20},{1021,20},{1081,20},{1111,20},{1121,20}},
        redWeight = {{2011,20},{2031,20},{2061,20},{2091,20},{2071,20}}
    },
    {
        minCups = 800,
        maxCups = 900,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,5,5},70},{{3,5,5,5},30}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 800,
        maxCups = 900,
        win = {-1,1},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,4,5},70},{{3,4,5,5},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 800,
        maxCups = 900,
        win = {-9999,-2},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{4,4,4,5},70},{{3,4,5,5},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 900,
        maxCups = 1000,
        win = {5,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,5,5,6},100}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,20},{4111,20},{4021,20},{4081,20},{4051,20}},
        blueWeight = {{3011,20},{3031,20},{3071,20},{3111,20},{3121,20}},
        greenWeight = {{1041,100}},
        redWeight = {{2011,20},{2031,20},{2061,20},{2091,20},{2071,20},{2121,20}}
    },
    {
        minCups = 900,
        maxCups = 1000,
        win = {3,4},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,5,5,5},70},{{4,4,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,20},{4111,20},{4021,20},{4081,20},{4051,20}},
        blueWeight = {{3011,20},{3031,20},{3071,20},{3111,20},{3121,20}},
        greenWeight = {{1011,20},{1021,20},{1081,20},{1111,20},{1121,20}},
        redWeight = {{2011,20},{2031,20},{2061,20},{2091,20},{2071,20},{2121,20}}
    },
    {
        minCups = 900,
        maxCups = 1000,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,5,5,5},70},{{4,4,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 900,
        maxCups = 1000,
        win = {-1,1},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{4,4,5,5},70},{{3,5,5,5},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 900,
        maxCups = 1000,
        win = {-9999,-2},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{4,4,5,5},70},{{3,5,5,5},30}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,40},{4111,40},{4021,20}},
        blueWeight = {{3011,40},{3031,40},{3071,20}},
        greenWeight = {{1011,40},{1021,40},{1081,20}},
        redWeight = {{2011,20},{2031,60},{2061,20}}
    },
    {
        minCups = 1000,
        maxCups = 1150,
        win = {4,9999},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,5,5,6},100}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1000,
        maxCups = 1150,
        win = {2,3},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,5,5,5},60},{{4,5,5,6},30},{{4,4,6,6},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1000,
        maxCups = 1150,
        win = {0,1},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,5,5,5},70},{{4,5,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1000,
        maxCups = 1150,
        win = {-2,-1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{4,5,5,5},70},{{4,4,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1000,
        maxCups = 1150,
        win = {-9999,-3},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{4,5,5,5},70},{{4,4,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {7,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {3,6},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,6,6,6},100}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,5,5,6},70},{{4,5,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,10},{1041,45},{1091,45}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {0,1},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,5,5,6},70},{{4,5,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2121,45},{2111,45},{2031,10}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {-2,-1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,5,5},70},{{4,5,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1150,
        maxCups = 1300,
        win = {-9999,-3},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,5,5},70},{{4,5,5,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {7,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {3,6},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,6},100}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,45},{3041,45},{3031,10}},
        greenWeight = {{1021,10},{1041,45},{1091,45}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {0,1},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,45},{3041,45},{3031,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2121,45},{2111,45},{2031,10}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {-2,-1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,5,6},70},{{4,5,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1300,
        maxCups = 1450,
        win = {-9999,-3},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,5,6},70},{{4,5,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {7,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {3,6},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,6},100}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{5,6,6,6},70},{{4,6,6,8},30}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,45},{3041,45},{3031,10}},
        greenWeight = {{1021,10},{1041,45},{1091,45}},
        redWeight = {{2121,45},{2111,45},{2031,10}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {0,1},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,6,6,6},100}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,45},{3041,45},{3031,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2121,45},{2111,45},{2031,10}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {-2,-1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1450,
        maxCups = 1600,
        win = {-9999,-3},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {7,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {3,6},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,8},100}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,30},{4071,60},{4051,10}},
        blueWeight = {{3021,30},{3041,60},{3031,10}},
        greenWeight = {{1021,10},{1041,60},{1091,30}},
        redWeight = {{2121,30},{2111,60},{2031,10}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {2,2},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,6},70},{{4,6,6,8},20},{{5,6,6,8},10}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4031,45},{4071,45},{4051,10}},
        blueWeight = {{3021,45},{3041,45},{3031,10}},
        greenWeight = {{1021,10},{1041,45},{1091,45}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {0,1},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{6,6,6,6},70},{{4,6,6,8},20},{{5,6,6,8},10}},
        baseLevel = 5,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,25},{3041,25},{3031,50}},
        greenWeight = {{1021,60},{1041,20},{1091,20}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {-2,-1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,6,6,6},70},{{4,5,6,8},30}},
        baseLevel = 5,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3021,25},{3041,25},{3031,50}},
        greenWeight = {{1021,60},{1041,20},{1091,20}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    },
    {
        minCups = 1600,
        maxCups = 1800,
        win = {-9999,-3},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,6,6,6},70},{{4,5,6,8},30}},
        baseLevel = 5,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4081,30},{4061,30},{4021,30},{4111,10}},
        blueWeight = {{3071,30},{3111,30},{3031,30},{3051,10}},
        greenWeight = {{1021,30},{1111,20},{1121,20},{1061,20},{1081,10}},
        redWeight = {{2031,60},{2061,10},{2091,15},{2071,15}}
    }
}
return root