local root = {
    {
        settleId = 1001,
        round = 1,
        condition = 1,
        isSupply = 0,
        blockArray = {{3,1,2,3,3},{4,1,2,2,2},{4,2,4,4,1},{3,1,1,3,3},{1,3,4,4,4},{3,4,4,3,1},{4,4,1,2,1},{1,3,3,4,4},{1,2,2,4,1},{3,3,3,3,3}},
        linkGroup = {{10,5},{10,4},{10,3},{10,2},{10,1}}
    },
    {
        settleId = 1001,
        round = 1,
        condition = 2,
        isSupply = 1,
        blockArray = {{3,4,2,3,2},{4,1,2,3,3},{4,1,2,2,2},{3,2,4,4,1},{1,1,1,3,3},{3,3,4,4,4},{4,4,4,3,1},{1,4,1,2,1},{1,3,3,4,4},{3,2,2,4,1}}
    },
    {
        settleId = 1001,
        round = 1,
        condition = 3,
        isSupply = 0,
        blockArray = {{3,4,2,3,2},{4,1,2,3,3},{4,1,2,2,2},{3,2,4,4,1},{1,1,1,3,3},{3,3,4,4,4},{4,4,4,3,1},{1,4,1,2,1},{1,3,3,4,4},{3,2,2,4,1}}
    },
    {
        settleId = 1001,
        round = 2,
        condition = 1,
        isSupply = 0,
        blockArray = {{3,4,2,3,2},{4,1,2,3,3},{4,1,2,2,2},{3,2,4,4,1},{1,1,1,3,3},{3,3,4,4,4},{4,4,4,3,1},{1,4,1,2,1},{1,3,3,4,4},{3,2,2,4,1}},
        linkGroup = {{3,5},{3,4},{3,3},{2,3},{1,3}}
    },
    {
        settleId = 1001,
        round = 2,
        condition = 2,
        isSupply = 1,
        blockArray = {{3,4,2,3,2},{4,1,4,3,3},{4,1,1,4,1},{3,2,4,3,3},{1,1,4,4,4},{3,3,1,3,1},{4,4,3,2,1},{1,4,2,4,4},{1,3,2,4,1},{3,2,4,3,1}}
    },
    {
        settleId = 1001,
        round = 2,
        condition = 3,
        isSupply = 1,
        blockArray = {{3,4,2,3,2},{4,1,4,3,3},{4,1,1,4,1},{3,2,4,3,3},{1,1,4,4,4},{3,3,1,3,1},{4,4,3,2,1},{1,4,2,4,4},{1,3,2,4,1},{4,2,4,3,1}}
    },
    {
        settleId = 1001,
        round = 3,
        condition = 1,
        isSupply = 0,
        blockArray = {{3,4,2,3,2},{4,1,4,3,3},{4,1,1,4,1},{3,2,4,3,3},{1,1,4,4,4},{3,3,1,3,1},{4,4,3,2,1},{1,4,2,4,4},{1,3,2,4,1},{4,2,4,3,1}},
        linkGroup = {{7,4},{8,3},{9,3},{10,2}}
    },
    {
        settleId = 1001,
        round = 3,
        condition = 2,
        isSupply = 1,
        blockArray = {{3,4,2,2,2},{4,1,2,3,3},{4,1,2,3,1},{3,2,4,4,3},{1,1,1,3,4},{3,3,4,4,1},{4,4,4,3,1},{1,4,1,4,4},{1,3,3,4,1},{4,2,4,3,1}}
    },
    {
        settleId = 1001,
        round = 3,
        condition = 3,
        isSupply = 0,
        blockArray = {{3,4,2,2,2},{4,1,2,3,3},{4,1,2,3,1},{3,2,4,4,3},{1,1,1,3,4},{3,3,4,4,1},{4,4,4,3,1},{1,4,1,4,4},{1,3,3,4,1},{4,2,4,3,1}}
    },
    {
        settleId = 1001,
        round = 4,
        condition = 1,
        isSupply = 0,
        blockArray = {{3,4,2,2,2},{4,1,2,3,3},{4,1,2,3,1},{3,2,4,4,3},{1,1,1,3,4},{3,3,4,4,1},{4,4,4,3,1},{1,4,1,4,4},{1,3,3,4,1},{4,2,4,3,1}},
        linkGroup = {{4,2},{3,3},{2,3},{1,3},{1,4},{1,5}}
    },
    {
        settleId = 1001,
        round = 4,
        condition = 2,
        isSupply = 1,
        blockArray = {{3,4,4,3,2},{4,1,1,3,3},{4,1,4,4,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,3,3,1},{4,4,4,4,1},{1,3,4,4,4},{1,2,4,3,1},{4,2,4,4,1}}
    },
    {
        settleId = 1001,
        round = 4,
        condition = 3,
        isSupply = 1,
        blockArray = {{3,4,4,3,2},{4,1,1,3,3},{4,1,4,4,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,3,3,1},{4,4,4,4,1},{1,3,4,4,4},{1,2,4,3,1},{4,2,4,4,1}}
    },
    {
        settleId = 1001,
        round = 5,
        condition = 1,
        isSupply = 0,
        blockArray = {{3,4,4,3,2},{4,1,1,3,3},{4,1,4,4,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,3,3,1},{4,4,4,4,1},{1,3,4,4,4},{1,2,4,3,1},{4,2,4,4,1}},
        linkGroup = {{10,4},{10,3},{9,3},{8,3},{8,4},{8,5},{7,4},{7,3},{7,2},{7,1},{6,2}}
    },
    {
        settleId = 1001,
        round = 5,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,1,1,3,3},{4,1,4,3,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,2,3,3,1}}
    },
    {
        settleId = 1001,
        round = 5,
        condition = 3,
        isSupply = 1,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,1,1,3,3},{4,1,4,3,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,2,3,3,1}}
    },
    {
        settleId = 1001,
        round = 6,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,1,1,3,3},{4,1,4,3,1},{3,1,4,3,3},{1,3,1,4,4},{3,4,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,2,3,3,1}},
        linkGroup = {{5,2},{4,2},{3,2},{3,3}}
    },
    {
        settleId = 1001,
        round = 6,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,3,1,3,3},{4,4,4,3,1},{3,3,4,3,3},{1,2,1,4,4},{3,2,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,4,3,3,1}}
    },
    {
        settleId = 1001,
        round = 6,
        condition = 3,
        isSupply = 0,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,3,1,3,3},{4,4,4,3,1},{3,3,4,3,3},{1,2,1,4,4},{3,2,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,4,3,3,1}}
    },
    {
        settleId = 1001,
        round = 7,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,3,4,2},{3,4,4,3,2},{4,3,1,3,3},{4,4,4,3,1},{3,3,4,3,3},{1,2,1,4,4},{3,2,4,3,1},{1,3,4,4,1},{1,2,1,3,1},{4,4,3,3,1}},
        linkGroup = {{8,4},{8,3},{7,3},{6,4},{6,5}}
    },
    {
        settleId = 1001,
        round = 7,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,2,2,2,2},{3,4,1,1,2},{4,3,3,4,3},{4,4,4,3,1},{3,3,1,3,3},{1,2,4,3,4},{3,2,4,3,1},{1,3,1,3,1},{1,2,1,3,1},{4,4,3,3,1}}
    },
    {
        settleId = 1001,
        round = 7,
        condition = 3,
        isSupply = 0,
        blockArray = {{2,2,2,2,2},{3,4,1,1,2},{4,3,3,4,3},{4,4,4,3,1},{3,3,1,3,3},{1,2,4,3,4},{3,2,4,3,1},{1,3,1,3,1},{1,2,1,3,1},{4,4,3,3,1}}
    },
    {
        settleId = 1001,
        round = 8,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,2,2,2},{3,4,1,1,2},{4,3,3,4,3},{4,4,4,3,1},{3,3,1,3,3},{1,2,4,3,4},{3,2,4,3,1},{1,3,1,3,1},{1,2,1,3,1},{4,4,3,3,1}},
        linkGroup = {{2,5},{1,5},{1,4},{1,3},{1,2},{1,1}}
    },
    {
        settleId = 1001,
        round = 8,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,4,1,1,3},{3,3,3,4,1},{4,4,4,3,3},{4,3,1,3,4},{3,2,4,3,1},{1,2,4,3,1},{3,3,1,3,1},{1,2,1,3,1},{1,4,3,3,1},{4,1,1,1,4}}
    },
    {
        settleId = 1001,
        round = 8,
        condition = 3,
        isSupply = 0,
        blockArray = {{2,4,1,1,3},{3,3,3,4,1},{4,4,4,3,3},{4,3,1,3,4},{3,2,4,3,1},{1,2,4,3,1},{3,3,1,3,1},{1,2,1,3,1},{1,4,3,3,1},{4,1,1,1,4}}
    },
    {
        settleId = 1002,
        round = 1,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,3,2,3},{1,1,1,4,4},{1,4,3,4,4},{3,4,3,2,2},{1,1,1,2,2},{3,2,3,3,4},{4,2,3,1,1},{2,2,3,4,2},{2,3,3,2,1},{1,1,1,1,1}},
        linkGroup = {{10,1},{10,2},{10,3},{10,4},{10,5}}
    },
    {
        settleId = 1002,
        round = 1,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,3,3,3,3},{2,2,3,2,4},{1,1,1,4,4},{1,4,3,4,2},{3,4,3,2,2},{1,1,1,2,4},{3,2,3,3,1},{4,2,3,1,2},{2,2,3,4,1},{2,3,3,2,1}}
    },
    {
        settleId = 1002,
        round = 1,
        condition = 3,
        isSupply = 0,
        blockArray = {{2,3,3,3,3},{2,2,3,2,4},{1,1,1,4,4},{1,4,3,4,2},{3,4,3,2,2},{1,1,1,2,4},{3,2,3,3,1},{4,2,3,1,2},{2,2,3,4,1},{2,3,3,2,1}}
    },
    {
        settleId = 1002,
        round = 2,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,3,3,3,3},{2,2,3,2,4},{1,1,1,4,4},{1,4,3,4,2},{3,4,3,2,2},{1,1,1,2,4},{3,2,3,3,1},{4,2,3,1,2},{2,2,3,4,1},{2,3,3,2,1}},
        linkGroup = {{1,2},{2,3},{1,3},{1,4},{1,5}}
    },
    {
        settleId = 1002,
        round = 2,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,2,1,2,3},{2,1,3,4,4},{1,4,3,4,4},{1,4,1,2,2},{3,1,3,2,2},{1,2,3,3,4},{3,2,3,1,1},{4,2,3,4,2},{2,3,3,2,1},{2,2,2,1,1}}
    },
    {
        settleId = 1002,
        round = 2,
        condition = 3,
        isSupply = 1,
        blockArray = {{2,2,1,2,3},{2,1,3,4,4},{1,4,3,4,4},{1,4,1,2,2},{3,1,3,2,2},{1,2,3,3,4},{3,2,3,1,1},{4,2,3,4,2},{2,3,3,2,1},{2,2,2,1,1}}
    },
    {
        settleId = 1002,
        round = 3,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,1,2,3},{2,1,3,4,4},{1,4,3,4,4},{1,4,1,2,2},{3,1,3,2,2},{1,2,3,3,4},{3,2,3,1,1},{4,2,3,4,2},{2,3,3,2,1},{2,2,2,1,1}},
        linkGroup = {{6,2},{7,2},{8,2},{9,1},{10,1},{10,2},{10,3},{9,4},{8,5}}
    },
    {
        settleId = 1002,
        round = 3,
        condition = 2,
        isSupply = 1,
        blockArray = {{1,2,3,2,3},{1,3,1,2,4},{2,3,3,4,4},{2,1,3,4,2},{1,2,1,2,2},{1,1,3,2,4},{3,4,3,3,1},{1,4,3,1,2},{3,1,3,4,1},{4,3,3,1,1}}
    },
    {
        settleId = 1002,
        round = 3,
        condition = 3,
        isSupply = 1,
        blockArray = {{1,2,3,2,2},{1,3,1,2,4},{2,3,3,4,4},{2,1,3,4,2},{1,2,1,2,2},{1,1,3,2,4},{3,4,3,3,1},{1,4,3,1,2},{3,1,3,4,1},{4,3,3,1,1}}
    },
    {
        settleId = 1002,
        round = 4,
        condition = 1,
        isSupply = 0,
        blockArray = {{1,2,3,2,2},{1,3,1,2,4},{2,3,3,4,4},{2,1,3,4,2},{1,2,1,2,2},{1,1,3,2,4},{3,4,3,3,1},{1,4,3,1,2},{3,1,3,4,1},{4,3,3,1,1}},
        linkGroup = {{4,3},{3,3},{3,2},{2,2},{1,3}}
    },
    {
        settleId = 1002,
        round = 4,
        condition = 2,
        isSupply = 1,
        blockArray = {{1,2,3,2,2},{1,1,1,2,4},{2,2,1,4,4},{2,1,3,4,2},{1,4,3,2,2},{1,4,3,2,4},{3,1,3,3,1},{1,3,3,1,2},{3,3,3,4,1},{4,1,3,1,1}}
    },
    {
        settleId = 1002,
        round = 4,
        condition = 3,
        isSupply = 0,
        blockArray = {{1,2,3,2,2},{1,1,1,2,4},{2,2,1,4,4},{2,1,3,4,2},{1,4,3,2,2},{1,4,3,2,4},{3,1,3,3,1},{1,3,3,1,2},{3,3,3,4,1},{4,1,3,1,1}}
    },
    {
        settleId = 1002,
        round = 5,
        condition = 1,
        isSupply = 0,
        blockArray = {{1,2,3,2,2},{1,1,1,2,4},{2,2,1,4,4},{2,1,3,4,2},{1,4,3,2,2},{1,4,3,2,4},{3,1,3,3,1},{1,3,3,1,2},{3,3,3,4,1},{4,1,3,1,1}},
        linkGroup = {{7,1},{8,2},{9,1},{9,2},{10,3},{9,3},{8,3},{7,3},{6,3},{7,4}}
    },
    {
        settleId = 1002,
        round = 5,
        condition = 2,
        isSupply = 1,
        blockArray = {{1,1,3,2,2},{3,3,2,2,4},{1,2,4,4,4},{1,1,4,4,2},{2,2,2,2,2},{2,1,3,2,4},{1,4,1,3,1},{1,4,1,1,2},{1,1,3,4,1},{4,1,3,1,1}}
    },
    {
        settleId = 1002,
        round = 5,
        condition = 3,
        isSupply = 0,
        blockArray = {{1,1,3,2,2},{3,3,2,2,4},{1,2,4,4,4},{1,1,4,4,2},{2,2,2,2,2},{2,1,3,2,4},{1,4,1,3,1},{1,4,1,1,2},{1,1,3,4,1},{4,1,3,1,1}}
    },
    {
        settleId = 1002,
        round = 6,
        condition = 1,
        isSupply = 0,
        blockArray = {{1,1,3,2,2},{3,3,2,2,4},{1,2,4,4,4},{1,1,4,4,2},{2,2,2,2,2},{2,1,3,2,4},{1,4,1,3,1},{1,4,1,1,2},{1,1,3,4,1},{4,1,3,1,1}},
        linkGroup = {{3,2},{2,3},{2,4},{1,4},{1,5}}
    },
    {
        settleId = 1002,
        round = 6,
        condition = 2,
        isSupply = 1,
        blockArray = {{1,1,3,4,2},{3,3,4,4,4},{1,1,4,2,4},{1,2,2,2,2},{2,1,3,3,2},{2,4,1,1,4},{1,4,1,4,1},{1,1,3,1,2},{1,1,3,4,1},{4,1,1,4,1}}
    },
    {
        settleId = 1002,
        round = 6,
        condition = 3,
        isSupply = 1,
        blockArray = {{1,1,3,4,2},{3,3,4,4,4},{1,1,4,2,4},{1,2,2,2,2},{2,1,3,3,2},{2,4,1,1,4},{1,4,1,4,1},{1,1,3,1,1},{1,1,3,4,1},{4,1,1,4,4}}
    },
    {
        settleId = 1002,
        round = 7,
        condition = 1,
        isSupply = 0,
        blockArray = {{1,1,3,4,2},{3,3,4,4,4},{1,1,4,2,4},{1,2,2,2,2},{2,1,3,3,2},{2,4,1,1,4},{1,4,1,4,1},{1,1,3,1,1},{1,1,3,4,1},{4,1,1,4,4}},
        linkGroup = {{10,3},{10,2},{9,1},{9,2},{8,1},{7,1},{8,2},{7,3},{6,3},{6,4},{7,5},{8,5},{9,5},{8,4}}
    },
    {
        settleId = 1002,
        round = 7,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,2,2,1,3},{1,1,2,4,3},{3,3,2,4,4},{1,1,3,2,2},{3,3,4,2,4},{1,1,4,3,4},{1,2,2,4,2},{2,1,3,1,2},{2,4,3,4,4},{4,4,3,4,4}}
    },
    {
        settleId = 1002,
        round = 7,
        condition = 3,
        isSupply = 1,
        blockArray = {{2,2,2,1,4},{1,1,2,4,3},{3,3,2,4,3},{1,1,3,2,4},{3,3,4,2,4},{1,1,4,3,4},{1,2,2,4,2},{2,1,3,1,2},{2,4,3,4,4},{4,4,3,4,4}}
    },
    {
        settleId = 1002,
        round = 8,
        condition = 1,
        isSupply = 0,
        blockArray = {{2,2,2,1,4},{1,1,2,4,3},{3,3,2,4,3},{1,1,3,2,4},{3,3,4,2,4},{1,1,4,3,4},{1,2,2,4,2},{2,1,3,1,2},{2,4,3,4,4},{4,4,3,4,4}},
        linkGroup = {{5,4},{4,4},{3,3},{2,3},{1,3},{1,2},{1,1}}
    },
    {
        settleId = 1002,
        round = 8,
        condition = 2,
        isSupply = 1,
        blockArray = {{2,1,3,1,4},{1,3,4,4,3},{3,1,4,4,3},{1,3,2,3,4},{3,1,3,4,4},{1,2,3,1,4},{1,1,3,4,2},{2,4,1,4,2},{2,4,3,1,4},{4,2,2,1,4}}
    },
    {
        settleId = 1002,
        round = 8,
        condition = 3,
        isSupply = 1,
        blockArray = {{2,1,3,1,4},{1,3,4,4,3},{3,1,4,4,3},{1,3,2,3,4},{3,1,3,4,4},{1,2,3,4,4},{1,1,3,4,2},{2,4,1,1,2},{2,4,3,1,4},{4,2,2,2,4}}
    }
}
return root