local root = {
    {
        id = 101,
        type = 1,
        name = '帝国币',
        ver = 1,
        unclockLevel = 0,
        seq = 1,
        detail = '在大陆的鼎盛时期，一个庞大的帝国统一了整个大陆与天空和海洋，逝去的帝国发行的货币帝国币在今天仍然是被全大陆公认的硬通货币，二级货币',
        enableComposite = true
    },
    {
        id = 102,
        type = 1,
        name = '宝石',
        ver = 1,
        unclockLevel = 0,
        seq = 2,
        detail = '据说最珍贵的宝石被称为神晶，而宝石也因为传说蕴含七神器的部分力量而作为全大陆最有价值的货币流通，一级货币',
        enableComposite = true
    },
    {
        id = 103,
        type = 1,
        name = '人民币',
        ver = 1,
        unclockLevel = 0,
        seq = 3,
        detail = '人民币符号',
        enableComposite = true
    },
    {
        id = 104,
        type = 1,
        name = '友情点',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '好友功能产出的道具，可以兑换奖励',
        enableComposite = true
    },
    {
        id = 105,
        type = 1,
        name = '神秘石板',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '神秘的雕刻石板，或许会在某些活动中派上用场',
        enableComposite = true
    },
    {
        id = 106,
        type = 1,
        name = '贡献值',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '冒险者参加冒险团后通过冒险团相关内容获得的奖励道具，可用于个人兑换和团体排名',
        enableComposite = true
    },
    {
        id = 107,
        type = 1,
        name = '稀有梦幻卡',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '可以像许愿一样自由选择的卡片，传说是临摹幻之书扉页制成，可以转换为任意一张稀有级英雄卡牌（R卡）',
        enableComposite = true
    },
    {
        id = 108,
        type = 1,
        name = '史诗梦幻卡',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '可以像许愿一样自由选择的卡片，传说是临摹幻之书扉页制成，可以转换为任意一张史诗级英雄卡牌（SR卡）',
        enableComposite = true
    },
    {
        id = 109,
        type = 1,
        name = '传说梦幻卡',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '可以像许愿一样自由选择的卡片，传说是临摹幻之书扉页制成，可以转换为任意一张传说级英雄卡牌（SSR卡）',
        enableComposite = true
    },
    {
        id = 110,
        type = 1,
        name = '奇迹梦幻卡',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '可以像许愿一样自由选择的卡片，幻之书残页制成，可以转换为任意一张英雄卡牌',
        enableComposite = true
    },
    {
        id = 111,
        type = 1,
        name = '御令勇者功勋点',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '冒险者根据御令勇者功勋点可享受对应等级的贵族特权，御令勇者功勋点可通过充值，购买礼包，完成功业等方式获得',
        enableComposite = true
    },
    {
        id = 201,
        type = 2,
        name = '冒险声望',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '冒险者在冒险旅途中实力的证明，冒险声望越高对应越高等级的冒险者等级',
        enableComposite = true
    },
    {
        id = 202,
        type = 2,
        name = '勇者经验',
        ver = 1,
        unclockLevel = 0,
        seq = 4,
        detail = '冒险者招募到的英雄升级后可以获得勇者经验，勇者经验能够提升冒险者小队的等级',
        enableComposite = true
    },
    {
        id = 301,
        type = 3,
        name = '小万能钥匙',
        ver = 1,
        unclockLevel = 0,
        seq = 5,
        detail = '能够打开冒险中获得的宝箱上的机械锁，一把小万能钥匙可以打开一个机械锁',
        enableComposite = true
    },
    {
        id = 401,
        type = 4,
        name = '风之灵晶 ',
        ver = 1,
        unclockLevel = 0,
        color = 1,
        seq = 6,
        detail = '蕴含有一丝风之神器力量的灵晶，英雄升级的必需品',
        enableComposite = true
    },
    {
        id = 402,
        type = 4,
        name = '火之灵晶',
        ver = 1,
        unclockLevel = 0,
        color = 2,
        seq = 7,
        detail = '蕴含有一丝火之神器力量的灵晶，英雄升级的必需品',
        enableComposite = true
    },
    {
        id = 403,
        type = 4,
        name = '水之灵晶',
        ver = 1,
        unclockLevel = 0,
        color = 3,
        seq = 8,
        detail = '蕴含有一丝水之神器力量的灵晶，英雄升级的必需品',
        enableComposite = true
    },
    {
        id = 404,
        type = 4,
        name = '地之灵晶 ',
        ver = 1,
        unclockLevel = 0,
        color = 4,
        seq = 9,
        detail = '蕴含有一丝地之神器力量的灵晶，英雄升级的必需品',
        enableComposite = true
    },
    {
        id = 405,
        type = 4,
        name = '虚之灵晶',
        ver = 1,
        unclockLevel = 0,
        color = 5,
        seq = 9,
        detail = '蕴含一丝上位三神器力量的灵晶，可以转化为任意下四位神器对应的灵晶（地水火风）',
        enableComposite = true
    },
    {
        id = 501,
        type = 5,
        name = '钥匙加速',
        ver = 1,
        unclockLevel = 0,
        seq = 10,
        detail = '24小时内小万能钥匙的回复速度翻倍',
        enableComposite = true
    },
    {
        id = 502,
        type = 5,
        name = '灵晶双倍',
        ver = 1,
        unclockLevel = 0,
        seq = 11,
        detail = '24小时内冒险战斗中获得的灵晶数量翻倍',
        enableComposite = true
    },
    {
        id = 503,
        type = 5,
        name = '加满灵晶',
        ver = 1,
        unclockLevel = 0,
        seq = 12,
        detail = '将目前冒险小队等级的灵晶储量加满',
        enableComposite = true
    },
    {
        id = 601,
        type = 6,
        name = '医师汤圆头像',
        ver = 1,
        unclockLevel = 0,
        seq = 13,
        detail = '医师汤圆头像',
        enableComposite = false
    },
    {
        id = 602,
        type = 6,
        name = '永生小景头像',
        ver = 1,
        unclockLevel = 0,
        seq = 14,
        detail = '永生小景头像',
        enableComposite = false
    },
    {
        id = 603,
        type = 6,
        name = '灵爆团团头像',
        ver = 1,
        unclockLevel = 0,
        seq = 15,
        detail = '灵爆团团头像',
        enableComposite = false
    },
    {
        id = 604,
        type = 6,
        name = '除灵十里头像',
        ver = 1,
        unclockLevel = 0,
        seq = 16,
        detail = '除灵十里头像',
        enableComposite = false
    },
    {
        id = 605,
        type = 6,
        name = '裁缝纤纤头像',
        ver = 1,
        unclockLevel = 0,
        seq = 17,
        detail = '裁缝纤纤头像',
        enableComposite = false
    },
    {
        id = 606,
        type = 6,
        name = '瘟疫影生头像',
        ver = 1,
        unclockLevel = 0,
        seq = 18,
        detail = '瘟疫影生头像',
        enableComposite = false
    },
    {
        id = 607,
        type = 6,
        name = '近卫糯米头像',
        ver = 1,
        unclockLevel = 0,
        seq = 19,
        detail = '近卫糯米头像',
        enableComposite = false
    },
    {
        id = 608,
        type = 6,
        name = '铁扇公主头像',
        ver = 1,
        unclockLevel = 0,
        seq = 20,
        detail = '铁扇公主头像',
        enableComposite = false
    },
    {
        id = 609,
        type = 6,
        name = '贞德头像',
        ver = 1,
        unclockLevel = 0,
        seq = 21,
        detail = '贞德头像',
        enableComposite = false
    },
    {
        id = 610,
        type = 6,
        name = '蛊师含光头像',
        ver = 1,
        unclockLevel = 0,
        seq = 22,
        detail = '蛊师含光头像',
        enableComposite = false
    },
    {
        id = 623,
        type = 6,
        name = '魅魔风月头像',
        ver = 1,
        unclockLevel = 0,
        seq = 23,
        detail = '魅魔风月头像',
        enableComposite = false
    },
    {
        id = 624,
        type = 6,
        name = '青霞头像',
        ver = 1,
        unclockLevel = 0,
        seq = 24,
        detail = '青霞头像',
        enableComposite = false
    },
    {
        id = 625,
        type = 6,
        name = '药师烧麦头像',
        ver = 1,
        unclockLevel = 0,
        seq = 25,
        detail = '药师烧麦头像',
        enableComposite = false
    },
    {
        id = 641,
        type = 6,
        name = '鼓手晴色头像',
        ver = 1,
        unclockLevel = 0,
        seq = 26,
        detail = '鼓手晴色头像',
        enableComposite = false
    },
    {
        id = 642,
        type = 6,
        name = '不屈清茗头像',
        ver = 1,
        unclockLevel = 0,
        seq = 27,
        detail = '不屈清茗头像',
        enableComposite = false
    },
    {
        id = 643,
        type = 6,
        name = '祭司颠颠头像',
        ver = 1,
        unclockLevel = 0,
        seq = 28,
        detail = '祭司颠颠头像',
        enableComposite = false
    },
    {
        id = 644,
        type = 6,
        name = '怨灵红烛头像',
        ver = 1,
        unclockLevel = 0,
        seq = 29,
        detail = '怨灵红烛头像',
        enableComposite = false
    },
    {
        id = 645,
        type = 6,
        name = '剑仙倒倒头像',
        ver = 1,
        unclockLevel = 0,
        seq = 30,
        detail = '剑仙倒倒头像',
        enableComposite = false
    },
    {
        id = 646,
        type = 6,
        name = '哪吒头像',
        ver = 1,
        unclockLevel = 0,
        seq = 31,
        detail = '哪吒头像',
        enableComposite = false
    },
    {
        id = 647,
        type = 6,
        name = '妲己头像',
        ver = 1,
        unclockLevel = 0,
        seq = 32,
        detail = '妲己头像',
        enableComposite = false
    },
    {
        id = 648,
        type = 6,
        name = '流星不酸头像',
        ver = 1,
        unclockLevel = 0,
        seq = 33,
        detail = '流星不酸头像',
        enableComposite = false
    },
    {
        id = 649,
        type = 6,
        name = '反伤绮罗头像',
        ver = 1,
        unclockLevel = 0,
        seq = 34,
        detail = '反伤绮罗头像',
        enableComposite = false
    },
    {
        id = 650,
        type = 6,
        name = '吸血夜阑头像',
        ver = 1,
        unclockLevel = 0,
        seq = 35,
        detail = '吸血夜阑头像',
        enableComposite = false
    },
    {
        id = 651,
        type = 6,
        name = '侠盗金羽头像',
        ver = 1,
        unclockLevel = 0,
        seq = 13,
        detail = '侠盗金羽头像',
        enableComposite = false
    },
    {
        id = 652,
        type = 6,
        name = '吕布头像',
        ver = 1,
        unclockLevel = 0,
        seq = 14,
        detail = '吕布头像',
        enableComposite = false
    },
    {
        id = 653,
        type = 6,
        name = '骗子阿筝头像',
        ver = 1,
        unclockLevel = 0,
        seq = 15,
        detail = '骗子阿筝头像',
        enableComposite = false
    },
    {
        id = 661,
        type = 6,
        name = '路西法头像',
        ver = 1,
        unclockLevel = 0,
        seq = 16,
        detail = '路西法头像',
        enableComposite = false
    },
    {
        id = 662,
        type = 6,
        name = '赵云头像',
        ver = 1,
        unclockLevel = 0,
        seq = 17,
        detail = '赵云头像',
        enableComposite = false
    },
    {
        id = 663,
        type = 6,
        name = '飞流棋士头像',
        ver = 1,
        unclockLevel = 0,
        seq = 18,
        detail = '飞流棋士头像',
        enableComposite = false
    },
    {
        id = 664,
        type = 6,
        name = '诸葛亮头像',
        ver = 1,
        unclockLevel = 0,
        seq = 19,
        detail = '诸葛亮头像',
        enableComposite = false
    },
    {
        id = 665,
        type = 6,
        name = '迷阵絮絮头像',
        ver = 1,
        unclockLevel = 0,
        seq = 20,
        detail = '迷阵絮絮头像',
        enableComposite = false
    },
    {
        id = 666,
        type = 6,
        name = '庇护烟波头像',
        ver = 1,
        unclockLevel = 0,
        seq = 21,
        detail = '庇护烟波头像',
        enableComposite = false
    },
    {
        id = 667,
        type = 6,
        name = '薇薇安头像',
        ver = 1,
        unclockLevel = 0,
        seq = 22,
        detail = '薇薇安头像',
        enableComposite = false
    },
    {
        id = 668,
        type = 6,
        name = '没用阿呆头像',
        ver = 1,
        unclockLevel = 0,
        seq = 23,
        detail = '没用阿呆头像',
        enableComposite = false
    },
    {
        id = 669,
        type = 6,
        name = '判官酿酿头像',
        ver = 1,
        unclockLevel = 0,
        seq = 24,
        detail = '判官酿酿头像',
        enableComposite = false
    },
    {
        id = 670,
        type = 6,
        name = '雪女暖阳头像',
        ver = 1,
        unclockLevel = 0,
        seq = 25,
        detail = '雪女暖阳头像',
        enableComposite = false
    },
    {
        id = 671,
        type = 6,
        name = '神偷咕噜头像',
        ver = 1,
        unclockLevel = 0,
        seq = 26,
        detail = '神偷咕噜头像',
        enableComposite = false
    },
    {
        id = 672,
        type = 6,
        name = '魁首疏雨头像',
        ver = 1,
        unclockLevel = 0,
        seq = 27,
        detail = '魁首疏雨头像',
        enableComposite = false
    },
    {
        id = 673,
        type = 6,
        name = '谦让灿月头像',
        ver = 1,
        unclockLevel = 0,
        seq = 28,
        detail = '谦让灿月头像',
        enableComposite = false
    },
    {
        id = 681,
        type = 6,
        name = '雷震子头像',
        ver = 1,
        unclockLevel = 0,
        seq = 29,
        detail = '雷震子头像',
        enableComposite = false
    },
    {
        id = 682,
        type = 6,
        name = '暴击穗穗头像',
        ver = 1,
        unclockLevel = 0,
        seq = 30,
        detail = '暴击穗穗头像',
        enableComposite = false
    },
    {
        id = 683,
        type = 6,
        name = '雅典娜头像',
        ver = 1,
        unclockLevel = 0,
        seq = 31,
        detail = '雅典娜头像',
        enableComposite = false
    },
    {
        id = 684,
        type = 6,
        name = '女将孤梦头像',
        ver = 1,
        unclockLevel = 0,
        seq = 32,
        detail = '女将孤梦头像',
        enableComposite = false
    },
    {
        id = 685,
        type = 6,
        name = '大圣阿空头像',
        ver = 1,
        unclockLevel = 0,
        seq = 33,
        detail = '大圣阿空头像',
        enableComposite = false
    },
    {
        id = 686,
        type = 6,
        name = '亚瑟头像',
        ver = 1,
        unclockLevel = 0,
        seq = 34,
        detail = '亚瑟头像',
        enableComposite = false
    },
    {
        id = 687,
        type = 6,
        name = '弹射千两头像',
        ver = 1,
        unclockLevel = 0,
        seq = 35,
        detail = '弹射千两头像',
        enableComposite = false
    },
    {
        id = 688,
        type = 6,
        name = '狱卒凛凛头像',
        ver = 1,
        unclockLevel = 0,
        seq = 29,
        detail = '狱卒凛凛头像',
        enableComposite = false
    },
    {
        id = 689,
        type = 6,
        name = '平正云客头像',
        ver = 1,
        unclockLevel = 0,
        seq = 30,
        detail = '平正云客头像',
        enableComposite = false
    },
    {
        id = 690,
        type = 6,
        name = '漠然江流头像',
        ver = 1,
        unclockLevel = 0,
        seq = 31,
        detail = '漠然江流头像',
        enableComposite = false
    },
    {
        id = 691,
        type = 6,
        name = '加百列头像',
        ver = 1,
        unclockLevel = 0,
        seq = 32,
        detail = '加百列头像',
        enableComposite = false
    },
    {
        id = 692,
        type = 6,
        name = '情义桃桃头像',
        ver = 1,
        unclockLevel = 0,
        seq = 33,
        detail = '情义桃桃头像',
        enableComposite = false
    },
    {
        id = 693,
        type = 6,
        name = '山贼猴宝头像',
        ver = 1,
        unclockLevel = 0,
        seq = 34,
        detail = '山贼猴宝头像',
        enableComposite = false
    },
    {
        id = 701,
        type = 7,
        name = '表情1',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 17,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 702,
        type = 7,
        name = '表情2',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 18,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 703,
        type = 7,
        name = '表情3',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 19,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 704,
        type = 7,
        name = '表情4',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 20,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 705,
        type = 7,
        name = '表情5',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 21,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 706,
        type = 7,
        name = '表情6',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 22,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 707,
        type = 7,
        name = '表情7',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 23,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 708,
        type = 7,
        name = '表情8',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 24,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 709,
        type = 7,
        name = '表情9',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 25,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 710,
        type = 7,
        name = '表情10',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 26,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 711,
        type = 7,
        name = '表情11',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 27,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 712,
        type = 7,
        name = '表情12',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 28,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 713,
        type = 7,
        name = '表情13',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 29,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 714,
        type = 7,
        name = '表情14',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 30,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 715,
        type = 7,
        name = '表情15',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 31,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 716,
        type = 7,
        name = '表情16',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 32,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 717,
        type = 7,
        name = '表情17',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 33,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 718,
        type = 7,
        name = '表情18',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 34,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 719,
        type = 7,
        name = '表情19',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 35,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 720,
        type = 7,
        name = '表情20',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 36,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 721,
        type = 7,
        name = '表情21',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 37,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 722,
        type = 7,
        name = '表情22',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 38,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 723,
        type = 7,
        name = '表情23',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 39,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 724,
        type = 7,
        name = '表情24',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 40,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 725,
        type = 7,
        name = '表情25',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 41,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 726,
        type = 7,
        name = '表情26',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 42,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 727,
        type = 7,
        name = '表情27',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 43,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 728,
        type = 7,
        name = '表情28',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 44,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 729,
        type = 7,
        name = '表情29',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 45,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 730,
        type = 7,
        name = '表情30',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 46,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 731,
        type = 7,
        name = '表情31',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 47,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 732,
        type = 7,
        name = '表情32',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 48,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 751,
        type = 7,
        name = '表情51',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 49,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 752,
        type = 7,
        name = '表情52',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 50,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 753,
        type = 7,
        name = '表情53',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 51,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 754,
        type = 7,
        name = '表情54',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 52,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 755,
        type = 7,
        name = '表情55',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 53,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 756,
        type = 7,
        name = '表情56',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 54,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 757,
        type = 7,
        name = '表情57',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 55,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 758,
        type = 7,
        name = '表情58',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 56,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 781,
        type = 7,
        name = '表情81',
        ver = 1,
        unclockLevel = 0,
        qa = 3,
        seq = 57,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 782,
        type = 7,
        name = '表情82',
        ver = 1,
        unclockLevel = 0,
        qa = 3,
        seq = 58,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 783,
        type = 7,
        name = '表情83',
        ver = 1,
        unclockLevel = 0,
        qa = 3,
        seq = 59,
        detail = '[表情]',
        enableComposite = false
    },
    {
        id = 801,
        type = 8,
        name = '一阶封禁试炼令牌',
        ver = 1,
        unclockLevel = 0,
        seq = 25,
        detail = '浮空岛中的封禁试炼需要使用试炼令牌才可以开启，令牌可以直接购买也能通过活动获得，一阶令牌对应一阶试炼',
        enableComposite = true
    },
    {
        id = 802,
        type = 8,
        name = '二阶封禁试炼令牌',
        ver = 1,
        unclockLevel = 0,
        seq = 26,
        detail = '浮空岛中的封禁试炼需要使用试炼令牌才可以开启，令牌可以直接购买也能通过活动获得，二阶令牌对应二阶试炼',
        enableComposite = true
    },
    {
        id = 811,
        type = 8,
        name = '未名之玉',
        ver = 1,
        unclockLevel = 0,
        seq = 5,
        detail = '没有任何杂质的未名之玉，能够在任何一个供奉幻之书的场所内与幻之书产生共鸣，可以在幻之书的未名篇章中召唤英雄',
        enableComposite = true
    },
    {
        id = 812,
        type = 8,
        name = '溯缘之玉',
        ver = 1,
        unclockLevel = 0,
        seq = 5,
        detail = '带有一段故事印记的溯缘之玉，能够在任何一个供奉幻之书的场所内与幻之书产生共鸣，可以在幻之书的溯缘篇章中召唤英雄',
        enableComposite = true
    },
    {
        id = 813,
        type = 8,
        name = '命定之玉',
        ver = 1,
        unclockLevel = 0,
        seq = 5,
        detail = '可以由冒险家自己刻下心愿英雄印记的命定之玉，能够在任何一个供奉幻之书的场所内与幻之书产生共鸣，可以在幻之书的命定篇章中召唤英雄',
        enableComposite = true
    },
    {
        id = 901,
        type = 9,
        name = '帝国悬赏',
        ver = 1,
        unclockLevel = 0,
        seq = 27,
        detail = '购买后解锁完整版帝国悬赏',
        enableComposite = false
    },
    {
        id = 902,
        type = 9,
        name = '悬赏点数',
        ver = 1,
        unclockLevel = 0,
        seq = 27,
        detail = '完成帝国悬赏的任务后获得的道具，根据悬赏点数领取对应等级的帝国悬赏奖励',
        enableComposite = true
    },
    {
        id = 1011,
        type = 1000,
        name = '医师汤圆',
        ver = 1,
        unclockLevel = 1,
        color = 1,
        qa = 1,
        seq = 28,
        detail = '医师汤圆',
        enableComposite = false
    },
    {
        id = 1021,
        type = 1000,
        name = '永生小景',
        ver = 1,
        unclockLevel = 2,
        color = 1,
        qa = 1,
        seq = 29,
        detail = '永生小景',
        enableComposite = false
    },
    {
        id = 1031,
        type = 1000,
        name = '灵爆团团',
        ver = 1,
        unclockLevel = 3,
        color = 1,
        qa = 3,
        seq = 30,
        detail = '灵爆团团',
        enableComposite = false
    },
    {
        id = 1041,
        type = 1000,
        name = '除灵十里',
        ver = 1,
        unclockLevel = 4,
        color = 1,
        qa = 3,
        seq = 31,
        detail = '除灵十里',
        enableComposite = false
    },
    {
        id = 1051,
        type = 1000,
        name = '裁缝纤纤',
        ver = 1,
        unclockLevel = 5,
        color = 1,
        qa = 2,
        seq = 32,
        detail = '裁缝纤纤',
        enableComposite = false
    },
    {
        id = 1061,
        type = 1000,
        name = '瘟疫影生',
        ver = 1,
        unclockLevel = 6,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '瘟疫影生',
        enableComposite = false
    },
    {
        id = 1071,
        type = 1000,
        name = '近卫糯米',
        ver = 1,
        unclockLevel = 7,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '近卫糯米',
        enableComposite = false
    },
    {
        id = 1081,
        type = 1000,
        name = '铁扇公主',
        ver = 1,
        unclockLevel = 8,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '铁扇公主',
        enableComposite = false
    },
    {
        id = 1091,
        type = 1000,
        name = '贞德',
        ver = 1,
        unclockLevel = 9,
        color = 1,
        qa = 3,
        seq = 33,
        detail = '贞德',
        enableComposite = false
    },
    {
        id = 1101,
        type = 1000,
        name = '蛊师含光',
        ver = 1,
        unclockLevel = 10,
        color = 1,
        qa = 3,
        seq = 33,
        detail = '蛊师含光',
        enableComposite = false
    },
    {
        id = 1111,
        type = 1000,
        name = '魅魔风月',
        ver = 1,
        unclockLevel = 11,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '魅魔风月',
        enableComposite = false
    },
    {
        id = 1121,
        type = 1000,
        name = '青霞',
        ver = 1,
        unclockLevel = 12,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '青霞',
        enableComposite = false
    },
    {
        id = 1131,
        type = 1000,
        name = '药师烧麦',
        ver = 1,
        unclockLevel = 13,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '药师烧麦',
        enableComposite = false
    },
    {
        id = 2011,
        type = 1000,
        name = '鼓手晴色',
        ver = 1,
        unclockLevel = 1,
        color = 2,
        qa = 1,
        seq = 39,
        detail = '鼓手晴色',
        enableComposite = false
    },
    {
        id = 2021,
        type = 1000,
        name = '不屈清茗',
        ver = 1,
        unclockLevel = 2,
        color = 2,
        qa = 1,
        seq = 40,
        detail = '不屈清茗',
        enableComposite = false
    },
    {
        id = 2031,
        type = 1000,
        name = '祭司颠颠',
        ver = 1,
        unclockLevel = 3,
        color = 2,
        qa = 1,
        seq = 41,
        detail = '祭司颠颠',
        enableComposite = false
    },
    {
        id = 2041,
        type = 1000,
        name = '怨灵红烛',
        ver = 1,
        unclockLevel = 4,
        color = 2,
        qa = 2,
        seq = 42,
        detail = '怨灵红烛',
        enableComposite = false
    },
    {
        id = 2051,
        type = 1000,
        name = '剑仙倒倒',
        ver = 1,
        unclockLevel = 5,
        color = 2,
        qa = 3,
        seq = 43,
        detail = '剑仙倒倒',
        enableComposite = false
    },
    {
        id = 2061,
        type = 1000,
        name = '哪吒',
        ver = 1,
        unclockLevel = 6,
        color = 2,
        qa = 1,
        seq = 44,
        detail = '哪吒',
        enableComposite = false
    },
    {
        id = 2071,
        type = 1000,
        name = '妲己',
        ver = 1,
        unclockLevel = 7,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '妲己',
        enableComposite = false
    },
    {
        id = 2081,
        type = 1000,
        name = '流星不酸',
        ver = 1,
        unclockLevel = 8,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '流星不酸',
        enableComposite = false
    },
    {
        id = 2091,
        type = 1000,
        name = '反伤绮罗',
        ver = 1,
        unclockLevel = 9,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '反伤绮罗',
        enableComposite = false
    },
    {
        id = 2101,
        type = 1000,
        name = '吸血夜阑',
        ver = 1,
        unclockLevel = 10,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '吸血夜阑',
        enableComposite = false
    },
    {
        id = 2111,
        type = 1000,
        name = '侠盗金羽',
        ver = 1,
        unclockLevel = 11,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '侠盗金羽',
        enableComposite = false
    },
    {
        id = 2121,
        type = 1000,
        name = '吕布',
        ver = 1,
        unclockLevel = 12,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '吕布',
        enableComposite = false
    },
    {
        id = 2131,
        type = 1000,
        name = '骗子阿筝',
        ver = 1,
        unclockLevel = 13,
        color = 2,
        qa = 1,
        seq = 44,
        detail = '骗子阿筝',
        enableComposite = false
    },
    {
        id = 3011,
        type = 1000,
        name = '路西法',
        ver = 1,
        unclockLevel = 1,
        color = 3,
        qa = 1,
        seq = 52,
        detail = '路西法',
        enableComposite = false
    },
    {
        id = 3021,
        type = 1000,
        name = '赵云',
        ver = 1,
        unclockLevel = 2,
        color = 3,
        qa = 3,
        seq = 53,
        detail = '赵云',
        enableComposite = false
    },
    {
        id = 3031,
        type = 1000,
        name = '飞流棋士',
        ver = 1,
        unclockLevel = 3,
        color = 3,
        qa = 1,
        seq = 54,
        detail = '飞流棋士',
        enableComposite = false
    },
    {
        id = 3041,
        type = 1000,
        name = '诸葛亮',
        ver = 1,
        unclockLevel = 4,
        color = 3,
        qa = 3,
        seq = 55,
        detail = '诸葛亮',
        enableComposite = false
    },
    {
        id = 3051,
        type = 1000,
        name = '迷阵絮絮',
        ver = 1,
        unclockLevel = 5,
        color = 3,
        qa = 1,
        seq = 56,
        detail = '迷阵絮絮',
        enableComposite = false
    },
    {
        id = 3061,
        type = 1000,
        name = '庇护烟波',
        ver = 1,
        unclockLevel = 6,
        color = 3,
        qa = 3,
        seq = 57,
        detail = '庇护烟波',
        enableComposite = false
    },
    {
        id = 3071,
        type = 1000,
        name = '薇薇安',
        ver = 1,
        unclockLevel = 7,
        color = 3,
        qa = 1,
        seq = 57,
        detail = '薇薇安',
        enableComposite = false
    },
    {
        id = 3081,
        type = 1000,
        name = '没用阿呆',
        ver = 1,
        unclockLevel = 8,
        color = 3,
        qa = 3,
        seq = 57,
        detail = '没用阿呆',
        enableComposite = false
    },
    {
        id = 3091,
        type = 1000,
        name = '判官酿酿',
        ver = 1,
        unclockLevel = 9,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '判官酿酿',
        enableComposite = false
    },
    {
        id = 3101,
        type = 1000,
        name = '雪女暖阳',
        ver = 1,
        unclockLevel = 10,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '雪女暖阳',
        enableComposite = false
    },
    {
        id = 3111,
        type = 1000,
        name = '神偷咕噜',
        ver = 1,
        unclockLevel = 11,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '神偷咕噜',
        enableComposite = false
    },
    {
        id = 3121,
        type = 1000,
        name = '魁首疏雨',
        ver = 1,
        unclockLevel = 12,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '魁首疏雨',
        enableComposite = false
    },
    {
        id = 3131,
        type = 1000,
        name = '谦让灿月',
        ver = 1,
        unclockLevel = 13,
        color = 3,
        qa = 1,
        seq = 57,
        detail = '谦让灿月',
        enableComposite = false
    },
    {
        id = 4011,
        type = 1000,
        name = '雷震子',
        ver = 1,
        unclockLevel = 1,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '雷震子',
        enableComposite = false
    },
    {
        id = 4021,
        type = 1000,
        name = '暴击穗穗',
        ver = 1,
        unclockLevel = 2,
        color = 4,
        qa = 1,
        seq = 66,
        detail = '暴击穗穗',
        enableComposite = false
    },
    {
        id = 4031,
        type = 1000,
        name = '雅典娜',
        ver = 1,
        unclockLevel = 3,
        color = 4,
        qa = 3,
        seq = 67,
        detail = '雅典娜',
        enableComposite = false
    },
    {
        id = 4041,
        type = 1000,
        name = '女将孤梦',
        ver = 1,
        unclockLevel = 4,
        color = 4,
        qa = 3,
        seq = 68,
        detail = '女将孤梦',
        enableComposite = false
    },
    {
        id = 4051,
        type = 1000,
        name = '大圣阿空',
        ver = 1,
        unclockLevel = 5,
        color = 4,
        qa = 2,
        seq = 69,
        detail = '大圣阿空',
        enableComposite = false
    },
    {
        id = 4061,
        type = 1000,
        name = '亚瑟',
        ver = 1,
        unclockLevel = 6,
        color = 4,
        qa = 1,
        seq = 70,
        detail = '亚瑟',
        enableComposite = false
    },
    {
        id = 4071,
        type = 1000,
        name = '弹射千两',
        ver = 1,
        unclockLevel = 7,
        color = 4,
        qa = 3,
        seq = 65,
        detail = '弹射千两',
        enableComposite = false
    },
    {
        id = 4081,
        type = 1000,
        name = '狱卒凛凛',
        ver = 1,
        unclockLevel = 8,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '狱卒凛凛',
        enableComposite = false
    },
    {
        id = 4091,
        type = 1000,
        name = '平正云客',
        ver = 1,
        unclockLevel = 9,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '平正云客',
        enableComposite = false
    },
    {
        id = 4101,
        type = 1000,
        name = '漠然江流',
        ver = 1,
        unclockLevel = 10,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '漠然江流',
        enableComposite = false
    },
    {
        id = 4111,
        type = 1000,
        name = '加百列',
        ver = 1,
        unclockLevel = 11,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '加百列',
        enableComposite = false
    },
    {
        id = 4121,
        type = 1000,
        name = '情义桃桃',
        ver = 1,
        unclockLevel = 12,
        color = 4,
        qa = 3,
        seq = 65,
        detail = '情义桃桃',
        enableComposite = false
    },
    {
        id = 4131,
        type = 1000,
        name = '山贼猴宝',
        ver = 1,
        unclockLevel = 13,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '山贼猴宝',
        enableComposite = false
    },
    {
        id = 11011,
        type = 10000,
        name = '医师汤圆',
        ver = 1,
        unclockLevel = 1,
        color = 1,
        qa = 1,
        seq = 28,
        detail = '医师汤圆',
        enableComposite = true
    },
    {
        id = 11021,
        type = 10000,
        name = '永生小景',
        ver = 1,
        unclockLevel = 2,
        color = 1,
        qa = 1,
        seq = 29,
        detail = '永生小景',
        enableComposite = true
    },
    {
        id = 11031,
        type = 10000,
        name = '灵爆团团',
        ver = 1,
        unclockLevel = 3,
        color = 1,
        qa = 3,
        seq = 30,
        detail = '灵爆团团',
        enableComposite = true
    },
    {
        id = 11041,
        type = 10000,
        name = '除灵十里',
        ver = 1,
        unclockLevel = 4,
        color = 1,
        qa = 3,
        seq = 31,
        detail = '除灵十里',
        enableComposite = true
    },
    {
        id = 11051,
        type = 10000,
        name = '裁缝纤纤',
        ver = 1,
        unclockLevel = 5,
        color = 1,
        qa = 2,
        seq = 32,
        detail = '裁缝纤纤',
        enableComposite = true
    },
    {
        id = 11061,
        type = 10000,
        name = '瘟疫影生',
        ver = 1,
        unclockLevel = 6,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '瘟疫影生',
        enableComposite = true
    },
    {
        id = 11071,
        type = 10000,
        name = '近卫糯米',
        ver = 1,
        unclockLevel = 7,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '近卫糯米',
        enableComposite = true
    },
    {
        id = 11081,
        type = 10000,
        name = '铁扇公主',
        ver = 1,
        unclockLevel = 8,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '铁扇公主',
        enableComposite = true
    },
    {
        id = 11091,
        type = 10000,
        name = '贞德',
        ver = 1,
        unclockLevel = 9,
        color = 1,
        qa = 3,
        seq = 33,
        detail = '贞德',
        enableComposite = true
    },
    {
        id = 11101,
        type = 10000,
        name = '蛊师含光',
        ver = 1,
        unclockLevel = 10,
        color = 1,
        qa = 3,
        seq = 33,
        detail = '蛊师含光',
        enableComposite = true
    },
    {
        id = 11111,
        type = 10000,
        name = '魅魔风月',
        ver = 1,
        unclockLevel = 11,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '魅魔风月',
        enableComposite = true
    },
    {
        id = 11121,
        type = 10000,
        name = '青霞',
        ver = 1,
        unclockLevel = 12,
        color = 1,
        qa = 2,
        seq = 33,
        detail = '青霞',
        enableComposite = true
    },
    {
        id = 11131,
        type = 10000,
        name = '药师烧麦',
        ver = 1,
        unclockLevel = 13,
        color = 1,
        qa = 1,
        seq = 33,
        detail = '药师烧麦',
        enableComposite = true
    },
    {
        id = 12011,
        type = 10000,
        name = '鼓手晴色',
        ver = 1,
        unclockLevel = 1,
        color = 2,
        qa = 1,
        seq = 39,
        detail = '鼓手晴色',
        enableComposite = true
    },
    {
        id = 12021,
        type = 10000,
        name = '不屈清茗',
        ver = 1,
        unclockLevel = 2,
        color = 2,
        qa = 1,
        seq = 40,
        detail = '不屈清茗',
        enableComposite = true
    },
    {
        id = 12031,
        type = 10000,
        name = '祭司颠颠',
        ver = 1,
        unclockLevel = 3,
        color = 2,
        qa = 1,
        seq = 41,
        detail = '祭司颠颠',
        enableComposite = true
    },
    {
        id = 12041,
        type = 10000,
        name = '怨灵红烛',
        ver = 1,
        unclockLevel = 4,
        color = 2,
        qa = 2,
        seq = 42,
        detail = '怨灵红烛',
        enableComposite = true
    },
    {
        id = 12051,
        type = 10000,
        name = '剑仙倒倒',
        ver = 1,
        unclockLevel = 5,
        color = 2,
        qa = 3,
        seq = 43,
        detail = '剑仙倒倒',
        enableComposite = true
    },
    {
        id = 12061,
        type = 10000,
        name = '哪吒',
        ver = 1,
        unclockLevel = 6,
        color = 2,
        qa = 1,
        seq = 44,
        detail = '哪吒',
        enableComposite = true
    },
    {
        id = 12071,
        type = 10000,
        name = '妲己',
        ver = 1,
        unclockLevel = 7,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '妲己',
        enableComposite = true
    },
    {
        id = 12081,
        type = 10000,
        name = '流星不酸',
        ver = 1,
        unclockLevel = 8,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '流星不酸',
        enableComposite = true
    },
    {
        id = 12091,
        type = 10000,
        name = '反伤绮罗',
        ver = 1,
        unclockLevel = 9,
        color = 2,
        qa = 2,
        seq = 44,
        detail = '反伤绮罗',
        enableComposite = true
    },
    {
        id = 12101,
        type = 10000,
        name = '吸血夜阑',
        ver = 1,
        unclockLevel = 10,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '吸血夜阑',
        enableComposite = true
    },
    {
        id = 12111,
        type = 10000,
        name = '侠盗金羽',
        ver = 1,
        unclockLevel = 11,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '侠盗金羽',
        enableComposite = true
    },
    {
        id = 12121,
        type = 10000,
        name = '吕布',
        ver = 1,
        unclockLevel = 12,
        color = 2,
        qa = 3,
        seq = 44,
        detail = '吕布',
        enableComposite = true
    },
    {
        id = 12131,
        type = 10000,
        name = '骗子阿筝',
        ver = 1,
        unclockLevel = 13,
        color = 2,
        qa = 1,
        seq = 44,
        detail = '骗子阿筝',
        enableComposite = true
    },
    {
        id = 13011,
        type = 10000,
        name = '路西法',
        ver = 1,
        unclockLevel = 1,
        color = 3,
        qa = 1,
        seq = 52,
        detail = '路西法',
        enableComposite = true
    },
    {
        id = 13021,
        type = 10000,
        name = '赵云',
        ver = 1,
        unclockLevel = 2,
        color = 3,
        qa = 3,
        seq = 53,
        detail = '赵云',
        enableComposite = true
    },
    {
        id = 13031,
        type = 10000,
        name = '飞流棋士',
        ver = 1,
        unclockLevel = 3,
        color = 3,
        qa = 1,
        seq = 54,
        detail = '飞流棋士',
        enableComposite = true
    },
    {
        id = 13041,
        type = 10000,
        name = '诸葛亮',
        ver = 1,
        unclockLevel = 4,
        color = 3,
        qa = 3,
        seq = 55,
        detail = '诸葛亮',
        enableComposite = true
    },
    {
        id = 13051,
        type = 10000,
        name = '迷阵絮絮',
        ver = 1,
        unclockLevel = 5,
        color = 3,
        qa = 1,
        seq = 56,
        detail = '迷阵絮絮',
        enableComposite = true
    },
    {
        id = 13061,
        type = 10000,
        name = '庇护烟波',
        ver = 1,
        unclockLevel = 6,
        color = 3,
        qa = 3,
        seq = 57,
        detail = '庇护烟波',
        enableComposite = true
    },
    {
        id = 13071,
        type = 10000,
        name = '薇薇安',
        ver = 1,
        unclockLevel = 7,
        color = 3,
        qa = 1,
        seq = 57,
        detail = '薇薇安',
        enableComposite = true
    },
    {
        id = 13081,
        type = 10000,
        name = '没用阿呆',
        ver = 1,
        unclockLevel = 8,
        color = 3,
        qa = 3,
        seq = 57,
        detail = '没用阿呆',
        enableComposite = true
    },
    {
        id = 13091,
        type = 10000,
        name = '判官酿酿',
        ver = 1,
        unclockLevel = 9,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '判官酿酿',
        enableComposite = true
    },
    {
        id = 13101,
        type = 10000,
        name = '雪女暖阳',
        ver = 1,
        unclockLevel = 10,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '雪女暖阳',
        enableComposite = true
    },
    {
        id = 13111,
        type = 10000,
        name = '神偷咕噜',
        ver = 1,
        unclockLevel = 11,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '神偷咕噜',
        enableComposite = true
    },
    {
        id = 13121,
        type = 10000,
        name = '魁首疏雨',
        ver = 1,
        unclockLevel = 12,
        color = 3,
        qa = 2,
        seq = 57,
        detail = '魁首疏雨',
        enableComposite = true
    },
    {
        id = 13131,
        type = 10000,
        name = '谦让灿月',
        ver = 1,
        unclockLevel = 13,
        color = 3,
        qa = 1,
        seq = 57,
        detail = '谦让灿月',
        enableComposite = true
    },
    {
        id = 14011,
        type = 10000,
        name = '雷震子',
        ver = 1,
        unclockLevel = 1,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '雷震子',
        enableComposite = true
    },
    {
        id = 14021,
        type = 10000,
        name = '暴击穗穗',
        ver = 1,
        unclockLevel = 2,
        color = 4,
        qa = 1,
        seq = 66,
        detail = '暴击穗穗',
        enableComposite = true
    },
    {
        id = 14031,
        type = 10000,
        name = '雅典娜',
        ver = 1,
        unclockLevel = 3,
        color = 4,
        qa = 3,
        seq = 67,
        detail = '雅典娜',
        enableComposite = true
    },
    {
        id = 14041,
        type = 10000,
        name = '女将孤梦',
        ver = 1,
        unclockLevel = 4,
        color = 4,
        qa = 3,
        seq = 68,
        detail = '女将孤梦',
        enableComposite = true
    },
    {
        id = 14051,
        type = 10000,
        name = '大圣阿空',
        ver = 1,
        unclockLevel = 5,
        color = 4,
        qa = 2,
        seq = 69,
        detail = '大圣阿空',
        enableComposite = true
    },
    {
        id = 14061,
        type = 10000,
        name = '亚瑟',
        ver = 1,
        unclockLevel = 6,
        color = 4,
        qa = 1,
        seq = 70,
        detail = '亚瑟',
        enableComposite = true
    },
    {
        id = 14071,
        type = 10000,
        name = '弹射千两',
        ver = 1,
        unclockLevel = 7,
        color = 4,
        qa = 3,
        seq = 65,
        detail = '弹射千两',
        enableComposite = true
    },
    {
        id = 14081,
        type = 10000,
        name = '狱卒凛凛',
        ver = 1,
        unclockLevel = 8,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '狱卒凛凛',
        enableComposite = true
    },
    {
        id = 14091,
        type = 10000,
        name = '平正云客',
        ver = 1,
        unclockLevel = 9,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '平正云客',
        enableComposite = true
    },
    {
        id = 14101,
        type = 10000,
        name = '漠然江流',
        ver = 1,
        unclockLevel = 10,
        color = 4,
        qa = 2,
        seq = 65,
        detail = '漠然江流',
        enableComposite = true
    },
    {
        id = 14111,
        type = 10000,
        name = '加百列',
        ver = 1,
        unclockLevel = 11,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '加百列',
        enableComposite = true
    },
    {
        id = 14121,
        type = 10000,
        name = '情义桃桃',
        ver = 1,
        unclockLevel = 12,
        color = 4,
        qa = 3,
        seq = 65,
        detail = '情义桃桃',
        enableComposite = true
    },
    {
        id = 14131,
        type = 10000,
        name = '山贼猴宝',
        ver = 1,
        unclockLevel = 13,
        color = 4,
        qa = 1,
        seq = 65,
        detail = '山贼猴宝',
        enableComposite = true
    },
    {
        id = 20000,
        type = 20000,
        name = '默认头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '默认头像框',
        enableComposite = false
    },
    {
        id = 22001,
        type = 20000,
        name = '桃桃助手',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '初始头像框',
        enableComposite = false
    },
    {
        id = 22101,
        type = 20000,
        name = '一周之星',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '签到有礼奖励',
        enableComposite = false
    },
    {
        id = 22201,
        type = 20000,
        name = '时尚达人',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '功勋宝录奖励',
        enableComposite = false
    },
    {
        id = 22202,
        type = 20000,
        name = '情意绵绵',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '功勋宝录奖励',
        enableComposite = false
    },
    {
        id = 22203,
        type = 20000,
        name = '亭亭玉立',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '功勋宝录奖励',
        enableComposite = false
    },
    {
        id = 22901,
        type = 20000,
        name = '崭露头角',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '胜利百场成就',
        enableComposite = false
    },
    {
        id = 22902,
        type = 20000,
        name = '名声远扬',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '胜利千场成就',
        enableComposite = false
    },
    {
        id = 22903,
        type = 20000,
        name = '万夫莫敌',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '胜利万场成就',
        enableComposite = false
    },
    {
        id = 22904,
        type = 20000,
        name = '劳动最光荣',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '30天登录成就',
        enableComposite = false
    },
    {
        id = 23001,
        type = 20000,
        name = '1阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '1阶头像框',
        enableComposite = false
    },
    {
        id = 23002,
        type = 20000,
        name = '2阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '2阶头像框',
        enableComposite = false
    },
    {
        id = 23003,
        type = 20000,
        name = '3阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '3阶头像框',
        enableComposite = false
    },
    {
        id = 23004,
        type = 20000,
        name = '4阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '4阶头像框',
        enableComposite = false
    },
    {
        id = 23005,
        type = 20000,
        name = '5阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '5阶头像框',
        enableComposite = false
    },
    {
        id = 23006,
        type = 20000,
        name = '6阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '6阶头像框',
        enableComposite = false
    },
    {
        id = 23007,
        type = 20000,
        name = '7阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '7阶头像框',
        enableComposite = false
    },
    {
        id = 23008,
        type = 20000,
        name = '8阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '8阶头像框',
        enableComposite = false
    },
    {
        id = 23009,
        type = 20000,
        name = '9阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '9阶头像框',
        enableComposite = false
    },
    {
        id = 23010,
        type = 20000,
        name = '10阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '10阶头像框',
        enableComposite = false
    },
    {
        id = 23011,
        type = 20000,
        name = '11阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '11阶头像框',
        enableComposite = false
    },
    {
        id = 23012,
        type = 20000,
        name = '12阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '12阶头像框',
        enableComposite = false
    },
    {
        id = 23013,
        type = 20000,
        name = '13阶头像框',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '13阶头像框',
        enableComposite = false
    },
    {
        id = 30000,
        type = 30000,
        name = '雕花木箱',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '银',
        enableComposite = false
    },
    {
        id = 30001,
        type = 30000,
        name = '雕花木箱',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '银',
        enableComposite = false
    },
    {
        id = 30002,
        type = 30000,
        name = '素色银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 131,
        detail = '金币',
        enableComposite = false
    },
    {
        id = 30003,
        type = 30000,
        name = '雕花银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 132,
        detail = '超大',
        enableComposite = false
    },
    {
        id = 30004,
        type = 30000,
        name = '素色金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 133,
        detail = '神奇',
        enableComposite = false
    },
    {
        id = 30005,
        type = 30000,
        name = '雕花金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 134,
        detail = '超级神奇',
        enableComposite = false
    },
    {
        id = 30006,
        type = 30000,
        name = '镶玉金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 135,
        detail = '传奇',
        enableComposite = false
    },
    {
        id = 30007,
        type = 30000,
        name = '雕花木箱',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '银',
        enableComposite = false
    },
    {
        id = 30008,
        type = 30000,
        name = '素色银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 131,
        detail = '金币',
        enableComposite = false
    },
    {
        id = 30009,
        type = 30000,
        name = '雕花木箱',
        ver = 1,
        unclockLevel = 0,
        seq = 130,
        detail = '银',
        enableComposite = false
    },
    {
        id = 30010,
        type = 30000,
        name = '素色银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 131,
        detail = '金币',
        enableComposite = false
    },
    {
        id = 30011,
        type = 30000,
        name = '雕花银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 132,
        detail = '超大',
        enableComposite = false
    },
    {
        id = 31001,
        type = 30000,
        name = '漆木宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 136,
        detail = '免费宝箱',
        enableComposite = false
    },
    {
        id = 31100,
        type = 30000,
        name = '梨木宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 136,
        detail = '普通宝箱',
        enableComposite = false
    },
    {
        id = 31101,
        type = 30000,
        name = '多宝铜箱',
        ver = 1,
        unclockLevel = 0,
        seq = 137,
        detail = '青铜宝箱',
        enableComposite = false
    },
    {
        id = 31102,
        type = 30000,
        name = '百宝银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 138,
        detail = '白银宝箱',
        enableComposite = false
    },
    {
        id = 31103,
        type = 30000,
        name = '珍宝金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 139,
        detail = '黄金宝箱',
        enableComposite = false
    },
    {
        id = 31201,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 140,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31202,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 141,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31203,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 142,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31204,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 143,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31205,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 144,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31206,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 145,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31207,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 146,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31208,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 147,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31209,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 148,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31210,
        type = 30000,
        name = '香火钱箱',
        ver = 1,
        unclockLevel = 0,
        seq = 149,
        detail = '小猪储蓄',
        enableComposite = false
    },
    {
        id = 31301,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 150,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31302,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 151,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31303,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 152,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31304,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 153,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31305,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 154,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31306,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 155,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31307,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 156,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31308,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 157,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31309,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 158,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31310,
        type = 30000,
        name = '月华银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 159,
        detail = '荣耀银箱',
        enableComposite = false
    },
    {
        id = 31401,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 160,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31402,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 161,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31403,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 162,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31404,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 163,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31405,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 164,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31406,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 165,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31407,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 166,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31408,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 167,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31409,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 168,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31410,
        type = 30000,
        name = '日曜金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 169,
        detail = '荣耀金箱',
        enableComposite = false
    },
    {
        id = 31501,
        type = 30000,
        name = '雕花木箱',
        ver = 1,
        unclockLevel = 0,
        seq = 170,
        detail = '银',
        enableComposite = false
    },
    {
        id = 31502,
        type = 30000,
        name = '素色银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 171,
        detail = '金币',
        enableComposite = false
    },
    {
        id = 31503,
        type = 30000,
        name = '雕花银箱',
        ver = 1,
        unclockLevel = 0,
        seq = 172,
        detail = '超大',
        enableComposite = false
    },
    {
        id = 31504,
        type = 30000,
        name = '素色金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 173,
        detail = '神奇',
        enableComposite = false
    },
    {
        id = 31505,
        type = 30000,
        name = '雕花金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 174,
        detail = '超级神奇',
        enableComposite = false
    },
    {
        id = 31506,
        type = 30000,
        name = '镶玉金箱',
        ver = 1,
        unclockLevel = 0,
        seq = 175,
        detail = '传奇',
        enableComposite = false
    },
    {
        id = 31601,
        type = 30000,
        name = '冰魄宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 176,
        detail = '任务宝箱',
        enableComposite = false
    },
    {
        id = 31701,
        type = 30000,
        name = '炎魂宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 176,
        detail = '活跃宝箱',
        enableComposite = false
    },
    {
        id = 32001,
        type = 30000,
        name = '福禄宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 177,
        detail = '霹雳宝箱',
        enableComposite = false
    },
    {
        id = 32002,
        type = 30000,
        name = '福禄宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 178,
        detail = '霹雳宝箱',
        enableComposite = false
    },
    {
        id = 32003,
        type = 30000,
        name = '福禄宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 179,
        detail = '霹雳宝箱',
        enableComposite = false
    },
    {
        id = 33001,
        type = 30000,
        name = '招财宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 180,
        detail = '神秘宝箱',
        enableComposite = false
    },
    {
        id = 33002,
        type = 30000,
        name = '招财宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 181,
        detail = '神秘宝箱',
        enableComposite = false
    },
    {
        id = 33003,
        type = 30000,
        name = '招财宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 182,
        detail = '神秘宝箱',
        enableComposite = false
    },
    {
        id = 34001,
        type = 30000,
        name = '开运宝箱',
        ver = 1,
        unclockLevel = 0,
        seq = 183,
        detail = '幸运宝箱',
        enableComposite = false
    },
    {
        id = 40001,
        type = 40000,
        name = '九天仙绫',
        ver = 1,
        unclockLevel = 0,
        seq = 200,
        detail = '武器1',
        enableComposite = false
    },
    {
        id = 41001,
        type = 40000,
        name = '玄龟羽甲',
        ver = 1,
        unclockLevel = 0,
        seq = 201,
        detail = '护甲1',
        enableComposite = false
    },
    {
        id = 42001,
        type = 40000,
        name = '紫金碧玺佩',
        ver = 1,
        unclockLevel = 0,
        seq = 202,
        detail = '饰品1',
        enableComposite = false
    },
    {
        id = 50001,
        type = 50000,
        name = '1阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 399,
        detail = '0-10级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50002,
        type = 50000,
        name = '2阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 398,
        detail = '11-20级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50003,
        type = 50000,
        name = '3阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 397,
        detail = '21-30级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50004,
        type = 50000,
        name = '4阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 396,
        detail = '31-40级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50005,
        type = 50000,
        name = '5阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 395,
        detail = '41-50级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50006,
        type = 50000,
        name = '6阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 394,
        detail = '51-60级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50007,
        type = 50000,
        name = '7阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 393,
        detail = '61-70级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50008,
        type = 50000,
        name = '8阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 392,
        detail = '71-80级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50009,
        type = 50000,
        name = '9阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 391,
        detail = '81-90级武器1强化材料',
        enableComposite = true
    },
    {
        id = 50010,
        type = 50000,
        name = '10阶凤羽',
        ver = 1,
        unclockLevel = 0,
        seq = 390,
        detail = '91-100级武器1强化材料',
        enableComposite = true
    },
    {
        id = 51001,
        type = 50000,
        name = '1阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 499,
        detail = '0-10级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51002,
        type = 50000,
        name = '2阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 498,
        detail = '11-20级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51003,
        type = 50000,
        name = '3阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 497,
        detail = '21-30级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51004,
        type = 50000,
        name = '4阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 496,
        detail = '31-40级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51005,
        type = 50000,
        name = '5阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 495,
        detail = '41-50级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51006,
        type = 50000,
        name = '6阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 494,
        detail = '51-60级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51007,
        type = 50000,
        name = '7阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 493,
        detail = '61-70级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51008,
        type = 50000,
        name = '8阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 492,
        detail = '71-80级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51009,
        type = 50000,
        name = '9阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 491,
        detail = '81-90级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 51010,
        type = 50000,
        name = '10阶龙鳞',
        ver = 1,
        unclockLevel = 0,
        seq = 490,
        detail = '91-100级护甲1强化材料',
        enableComposite = true
    },
    {
        id = 52001,
        type = 50000,
        name = '1阶麒麟炎晶',
        ver = 1,
        unclockLevel = 0,
        seq = 599,
        detail = '0级饰品1强化材料',
        enableComposite = true
    },
    {
        id = 52002,
        type = 50000,
        name = '2阶麒麟炎晶',
        ver = 1,
        unclockLevel = 0,
        seq = 598,
        detail = '1级饰品1强化材料',
        enableComposite = true
    },
    {
        id = 52003,
        type = 50000,
        name = '3阶麒麟炎晶',
        ver = 1,
        unclockLevel = 0,
        seq = 597,
        detail = '2级饰品1强化材料',
        enableComposite = true
    },
    {
        id = 53001,
        type = 50000,
        name = '1阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 699,
        detail = '突破材料1',
        enableComposite = true
    },
    {
        id = 53002,
        type = 50000,
        name = '2阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 698,
        detail = '突破材料2',
        enableComposite = true
    },
    {
        id = 53003,
        type = 50000,
        name = '3阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 697,
        detail = '突破材料3',
        enableComposite = true
    },
    {
        id = 53004,
        type = 50000,
        name = '4阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 696,
        detail = '突破材料4',
        enableComposite = true
    },
    {
        id = 53005,
        type = 50000,
        name = '5阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 695,
        detail = '突破材料5',
        enableComposite = true
    },
    {
        id = 53006,
        type = 50000,
        name = '6阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 694,
        detail = '突破材料6',
        enableComposite = true
    },
    {
        id = 53007,
        type = 50000,
        name = '7阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 693,
        detail = '突破材料7',
        enableComposite = true
    },
    {
        id = 53008,
        type = 50000,
        name = '8阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 692,
        detail = '突破材料8',
        enableComposite = true
    },
    {
        id = 53009,
        type = 50000,
        name = '9阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 691,
        detail = '突破材料9',
        enableComposite = true
    },
    {
        id = 53010,
        type = 50000,
        name = '10阶没想好名字',
        ver = 1,
        unclockLevel = 0,
        seq = 690,
        detail = '突破材料10',
        enableComposite = true
    },
    {
        id = 60001,
        type = 60000,
        name = '随机普通卡',
        ver = 1,
        unclockLevel = 0,
        qa = 1,
        seq = 103,
        detail = '随机获得普通卡',
        enableComposite = true
    },
    {
        id = 60002,
        type = 60000,
        name = '随机地卡',
        ver = 1,
        unclockLevel = 0,
        qa = 2,
        seq = 102,
        detail = '随机获得地卡',
        enableComposite = true
    },
    {
        id = 60003,
        type = 60000,
        name = '随机天卡',
        ver = 1,
        unclockLevel = 0,
        qa = 3,
        seq = 101,
        detail = '随机获得天卡',
        enableComposite = true
    }
}
return root