local root = {
    {
        maxLinkColor = 0,
        benefitWeight = 300,
        commonWeight = 5000,
        weakenWeight = 10000,
        W = 300,
        R = 5000,
        L = 10000,
        L19 = 9000,
        L18 = 8000,
        L17 = 7000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 1000,
        L37 = 1000,
        L49 = 4000,
        L48 = 4000,
        L47 = 4000,
        L57 = 10000,
        L75 = 10000,
        L74 = 8000,
        L73 = 6000,
        L72 = 4000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 1,
        benefitWeight = 600,
        commonWeight = 5000,
        weakenWeight = 10000,
        W = 600,
        R = 5000,
        L = 10000,
        L19 = 8000,
        L18 = 7000,
        L17 = 6000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 1000,
        L37 = 1000,
        L49 = 4000,
        L48 = 4000,
        L47 = 4000,
        L57 = 10000,
        L75 = 10000,
        L74 = 8000,
        L73 = 6000,
        L72 = 4000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 2,
        benefitWeight = 600,
        commonWeight = 5000,
        weakenWeight = 10000,
        W = 600,
        R = 5000,
        L = 10000,
        L19 = 7000,
        L18 = 6000,
        L17 = 5000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 1000,
        L37 = 1000,
        L49 = 4000,
        L48 = 4000,
        L47 = 4000,
        L57 = 10000,
        L75 = 10000,
        L74 = 8000,
        L73 = 6000,
        L72 = 4000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 3,
        benefitWeight = 600,
        commonWeight = 2500,
        weakenWeight = 2000,
        W = 600,
        R = 2500,
        L = 2000,
        L19 = 6000,
        L18 = 5000,
        L17 = 4000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 1000,
        L37 = 1000,
        L49 = 1000,
        L48 = 1000,
        L47 = 1000,
        L57 = 10000,
        L75 = 2000,
        L74 = 2000,
        L73 = 2000,
        L72 = 2000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 4,
        benefitWeight = 1250,
        commonWeight = 2500,
        weakenWeight = 2000,
        W = 1250,
        R = 2500,
        L = 2000,
        L19 = 5000,
        L18 = 4000,
        L17 = 3000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 1000,
        L37 = 4000,
        L49 = 1000,
        L48 = 1000,
        L47 = 1000,
        L57 = 10000,
        L75 = 2000,
        L74 = 2000,
        L73 = 2000,
        L72 = 2000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 5,
        benefitWeight = 1250,
        commonWeight = 2500,
        weakenWeight = 2000,
        W = 1250,
        R = 2500,
        L = 2000,
        L19 = 4000,
        L18 = 3000,
        L17 = 2000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 1000,
        L38 = 4000,
        L37 = 4000,
        L49 = 1000,
        L48 = 1000,
        L47 = 1000,
        L57 = 10000,
        L75 = 2000,
        L74 = 2000,
        L73 = 2000,
        L72 = 2000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 6,
        benefitWeight = 1250,
        commonWeight = 1250,
        weakenWeight = 2000,
        W = 1250,
        R = 1250,
        L = 2000,
        L19 = 3000,
        L18 = 2000,
        L17 = 1000,
        L29 = 1000,
        L28 = 1000,
        L27 = 1000,
        L39 = 4000,
        L38 = 4000,
        L37 = 4000,
        L49 = 1000,
        L48 = 1000,
        L47 = 1000,
        L57 = 1,
        L75 = 2000,
        L74 = 2000,
        L73 = 2000,
        L72 = 2000,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 7,
        benefitWeight = 2500,
        commonWeight = 1250,
        weakenWeight = 0,
        W = 2500,
        R = 1250,
        L = 0,
        L19 = 2000,
        L18 = 1000,
        L17 = 0,
        L29 = 1000,
        L28 = 1000,
        L27 = 0,
        L39 = 4000,
        L38 = 4000,
        L37 = 0,
        L49 = 1000,
        L48 = 1000,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 8,
        benefitWeight = 2500,
        commonWeight = 1250,
        weakenWeight = 0,
        W = 2500,
        R = 1250,
        L = 0,
        L19 = 1000,
        L18 = 0,
        L17 = 0,
        L29 = 1000,
        L28 = 0,
        L27 = 0,
        L39 = 4000,
        L38 = 0,
        L37 = 0,
        L49 = 1000,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 9,
        benefitWeight = 2500,
        commonWeight = 600,
        weakenWeight = 0,
        W = 2500,
        R = 600,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 10,
        benefitWeight = 5000,
        commonWeight = 600,
        weakenWeight = 0,
        W = 5000,
        R = 600,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 11,
        benefitWeight = 5000,
        commonWeight = 600,
        weakenWeight = 0,
        W = 5000,
        R = 600,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 12,
        benefitWeight = 5000,
        commonWeight = 300,
        weakenWeight = 0,
        W = 5000,
        R = 300,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 1000,
        B = 1000,
        C = 1000
    },
    {
        maxLinkColor = 13,
        benefitWeight = 300,
        commonWeight = 300,
        weakenWeight = 0,
        W = 300,
        R = 300,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 500,
        B = 500,
        C = 500
    },
    {
        maxLinkColor = 14,
        benefitWeight = 300,
        commonWeight = 300,
        weakenWeight = 0,
        W = 300,
        R = 300,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 150,
        B = 150,
        C = 150
    },
    {
        maxLinkColor = 15,
        benefitWeight = 300,
        commonWeight = 150,
        weakenWeight = 0,
        W = 300,
        R = 150,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 50,
        B = 50,
        C = 50
    },
    {
        maxLinkColor = 16,
        benefitWeight = 150,
        commonWeight = 150,
        weakenWeight = 0,
        W = 150,
        R = 150,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 17,
        benefitWeight = 150,
        commonWeight = 150,
        weakenWeight = 0,
        W = 150,
        R = 150,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 18,
        benefitWeight = 150,
        commonWeight = 50,
        weakenWeight = 0,
        W = 150,
        R = 50,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 19,
        benefitWeight = 75,
        commonWeight = 0,
        weakenWeight = 0,
        W = 75,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 20,
        benefitWeight = 75,
        commonWeight = 0,
        weakenWeight = 0,
        W = 75,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 21,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 22,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 23,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 24,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 25,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 26,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 27,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 28,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 29,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 30,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 31,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 32,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 33,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 34,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 35,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 36,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 37,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 38,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 39,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 40,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 41,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 42,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 43,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 44,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 45,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 46,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 47,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 48,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 49,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    },
    {
        maxLinkColor = 50,
        benefitWeight = 0,
        commonWeight = 0,
        weakenWeight = 0,
        W = 0,
        R = 0,
        L = 0,
        L19 = 0,
        L18 = 0,
        L17 = 0,
        L29 = 0,
        L28 = 0,
        L27 = 0,
        L39 = 0,
        L38 = 0,
        L37 = 0,
        L49 = 0,
        L48 = 0,
        L47 = 0,
        L57 = 0,
        L75 = 0,
        L74 = 0,
        L73 = 0,
        L72 = 0,
        A = 0,
        B = 0,
        C = 0
    }
}
return root