local root = {
    {
        chapterId = 1,
        level = 1,
        title = '1-1',
        levelType = 1,
        dialogGroup = 101,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=1},{id=2011,attack=1},{id=3011,attack=1},{id=4011,attack=1}},
        robotCastleLv = 1,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        pos = {-80,100}
    },
    {
        chapterId = 1,
        level = 2,
        title = '1-2',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=1},{id=2011,attack=1},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        pos = {80,220}
    },
    {
        chapterId = 1,
        level = 3,
        title = '1-3',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        unlock = 2000,
        pos = {-80,300}
    },
    {
        chapterId = 1,
        level = 4,
        title = 'M1-4',
        levelType = 2,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=3},{id=2011,attack=3},{id=3011,attack=3},{id=4011,attack=3}},
        robotCastleLv = 3,
        robotLinkType = 'W',
        robotNpc = 3021,
        robotName = '赵云',
        battleHeros = {{id=3021,attack=2}},
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        pos = {80,421}
    },
    {
        chapterId = 1,
        level = 5,
        title = '1-5',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        pos = {-80,502}
    },
    {
        chapterId = 1,
        level = 6,
        title = '1-6',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 1,
        pos = {80,622}
    },
    {
        chapterId = 1,
        level = 7,
        title = 'S1-7',
        levelType = 3,
        dialogGroup = 107,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        text = '日常的一天，发生的琐事',
        unlockPlayerLevel = 2,
        pos = {-80,703}
    },
    {
        chapterId = 1,
        level = 8,
        title = '1-8',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=4},{id=2011,attack=4},{id=3011,attack=4},{id=4011,attack=4}},
        robotCastleLv = 1,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 2,
        pos = {80,823}
    },
    {
        chapterId = 1,
        level = 9,
        title = '1-9',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=5},{id=2011,attack=5},{id=3011,attack=5},{id=4011,attack=5}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 2,
        pos = {-80,904}
    },
    {
        chapterId = 1,
        level = 10,
        title = 'M1-10',
        levelType = 2,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=6},{id=2011,attack=6},{id=3011,attack=6},{id=4011,attack=6}},
        robotCastleLv = 3,
        robotLinkType = 'W',
        robotNpc = 2121,
        robotName = '吕布',
        battleHeros = {{id=2121,attack=6}},
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 2,
        pos = {80,1024}
    },
    {
        chapterId = 2,
        level = 1,
        title = '2-1',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=1},{id=2011,attack=1},{id=3011,attack=1},{id=4011,attack=1}},
        robotCastleLv = 1,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 3,
        pos = {-80,100}
    },
    {
        chapterId = 2,
        level = 2,
        title = '2-2',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=1},{id=2011,attack=1},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 3,
        pos = {80,220}
    },
    {
        chapterId = 2,
        level = 3,
        title = '2-3',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 3,
        pos = {-80,300}
    },
    {
        chapterId = 2,
        level = 4,
        title = 'M2-4',
        levelType = 2,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=3},{id=2011,attack=3},{id=3011,attack=3},{id=4011,attack=3}},
        robotCastleLv = 3,
        robotLinkType = 'W',
        robotNpc = 3021,
        robotName = '赵云',
        battleHeros = {{id=2121,attack=2},{id=3021,attack=2}},
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 3,
        pos = {80,421}
    },
    {
        chapterId = 2,
        level = 5,
        title = '2-5',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 3,
        pos = {-80,502}
    },
    {
        chapterId = 2,
        level = 6,
        title = '2-6',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=2},{id=2011,attack=2},{id=3011,attack=2},{id=4011,attack=2}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 4,
        pos = {80,622}
    },
    {
        chapterId = 2,
        level = 7,
        title = 'S2-7',
        levelType = 3,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        text = '日常的一天，发生的琐事',
        unlockPlayerLevel = 4,
        pos = {-80,703}
    },
    {
        chapterId = 2,
        level = 8,
        title = '2-8',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=4},{id=2011,attack=4},{id=3011,attack=4},{id=4011,attack=4}},
        robotCastleLv = 1,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 4,
        pos = {80,823}
    },
    {
        chapterId = 2,
        level = 9,
        title = '2-9',
        levelType = 1,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=5},{id=2011,attack=5},{id=3011,attack=5},{id=4011,attack=5}},
        robotCastleLv = 2,
        robotLinkType = 'R',
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 4,
        pos = {-80,904}
    },
    {
        chapterId = 2,
        level = 10,
        title = 'M2-10',
        levelType = 2,
        passItems = {{id=102,count=10}},
        bestItems = {{id=102,count=40},{id=101,count=1000}},
        bestRounds = 4,
        robotHeros = {{id=1011,attack=6},{id=2011,attack=6},{id=3011,attack=6},{id=4011,attack=6}},
        robotCastleLv = 3,
        robotLinkType = 'W',
        robotNpc = 2121,
        robotName = '吕布',
        battleHeros = {{id=2121,attack=6},{id=3021,attack=6}},
        text = '击败眼前的敌人，必定会有所收获',
        unlockPlayerLevel = 4,
        pos = {80,1024}
    }
}
return root