local root = {
    {
        id = 1011,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {1110101},
        color = 1,
        skillGradePer = 4,
        skillDescription = '主角恢复3格战力血量',
        oldHeroName = '机器人',
        newHeroName = '汤圆',
        heroId = 1011
    },
    {
        id = 1021,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120101},
        color = 1,
        skillGradePer = 4,
        skillDescription = '英雄死后会复活',
        oldHeroName = '修理师',
        newHeroName = '小景',
        heroId = 1021
    },
    {
        id = 1031,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {1120201},
        color = 4,
        skillGradePer = 4,
        skillDescription = '加强所有英雄的能量',
        oldHeroName = '博士',
        newHeroName = '桃桃',
        heroId = 4121
    },
    {
        id = 1041,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {5130103},
        color = 1,
        skillGradePer = 4,
        skillDescription = '随机消除3组宝石，但不会生成新英雄',
        oldHeroName = '医师',
        newHeroName = '除灵十里',
        heroId = 1041
    },
    {
        id = 1051,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120103},
        color = 2,
        skillGradePer = 4,
        skillDescription = '士兵获得闪电护盾，反射受到伤害的50%',
        oldHeroName = '布雷泽',
        newHeroName = '绮罗',
        heroId = 2091
    },
    {
        id = 1061,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {2230101},
        color = 1,
        skillGradePer = 4,
        skillDescription = '感染三个敌方的色块，每个被感染的芯片对周围单位造成伤害，直到色块被消掉',
        oldHeroName = '辐射工兵',
        newHeroName = '影生',
        heroId = 1061
    },
    {
        id = 1071,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2120106},
        color = 1,
        skillGradePer = 4,
        skillDescription = '为一个盟军单位施加护盾，护盾不会增加伤害',
        oldHeroName = '齐姆',
        newHeroName = '糯米',
        heroId = 1071
    },
    {
        id = 1081,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {2130201},
        color = 1,
        skillGradePer = 4,
        skillDescription = '增强他周围棋子的力量，这些棋子给予盟军单位额外的威力加成',
        oldHeroName = '特斯拉教授',
        newHeroName = '念念不忘',
        heroId = 1081
    },
    {
        id = 1091,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {9120109},
        color = 1,
        skillGradePer = 4,
        skillDescription = '单位死亡后即刻复活并且变得更加强大',
        oldHeroName = '海德博士',
        newHeroName = '盈缺',
        heroId = 1091
    },
    {
        id = 1101,
        isAdd = 2,
        condition = 101,
        seq = 0,
        effectGroup = {2220202},
        color = 1,
        skillGradePer = 4,
        skillDescription = '减少所有敌方单位50%输出伤害1回合',
        oldHeroName = '德布林格尔',
        newHeroName = '含光',
        heroId = 1101
    },
    {
        id = 1111,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2220203},
        color = 3,
        skillGradePer = 4,
        skillDescription = '冻结所有敌方1回合',
        oldHeroName = '冰暴',
        newHeroName = '暖阳',
        heroId = 3101
    },
    {
        id = 1121,
        isAdd = 2,
        condition = 100,
        seq = 10001,
        effectGroup = {5230301},
        color = 3,
        skillGradePer = 4,
        skillDescription = '使用一个随机的敌方技能',
        oldHeroName = '章鱼博士',
        newHeroName = '咕噜',
        heroId = 3111
    },
    {
        id = 1131,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2110104},
        color = 1,
        skillGradePer = 4,
        skillDescription = '基地获得一个治愈药丸，在激活能力时间的生命回复，并且在下一己方回合再次获得生命恢复',
        oldHeroName = '罗伊德',
        newHeroName = '烧麦',
        heroId = 1131
    },
    {
        id = 2011,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {5130101},
        color = 2,
        skillGradePer = 4,
        skillDescription = '召唤3个同伴',
        oldHeroName = '洛克犬',
        newHeroName = '晴色',
        heroId = 2011
    },
    {
        id = 2021,
        isAdd = 2,
        condition = 102,
        seq = 10203,
        effectGroup = {9220201},
        color = 1,
        skillGradePer = 4,
        skillDescription = '对手的英雄互相攻击，当只有一个英雄时，则攻击基地。对基地造成战力值一半的伤害',
        oldHeroName = '朋克头',
        newHeroName = '鸢萝',
        heroId = 1121
    },
    {
        id = 2031,
        isAdd = 2,
        condition = 103,
        seq = 10302,
        effectGroup = {3120301,1110102},
        color = 2,
        skillGradePer = 4,
        skillDescription = '牺牲你最弱的英雄单位，恢复主角6格战力血量',
        oldHeroName = '死神',
        newHeroName = '颠颠',
        heroId = 2031
    },
    {
        id = 2041,
        isAdd = 2,
        condition = 103,
        seq = 0,
        effectGroup = {3120301,3210102},
        color = 2,
        skillGradePer = 4,
        skillDescription = '在攻击阶段结束后，牺牲一个己方最弱士兵，对敌方基地造成最大生命值的25%的伤害',
        oldHeroName = '爆破专家',
        newHeroName = '红烛',
        heroId = 2041
    },
    {
        id = 2051,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {1110101,1120202},
        color = 4,
        skillGradePer = 4,
        skillDescription = '恢复我方国王3个色块战力的血量，提升我方怪兽战力',
        oldHeroName = '查理',
        newHeroName = '奎',
        heroId = 4111
    },
    {
        id = 2061,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {5130104},
        color = 2,
        skillGradePer = 4,
        skillDescription = '随机将2个色块替换为万能色块',
        oldHeroName = '派对DJ',
        newHeroName = '画意',
        heroId = 2061
    },
    {
        id = 2071,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {2210101},
        color = 2,
        skillGradePer = 4,
        skillDescription = '对敌方基地施放一个诅咒，每回合造成伤害',
        oldHeroName = '温蒂',
        newHeroName = '花椒',
        heroId = 2071
    },
    {
        id = 2081,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {3250101},
        color = 2,
        skillGradePer = 4,
        skillDescription = '随机攻击四次，目标包括敌人和敌方基地',
        oldHeroName = '真希',
        newHeroName = '不酸',
        heroId = 2081
    },
    {
        id = 2091,
        isAdd = 2,
        condition = 103,
        seq = 10302,
        effectGroup = {9220601,9130201},
        color = 1,
        skillGradePer = 4,
        skillDescription = '在攻击阶段结束后，将最强的敌军移动到己方位置',
        oldHeroName = '露西',
        newHeroName = '风月',
        heroId = 1111
    },
    {
        id = 2101,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2120109},
        color = 2,
        skillGradePer = 4,
        skillDescription = '攻击对手单位可以提升自身能量',
        oldHeroName = '鲜血女王',
        newHeroName = '夜阑',
        heroId = 2101
    },
    {
        id = 2111,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {9220202},
        color = 2,
        skillGradePer = 4,
        skillDescription = '从所有敌人那里偷取力量，并将其分配给盟军',
        oldHeroName = '斯凯特',
        newHeroName = '金羽',
        heroId = 2111
    },
    {
        id = 2121,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {5230302},
        color = 1,
        skillGradePer = 4,
        skillDescription = '炸毁敌方所有技能色块，并对爆炸范围内的所有敌方士兵造成伤害，此伤害可以叠加',
        oldHeroName = '吉姆',
        newHeroName = '团团',
        heroId = 1031
    },
    {
        id = 2131,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {9120111},
        color = 2,
        skillGradePer = 4,
        skillDescription = '技能发动时，交换敌方最强单位与己方最弱单位的位置',
        oldHeroName = '足球迷',
        newHeroName = '阿筝',
        heroId = 2131
    },
    {
        id = 3011,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2110101},
        color = 3,
        skillGradePer = 4,
        skillDescription = '基地免疫所有伤害，效果可叠加，持续1回合',
        oldHeroName = '特警',
        newHeroName = '常明',
        heroId = 3011
    },
    {
        id = 3021,
        isAdd = 2,
        condition = 103,
        seq = 10302,
        effectGroup = {5130102},
        color = 3,
        skillGradePer = 4,
        skillDescription = '在攻击阶段结束后，随机消除一组色块，并生成一个士兵',
        oldHeroName = '罗杰',
        newHeroName = '一叶',
        heroId = 3021
    },
    {
        id = 3031,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {5330201},
        color = 3,
        skillGradePer = 4,
        skillDescription = '消除垂直方向上的宝石',
        oldHeroName = '间谍',
        newHeroName = '棋博士',
        heroId = 3031
    },
    {
        id = 3041,
        isAdd = 2,
        condition = 101,
        seq = 10101,
        effectGroup = {3320701,3210103,2120201},
        color = 3,
        skillGradePer = 4,
        skillDescription = '消灭所有的单位，并对对方主角造成2格战力血量伤害，但此轮无法进行攻击',
        oldHeroName = '极限特工',
        newHeroName = '小青',
        heroId = 3041
    },
    {
        id = 3051,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120104},
        color = 2,
        skillGradePer = 4,
        skillDescription = '装备护甲，使受到的伤害降低50%。持续到死亡',
        oldHeroName = 'SWAT',
        newHeroName = '清茗',
        heroId = 2021
    },
    {
        id = 3061,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2120202},
        color = 3,
        skillGradePer = 4,
        skillDescription = '我方全体士兵获得护盾，减少受到直接伤害50%，持续1回合',
        oldHeroName = '无人机队长',
        newHeroName = '烟波',
        heroId = 3061
    },
    {
        id = 3071,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {9220301},
        color = 3,
        skillGradePer = 4,
        skillDescription = '囚禁一个敌方英雄单位几回合',
        oldHeroName = '查克警长',
        newHeroName = '眠眠',
        heroId = 3071
    },
    {
        id = 3081,
        isAdd = 2,
        condition = 101,
        seq = 0,
        effectGroup = {2210103},
        color = 3,
        skillGradePer = 4,
        skillDescription = '抵消敌军下一次激活的能力，此效果不可叠加',
        oldHeroName = '爱丽丝',
        newHeroName = '阿呆',
        heroId = 3081
    },
    {
        id = 3091,
        isAdd = 2,
        condition = 101,
        seq = 0,
        effectGroup = {2110102},
        color = 3,
        skillGradePer = 4,
        skillDescription = '杀死第一个跑到敌人阵营的英雄单位',
        oldHeroName = '刺客',
        newHeroName = '酿酿',
        heroId = 3091
    },
    {
        id = 3101,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120110},
        color = 4,
        skillGradePer = 4,
        skillDescription = '每回合都可以对一个单位进行增强',
        oldHeroName = '汤米',
        newHeroName = '乔乔',
        heroId = 4031
    },
    {
        id = 3111,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2120203},
        color = 4,
        skillGradePer = 4,
        skillDescription = '当前回合增加所有盟军50%的攻击力',
        oldHeroName = '火舞者',
        newHeroName = '孤梦',
        heroId = 4041
    },
    {
        id = 3121,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120111},
        color = 3,
        skillGradePer = 4,
        skillDescription = '每回合召唤一个援军，援军会持续抵达直到该单位死亡',
        oldHeroName = '查基',
        newHeroName = '疏雨',
        heroId = 3121
    },
    {
        id = 3131,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {5130201},
        color = 3,
        skillGradePer = 4,
        skillDescription = '所有英雄单位撤退',
        oldHeroName = '警察',
        newHeroName = '璨月',
        heroId = 3131
    },
    {
        id = 4011,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {3210101},
        color = 4,
        skillGradePer = 4,
        skillDescription = '对手方角失去3格战力血量',
        oldHeroName = '扎克',
        newHeroName = '二月',
        heroId = 4011
    },
    {
        id = 4021,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120102},
        color = 4,
        skillGradePer = 4,
        skillDescription = '在下一次攻击时造成额外伤害',
        oldHeroName = '神枪手',
        newHeroName = '穗穗',
        heroId = 4021
    },
    {
        id = 4031,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {3220301},
        color = 2,
        skillGradePer = 4,
        skillDescription = '消灭对手最弱的英雄',
        oldHeroName = '化学老师',
        newHeroName = '无情',
        heroId = 2121
    },
    {
        id = 4041,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {3220201},
        color = 2,
        skillGradePer = 4,
        skillDescription = '伤害对手所有英雄单位',
        oldHeroName = '黑帮',
        newHeroName = '倒倒',
        heroId = 2051
    },
    {
        id = 4051,
        isAdd = 2,
        condition = 102,
        seq = 10202,
        effectGroup = {2220201},
        color = 4,
        skillGradePer = 4,
        skillDescription = '点燃所有敌人，使他们每回合失去生命值',
        oldHeroName = '纵火犯',
        newHeroName = '阿空',
        heroId = 4051
    },
    {
        id = 4061,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120105},
        color = 4,
        skillGradePer = 4,
        skillDescription = '使这个单位变成职业杀手，他的攻击总能击杀目标，但不会对基地造成溢出伤害',
        oldHeroName = '杀手',
        newHeroName = '百戏',
        heroId = 4061
    },
    {
        id = 4071,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2120107},
        color = 4,
        skillGradePer = 4,
        skillDescription = '在使用能力造成伤害时，会弹射到最近的一个目标',
        oldHeroName = '忍者',
        newHeroName = '千两',
        heroId = 4071
    },
    {
        id = 4081,
        isAdd = 2,
        condition = 103,
        seq = 10301,
        effectGroup = {2230201},
        color = 4,
        skillGradePer = 4,
        skillDescription = '随机选择一个敌方小队并且封锁其周围2*2的场地范围，这个封锁会持续到敌方回合结束',
        oldHeroName = '解脱者',
        newHeroName = '凛凛',
        heroId = 4081
    },
    {
        id = 4091,
        isAdd = 2,
        condition = 101,
        seq = 0,
        effectGroup = {9310101},
        color = 4,
        skillGradePer = 4,
        skillDescription = '使双方基地生命值相等',
        oldHeroName = '魔术师',
        newHeroName = '云中客',
        heroId = 4091
    },
    {
        id = 4101,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {2220601},
        color = 4,
        skillGradePer = 4,
        skillDescription = '贿赂一个敌方单位，使其不参加1回合战斗',
        oldHeroName = '魔术先生',
        newHeroName = '江流',
        heroId = 4101
    },
    {
        id = 4111,
        isAdd = 2,
        condition = 102,
        seq = 10201,
        effectGroup = {2110103},
        color = 3,
        skillGradePer = 4,
        skillDescription = '用迷雾屏蔽己方场地，让敌方不可见',
        oldHeroName = '米斯特',
        newHeroName = '絮絮',
        heroId = 3051
    },
    {
        id = 4121,
        isAdd = 2,
        condition = 103,
        seq = 0,
        effectGroup = {5130107},
        color = 1,
        skillGradePer = 4,
        skillDescription = '连接3~5个色块并且根据连接长度造成伤害',
        oldHeroName = '拉德马克斯',
        newHeroName = '纤纤',
        heroId = 1051
    },
    {
        id = 4131,
        isAdd = 2,
        condition = 102,
        seq = 0,
        effectGroup = {5230303},
        color = 4,
        skillGradePer = 4,
        skillDescription = '偷取所有敌方技能色块到你的地盘',
        oldHeroName = '杰西',
        newHeroName = '猴宝',
        heroId = 4131
    }
}
return root