local root = {
    {
        level = 1,
        npcName = '阿瑶',
        npcLevel = '结缘宗师',
        npcDraw = 'stage_draw_01',
        npcHead = 601,
        npcFrame = 23001,
        npcInfo = '萌宠学院国学导师阿瑶，乃结缘一系宗师级人物。从小喜舞文弄墨，方在髫年便名传临近十八乡，豆蔻之年阿瑶在琴、棋、书、画、古文、乐理等方面皆颇有造诣。学院院长赴任路上看到阿瑶于众幼童授学的场景，发现阿瑶举止间温文尔雅、顺应天道，特请阿瑶来学院担任导师，院长偶尔也会来指导其修行。',
        stageInfo = '半仙才是刚刚踏入修行的基础境界，漫漫修行路方才是起始。尔等需要继续努力修行、戒骄戒躁，在导师的教导下夯实基础，打造更良好的根基，才可以在以后的修行路上走得更高更远！'
    },
    {
        level = 2,
        npcName = '芈公子',
        npcLevel = '结缘宗师',
        npcDraw = 'stage_draw_02',
        npcHead = 602,
        npcFrame = 23002,
        npcInfo = '萌宠学院书画导师芈公子，乃结缘一系宗师级人物。年幼时资质平庸、默默无闻，却在萌宠学院成立之年、入学初试考核上，获院长大人赏识指点，一路扶摇而上，得书画二道真意，短短十余年便达到绝大多数人一辈子都难以企及的宗师之境。毕业后为报鸿恩，做了学院导师，期待能将所学所感回馈给学院。',
        stageInfo = '散仙才是刚刚走出基础修行的境界，漫漫修行路踏出第一步。尔等需要继续努力修行、戒骄戒躁，在导师的教导下锤炼基础，打造更精湛的技艺，才可以在以后的修行路上走得更高更远！'
    },
    {
        level = 3,
        npcName = '余婉秋',
        npcLevel = '结缘宗师',
        npcDraw = 'stage_draw_03',
        npcHead = 603,
        npcFrame = 23003,
        npcInfo = '萌宠学院舞艺导师余婉秋，乃结缘一系宗师级人物。孩提时初展舞蹈天赋，十余年间，其父明理、散尽家财，为其寻尽乡镇名师。余婉秋终不负众望，及笄之年舞艺大成，成功进入萌宠学院任教。后寻求院长指点、勤学苦练，达到宗师之境。举手投足之间，散发撩人心弦的魅力，意志不坚者甚至会沉沦其中。',
        stageInfo = '地仙才是勉强算打造好基础的境界，漫漫修行路走过了起点。尔等需要继续努力修行、戒骄戒躁，在导师的教导下精益求精，不断突破自我约束，才可以在以后的修行路上走得更高更远！'
    },
    {
        level = 4,
        npcName = '阿凤',
        npcLevel = '赐福宗师',
        npcDraw = 'stage_draw_04',
        npcHead = 604,
        npcFrame = 23004,
        npcInfo = '萌宠学院国学导师阿凤，乃赐福一系宗师级人物。从小喜舞文弄墨，方在髫年便名传临近十八乡，豆蔻之年阿凤在琴、棋、书、画、古文、乐理等方面皆颇有造诣。学院院长赴任路上看到阿凤于众幼童授学的场景，发现阿凤举止间温文尔雅、顺应天道，特请阿凤来学院担任导师，院长偶尔也会来指导其修行。',
        stageInfo = '晋升天仙后你便勉强算作真正的脱离凡胎跨足仙境。初入仙境，依旧有很多需要提升的地方，有修行疑惑、便可寻求导师的帮助，早日踏足更高境界，以为神圣天宫贡献自己的一份力量。'
    },
    {
        level = 5,
        npcName = '赤归子',
        npcLevel = '赐福宗师',
        npcDraw = 'stage_draw_05',
        npcHead = 605,
        npcFrame = 23005,
        npcInfo = '萌宠学院书画导师赤归子，乃赐福一系宗师级人物。年幼时资质平庸、默默无闻，却在萌宠学院成立之年、入学初试考核上，获院长大人赏识指点，一路扶摇而上，得书画二道真意，短短十余年便达到绝大多数人一辈子都难以企及的宗师之境。毕业后为报鸿恩，做了学院导师，期待能将所学所感回馈给学院。',
        stageInfo = '晋升上仙后你便有大家梦寐以求的那一丝成神之机。初入上仙，依旧有很多需要提升的地方，有修行疑惑、便可寻求导师的帮助，早日踏足更高境界，以为神圣天宫贡献自己的一份力量。'
    },
    {
        level = 6,
        npcName = '余灵欣',
        npcLevel = '赐福宗师',
        npcDraw = 'stage_draw_06',
        npcHead = 606,
        npcFrame = 23006,
        npcInfo = '萌宠学院舞艺导师余灵欣，乃赐福一系宗师级人物。孩提时初展舞蹈天赋，十余年间，其父明理、散尽家财，为其寻尽乡镇名师。余灵欣终不负众望，及笄之年舞艺大成，成功进入萌宠学院任教。后寻求院长指点、勤学苦练，达到宗师之境。举手投足之间，散发撩人心弦的魅力，意志不坚者甚至会沉沦其中。',
        stageInfo = '晋升半神后你便算作半只脚踏入了虚无缥缈神之境。初入半神，依旧有很多需要提升的地方，有修行疑惑、便可寻求导师的帮助，早日踏足更高境界，以为神圣天宫贡献自己的一份力量。'
    },
    {
        level = 7,
        npcName = '阿岚',
        npcLevel = '除厄宗师',
        npcDraw = 'stage_draw_07',
        npcHead = 607,
        npcFrame = 23007,
        npcInfo = '萌宠学院国学导师阿岚，乃除厄一系宗师级人物。从小喜舞文弄墨，方在髫年便名传临近十八乡，豆蔻之年阿岚在琴、棋、书、画、古文、乐理等方面皆颇有造诣。学院院长赴任路上看到阿岚于众幼童授学的场景，发现阿岚举止间温文尔雅、顺应天道，特请阿岚来学院担任导师，院长偶尔也会来指导其修行。',
        stageInfo = '晋升上神后你才真正的达到了神的境界，将拥有无边伟力，在修行路上算是达到了中等水准。初入上神，要打好日后进军高等境界的基础，去摸索那若有若无的道之意境，获取道的力量。'
    },
    {
        level = 8,
        npcName = '青云子',
        npcLevel = '除厄宗师',
        npcDraw = 'stage_draw_08',
        npcHead = 608,
        npcFrame = 23008,
        npcInfo = '萌宠学院书画导师青云子，乃除厄一系宗师级人物。年幼时资质平庸、默默无闻，却在萌宠学院成立之年、入学初试考核上，获院长大人赏识指点，一路扶摇而上，得书画二道真意，短短十余年便达到绝大多数人一辈子都难以企及的宗师之境。毕业后为报鸿恩，做了学院导师，期待能将所学所感回馈给学院。',
        stageInfo = '晋升道君后你才真正的拥有了神的力量，可借用天地间属于道的力量，挥手间焚山煮海、撕天裂地绝非难事。初入道君，更要加强对道之意境的感悟，方能借用更多甚至是完整的道之力。'
    },
    {
        level = 9,
        npcName = '余文婧',
        npcLevel = '除厄宗师',
        npcDraw = 'stage_draw_09',
        npcHead = 609,
        npcFrame = 23009,
        npcInfo = '萌宠学院舞艺导师余文婧，乃除厄一系宗师级人物。孩提时初展舞蹈天赋，十余年间，其父明理、散尽家财，为其寻尽乡镇名师。余文婧终不负众望，及笄之年舞艺大成，成功进入萌宠学院任教。后寻求院长指点、勤学苦练，达到宗师之境。举手投足之间，散发撩人心弦的魅力，意志不坚者甚至会沉沦其中。',
        stageInfo = '晋升灵隐真君后你才能真正的随意借用道之力，世之大道更有粉碎虚空的力量。初入领隐真君，除了巩固好完整的道之力外，还要学习和掌握更多的道，纳百道合为一道，方能更进一步。'
    },
    {
        level = 10,
        npcName = '阿黎',
        npcLevel = '金运宗师',
        npcDraw = 'stage_draw_10',
        npcHead = 610,
        npcFrame = 23010,
        npcInfo = '萌宠学院国学导师阿黎，乃金运一系宗师级人物。从小喜舞文弄墨，方在髫年便名传临近十八乡，豆蔻之年阿黎在琴、棋、书、画、古文、乐理等方面皆颇有造诣。学院院长赴任路上看到阿黎于众幼童授学的场景，发现阿黎举止间温文尔雅、顺应天道，特请阿黎来学院担任导师，院长偶尔也会来指导其修行。',
        stageInfo = '晋升曜月星君后你已拥有自己的道之力，那是足以毁天灭地的力量，在修行路上已达到高等水准。初入曜月星君，便已脱离世界的范畴，在整个宇宙也堪称宗师级的高手，可受万界敬仰。'
    },
    {
        level = 11,
        npcName = '金灵子',
        npcLevel = '金运宗师',
        npcDraw = 'stage_draw_11',
        npcHead = 623,
        npcFrame = 23011,
        npcInfo = '萌宠学院书画导师金灵子，乃金运一系宗师级人物。年幼时资质平庸、默默无闻，却在萌宠学院成立之年、入学初试考核上，获院长大人赏识指点，一路扶摇而上，得书画二道真意，短短十余年便达到绝大多数人一辈子都难以企及的宗师之境。毕业后为报鸿恩，做了学院导师，期待能将所学所感回馈给学院。',
        stageInfo = '晋升逍遥帝君后你已领悟了属于整个宇宙的核心力量，宇宙之大何处不可逍遥？作为逍遥帝君，你已可掌一方宇宙，享万千世界供奉。帝君之修行，红尘琐事皆外事，一心只勘道之本源。'
    },
    {
        level = 12,
        npcName = '余月明',
        npcLevel = '金运宗师',
        npcDraw = 'stage_draw_12',
        npcHead = 624,
        npcFrame = 23012,
        npcInfo = '萌宠学院舞艺导师余月明，乃金运一系宗师级人物。孩提时初展舞蹈天赋，十余年间，其父明理、散尽家财，为其寻尽乡镇名师。余月明终不负众望，及笄之年舞艺大成，成功进入萌宠学院任教。后寻求院长指点、勤学苦练，达到宗师之境。举手投足之间，散发撩人心弦的魅力，意志不坚者甚至会沉沦其中。',
        stageInfo = '晋升极道天尊后你已进入更高境界，念之所在，你便可存在。拥有的力量不足以用言语形容，太上不出，你便是修行者的至尊。天尊之修行，已不在修行，能否踏足那一步，皆只看缘法。'
    },
    {
        level = 13,
        npcName = '公孙倾城',
        npcLevel = '院长',
        npcDraw = 'stage_draw_13',
        npcHead = 625,
        npcFrame = 23013,
        npcInfo = '萌宠学院首任院长公孙倾城，境界高深、来历神秘，据传是来自天宫王族的公主，可是了不得的大人物。历届学院年终考核，院长作为决策人出席大典，这也是外人唯一能见到院长的机会。为了一观院长风采，考核大典观礼人数可谓一届比一届高涨，后来学院不得不提高了观礼门槛，无缘来观者皆叹息不已！',
        stageInfo = '晋升太上忘情后你便是修行之路的巅峰，言出法随，宇宙、世界、一切的生存与毁灭，皆在一念之间。太上的修行，无处不在，看似沉寂，实则在推演修行的更高境界，追寻更高深的道。'
    }
}
return root