local root = {
    {
        minTotalLevel = 4,
        maxTotalLevel = 8,
        win = {-999,999},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,1,1},70},{{1,2,2,1},30}},
        baseLevel = 1,
        minAtomPerc = 10,
        maxAtomPerc = 90,
        atomGidWeight = {{"991",100},{"992",0},{"1",0}}
    },
    {
        minTotalLevel = 8,
        maxTotalLevel = 12,
        win = {-999,999},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{2,2,2,3},70},{{1,2,3,3},30}},
        baseLevel = 2,
        minAtomPerc = 10,
        maxAtomPerc = 90,
        atomGidWeight = {{"1",80},{"2",20},{"3",0}}
    },
    {
        minTotalLevel = 12,
        maxTotalLevel = 16,
        win = {-999,999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        minAtomPerc = 10,
        maxAtomPerc = 90,
        atomGidWeight = {{"3",10},{"8",40},{"4",50}}
    },
    {
        minTotalLevel = 16,
        maxTotalLevel = 20,
        win = {-999,999},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,5,5,5},60},{{4,5,5,6},30},{{4,4,6,6},10}},
        baseLevel = 4,
        minAtomPerc = 30,
        maxAtomPerc = 70,
        atomGidWeight = {{"4",0},{"441005",50},{"441010",50}}
    },
    {
        minTotalLevel = 20,
        maxTotalLevel = 24,
        win = {-999,999},
        exSkillPercList = {70,80,90},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 5,
        minAtomPerc = 30,
        maxAtomPerc = 70,
        atomGidWeight = {{"441005",50},{"5",50},{"10",50}}
    },
    {
        minTotalLevel = 24,
        maxTotalLevel = 26,
        win = {6,999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 24,
        maxTotalLevel = 26,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,8},70},{{4,6,8,8},20},{{5,6,8,8},10}},
        baseLevel = 5,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 24,
        maxTotalLevel = 26,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{6,6,6,8},70},{{4,6,8,8},20},{{5,6,8,8},10}},
        baseLevel = 5,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 26,
        maxTotalLevel = 28,
        win = {6,999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 26,
        maxTotalLevel = 28,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{6,6,6,8},70},{{4,6,8,8},20},{{5,6,8,8},10}},
        baseLevel = 5,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 26,
        maxTotalLevel = 28,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{6,6,6,8},70},{{4,6,8,8},20},{{5,6,8,8},10}},
        baseLevel = 5,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 28,
        maxTotalLevel = 30,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 28,
        maxTotalLevel = 30,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{8,8,8,8},70},{{6,8,8,10},20},{{6,6,10,10},10}},
        baseLevel = 6,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 28,
        maxTotalLevel = 30,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{8,8,8,8},70},{{6,8,8,10},20},{{6,6,10,10},10}},
        baseLevel = 6,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 30,
        maxTotalLevel = 32,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 30,
        maxTotalLevel = 32,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{8,8,10,10},70},{{6,10,10,10},20},{{6,8,10,12},10}},
        baseLevel = 6,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 30,
        maxTotalLevel = 32,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{8,8,10,10},70},{{6,10,10,10},20},{{6,8,10,12},10}},
        baseLevel = 6,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 32,
        maxTotalLevel = 34,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 32,
        maxTotalLevel = 34,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{10,10,10,10},70},{{8,10,10,12},20},{{8,8,12,12},10}},
        baseLevel = 7,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 32,
        maxTotalLevel = 34,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{10,10,10,10},70},{{8,10,10,12},20},{{8,8,12,12},10}},
        baseLevel = 7,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 34,
        maxTotalLevel = 36,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 34,
        maxTotalLevel = 36,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{10,10,12,12},80},{{8,12,12,12},20}},
        baseLevel = 7,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 34,
        maxTotalLevel = 36,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{10,10,12,12},80},{{8,12,12,12},20}},
        baseLevel = 7,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 36,
        maxTotalLevel = 38,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 36,
        maxTotalLevel = 38,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{12,12,12,12},70},{{10,12,12,15},20},{{10,10,15,15},10}},
        baseLevel = 8,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 36,
        maxTotalLevel = 38,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{12,12,12,12},70},{{10,12,12,15},20},{{10,10,15,15},10}},
        baseLevel = 8,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 38,
        maxTotalLevel = 40,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 38,
        maxTotalLevel = 40,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{12,15,15,15},80},{{12,12,15,18},20}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 38,
        maxTotalLevel = 40,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{12,15,15,15},80},{{12,12,15,18},20}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 40,
        maxTotalLevel = 42,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 40,
        maxTotalLevel = 42,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{15,15,15,15},70},{{12,15,15,18},20},{{12,12,18,18},10}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 40,
        maxTotalLevel = 42,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{15,15,15,15},70},{{12,15,15,18},20},{{12,12,18,18},10}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 42,
        maxTotalLevel = 44,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 42,
        maxTotalLevel = 44,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{15,15,18,18},80},{{12,18,18,18},20}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 42,
        maxTotalLevel = 44,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{15,15,18,18},80},{{12,18,18,18},20}},
        baseLevel = 9,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 44,
        maxTotalLevel = 46,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 44,
        maxTotalLevel = 46,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{18,18,18,22},80},{{15,18,22,22},20}},
        baseLevel = 10,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 44,
        maxTotalLevel = 46,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{18,18,18,22},80},{{15,18,22,22},20}},
        baseLevel = 10,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 46,
        maxTotalLevel = 48,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 46,
        maxTotalLevel = 48,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{22,22,22,22},80},{{18,22,22,27},20}},
        baseLevel = 11,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 46,
        maxTotalLevel = 48,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{22,22,22,22},80},{{18,22,22,27},20}},
        baseLevel = 11,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 48,
        maxTotalLevel = 50,
        win = {6,9999},
        exSkillPercList = {90,100,100},
        levelListWeightD = {{{0,0,0,0},50},{{1,0,0,0},50}},
        baseLevelD = 0,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 48,
        maxTotalLevel = 50,
        win = {-1,5},
        exSkillPercList = {90,100,100},
        attackListWeight = {{{22,22,27,27},80},{{18,27,27,27},20}},
        baseLevel = 11,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    },
    {
        minTotalLevel = 48,
        maxTotalLevel = 50,
        win = {-9999,-2},
        exSkillPercList = {70,80,90,100},
        attackListWeight = {{{22,22,27,27},80},{{18,27,27,27},20}},
        baseLevel = 11,
        minAtomPerc = 45,
        maxAtomPerc = 65,
        atomGidWeight = {{"1",100},{"441001",0},{"442001",0}}
    }
}
return root