local root = {
    {
        minTotalLevel = 4,
        maxTotalLevel = 8,
        win = {-9999,9999},
        exSkillPercList = {0},
        attackListWeight = {{{1,1,1,1},70},{{1,2,2,1},30}},
        baseLevel = 1,
        robotLinkType = {{"L",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"L49", 100}},
        playerSupplyWeight2 = {{"L49", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4011,3011,1011,2011}, 100}}
    },
    {
        minTotalLevel = 8,
        maxTotalLevel = 12,
        win = {2,9999},
        exSkillPercList = {0},
        attackListWeight = {{{2,2,2,3},100}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4011,3011,1011,2011}, 100}}
    },
    {
        minTotalLevel = 8,
        maxTotalLevel = 12,
        win = {0,1},
        exSkillPercList = {0},
        attackListWeight = {{{2,2,2,3},100}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4011,3011,1011,2011}, 100}}
    },
    {
        minTotalLevel = 8,
        maxTotalLevel = 12,
        win = {-9999,-1},
        exSkillPercList = {0},
        attackListWeight = {{{1,2,3,3},100}},
        baseLevel = 2,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,100}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4011,3011,1011,2011}, 100}}
    },
    {
        minTotalLevel = 12,
        maxTotalLevel = 16,
        win = {2,9999},
        exSkillPercList = {100},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 70},{{4011,3011,1011,2011}, 30}}
    },
    {
        minTotalLevel = 12,
        maxTotalLevel = 16,
        win = {-1,1},
        exSkillPercList = {100},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    },
    {
        minTotalLevel = 12,
        maxTotalLevel = 16,
        win = {-9999,-2},
        exSkillPercList = {100},
        attackListWeight = {{{3,4,4,4},60},{{3,3,4,5},30},{{2,4,4,5},10}},
        baseLevel = 3,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    },
    {
        minTotalLevel = 16,
        maxTotalLevel = 20,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,5,5},60},{{4,5,5,6},30},{{4,4,6,6},10}},
        baseLevel = 4,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 70},{{4011,3011,1011,2011}, 30}}
    },
    {
        minTotalLevel = 16,
        maxTotalLevel = 20,
        win = {-1,1},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{5,5,5,5},60},{{4,5,5,6},30},{{4,4,6,6},10}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    },
    {
        minTotalLevel = 16,
        maxTotalLevel = 20,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{5,5,5,5},60},{{4,5,5,6},30},{{4,4,6,6},10}},
        baseLevel = 4,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    },
    {
        minTotalLevel = 20,
        maxTotalLevel = 24,
        win = {2,9999},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 5,
        robotLinkType = {{"W",100}},
        robotSupplyWeight1 = {{"B57", 100}},
        robotSupplyWeight2 = {{"A57", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"B57", 100}},
        playerSupplyWeight2 = {{"A57", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 70},{{4011,3011,1011,2011}, 30}}
    },
    {
        minTotalLevel = 20,
        maxTotalLevel = 24,
        win = {-1,1},
        exSkillPercList = {50,60,70},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 5,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"A57", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 11,
        playerSupplyWeight1 = {{"A57", 100}},
        playerSupplyWeight2 = {{"L27", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    },
    {
        minTotalLevel = 20,
        maxTotalLevel = 24,
        win = {-9999,-2},
        exSkillPercList = {30,40,50},
        attackListWeight = {{{5,5,6,6},70},{{4,6,6,6},30}},
        baseLevel = 5,
        robotLinkType = {{"R",100}},
        robotSupplyWeight1 = {{"L27", 100}},
        robotSupplyWeight2 = {{"L27", 100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R", 100}},
        playerSupplyWeight2 = {{"R", 100}},
        playerRound = 10,
        yellowWeight = {{4011,100}},
        blueWeight = {{3011,20},{3031,60},{3051,20}},
        greenWeight = {{1011,100}},
        redWeight = {{2011,100}},
        cardsWeight = {{{4111,3011,1011,2011}, 50},{{4011,3011,1011,2011}, 50}}
    }
}
return root