local root = {
    {
        level = 1,
        score = 0,
        proScore = 0,
        winScore = 20,
        loseScore = 10,
        deltaScore = 1,
        unlockHero = {1011,2011,3011,4011},
        sceneCup = {0,99},
        starNumber = {2,1},
        stageName = '入门冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 3,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_01',
        stageEff = 1
    },
    {
        level = 2,
        score = 100,
        proScore = 50,
        winScore = 20,
        loseScore = 10,
        deltaScore = 1,
        lvReward = {id=301,count=6},
        unlockHero = {1021,2021,3021,4021},
        sceneCup = {100,299},
        starNumber = {2,2},
        stageName = '入门冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 3,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_02',
        stageEff = 2
    },
    {
        level = 3,
        score = 300,
        proScore = 50,
        winScore = 20,
        loseScore = 12,
        deltaScore = 1,
        lvReward = {id=301,count=6},
        unlockHero = {1021,2031,3031,4031},
        sceneCup = {300,599},
        starNumber = {2,1},
        stageName = '新秀冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 3,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_03',
        stageEff = 3
    },
    {
        level = 4,
        score = 600,
        proScore = 50,
        winScore = 20,
        loseScore = 12,
        deltaScore = 1,
        lvReward = {id=301,count=6},
        unlockHero = {1041,2031,3031,3041},
        sceneCup = {600,999},
        starNumber = {2,2},
        stageName = '新秀冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 5,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_04',
        stageEff = 4
    },
    {
        level = 5,
        score = 1000,
        proScore = 50,
        winScore = 20,
        loseScore = 14,
        deltaScore = 2,
        lvReward = {id=301,count=6},
        unlockHero = {1041,2031,3051,4051},
        sceneCup = {1000,1399},
        starNumber = {3,1},
        stageName = '精英冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 5,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_05',
        stageEff = 5
    },
    {
        level = 6,
        score = 1400,
        proScore = 50,
        winScore = 20,
        loseScore = 14,
        deltaScore = 2,
        lvReward = {id=301,count=6},
        unlockHero = {1061,2061,3051,4061},
        sceneCup = {1400,1799},
        starNumber = {3,2},
        stageName = '精英冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 5,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_06',
        stageEff = 6
    },
    {
        level = 7,
        score = 1800,
        proScore = 50,
        winScore = 20,
        loseScore = 16,
        deltaScore = 2,
        lvReward = {id=301,count=6},
        unlockHero = {1061,2071,3071,4071},
        sceneCup = {1800,2199},
        starNumber = {3,3},
        stageName = '精英冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 7,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_07',
        stageEff = 7
    },
    {
        level = 8,
        score = 2200,
        proScore = 50,
        winScore = 20,
        loseScore = 16,
        deltaScore = 2,
        lvReward = {id=301,count=6},
        unlockHero = {1081,2071,3071,4081},
        sceneCup = {2200,2599},
        starNumber = {3,1},
        stageName = '杰出冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 7,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_08',
        stageEff = 8
    },
    {
        level = 9,
        score = 2600,
        proScore = 50,
        winScore = 20,
        loseScore = 18,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1091,2091,3071,4081},
        sceneCup = {2600,2999},
        starNumber = {3,2},
        stageName = '杰出冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 7,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_09',
        stageEff = 9
    },
    {
        level = 10,
        score = 3000,
        proScore = 50,
        winScore = 20,
        loseScore = 18,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1091,2091,3071,4081},
        sceneCup = {3000,3399},
        starNumber = {3,3},
        stageName = '杰出冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_10',
        stageEff = 10
    },
    {
        level = 11,
        score = 3400,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1111,2111,3111,4111},
        sceneCup = {3400,3799},
        starNumber = {4,1},
        stageName = '顶尖冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_11',
        stageEff = 11
    },
    {
        level = 12,
        score = 3800,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {3800,4199},
        starNumber = {4,2},
        stageName = '顶尖冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 13,
        score = 4200,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {4200,4599},
        starNumber = {4,3},
        stageName = '顶尖冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 14,
        score = 4600,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {4600,4999},
        starNumber = {4,4},
        stageName = '顶尖冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 15,
        score = 5000,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {5000,5399},
        starNumber = {5,1},
        stageName = '首席冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 16,
        score = 5400,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {5400,5799},
        starNumber = {5,2},
        stageName = '首席冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 17,
        score = 5800,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {5800,6199},
        starNumber = {5,3},
        stageName = '首席冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 18,
        score = 6200,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {6200,6599},
        starNumber = {5,4},
        stageName = '首席冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 19,
        score = 6600,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {6600,6999},
        starNumber = {5,5},
        stageName = '首席冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 20,
        score = 7000,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {7000,8199},
        stageName = '史诗冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 21,
        score = 8200,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {8200,9399},
        stageName = '传奇冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 22,
        score = 9400,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {9400,10599},
        stageName = '荣誉冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    },
    {
        level = 23,
        score = 10600,
        proScore = 50,
        winScore = 20,
        loseScore = 20,
        deltaScore = 3,
        lvReward = {id=301,count=6},
        unlockHero = {1121,2121,3121,4111},
        sceneCup = {10600,999999},
        stageName = '殿堂冒险家',
        winGoldRange = {16,16},
        winKeyWeight = 8,
        resultBox = {31501,31502,31503,31504},
        stageRes = 'scene_game_13',
        stageImg = 'main_arena_icon_12',
        stageEff = 12
    }
}
return root