local root = {
    {
        chestId = 32001,
        arenaLevel = 1,
        cardType = {4,4},
        goldMin = 740,
        goldMax = 740,
        card = 98,
        changeTimes = 1
    },
    {
        chestId = 32001,
        arenaLevel = 2,
        cardType = {5,6},
        goldMin = 740,
        goldMax = 740,
        card = 98,
        changeTimes = 1
    },
    {
        chestId = 32001,
        arenaLevel = 3,
        cardType = {5,6},
        goldMin = 800,
        goldMax = 800,
        card = 107,
        changeTimes = 1
    },
    {
        chestId = 32001,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 860,
        goldMax = 860,
        card = 116,
        baseCards = {{qa=2,count=10}},
        changeTimes = 1
    },
    {
        chestId = 32001,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 920,
        goldMax = 920,
        card = 125,
        baseCards = {{qa=2,count=11}},
        changeTimes = 1
    },
    {
        chestId = 32001,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 980,
        goldMax = 980,
        card = 134,
        baseCards = {{qa=2,count=12}},
        changeTimes = 2
    },
    {
        chestId = 32001,
        arenaLevel = 7,
        cardType = {6,8},
        goldMin = 1040,
        goldMax = 1040,
        card = 141,
        baseCards = {{qa=2,count=14}},
        changeTimes = 2
    },
    {
        chestId = 32001,
        arenaLevel = 8,
        cardType = {6,8},
        goldMin = 1100,
        goldMax = 1100,
        card = 146,
        baseCards = {{qa=2,count=16}},
        changeTimes = 2
    },
    {
        chestId = 32001,
        arenaLevel = 9,
        cardType = {6,8},
        goldMin = 1160,
        goldMax = 1160,
        card = 153,
        baseCards = {{qa=2,count=18}},
        changeTimes = 2
    },
    {
        chestId = 32001,
        arenaLevel = 10,
        cardType = {6,8},
        goldMin = 1220,
        goldMax = 1220,
        card = 167,
        baseCards = {{qa=2,count=21}},
        changeTimes = 3
    },
    {
        chestId = 32001,
        arenaLevel = 11,
        cardType = {6,8},
        goldMin = 1280,
        goldMax = 1280,
        card = 185,
        baseCards = {{qa=2,count=24}},
        changeTimes = 3
    },
    {
        chestId = 32001,
        arenaLevel = 12,
        cardType = {6,8},
        goldMin = 1340,
        goldMax = 1340,
        card = 200,
        baseCards = {{qa=2,count=27}},
        changeTimes = 3
    },
    {
        chestId = 32001,
        arenaLevel = 13,
        cardType = {6,8},
        goldMin = 1400,
        goldMax = 1400,
        card = 215,
        baseCards = {{qa=2,count=30}},
        changeTimes = 3
    },
    {
        chestId = 32002,
        arenaLevel = 1,
        cardType = {4,4},
        goldMin = 2220,
        goldMax = 2220,
        card = 294,
        changeTimes = 1
    },
    {
        chestId = 32002,
        arenaLevel = 2,
        cardType = {6,8},
        goldMin = 2220,
        goldMax = 2220,
        card = 294,
        changeTimes = 1
    },
    {
        chestId = 32002,
        arenaLevel = 3,
        cardType = {6,8},
        goldMin = 2400,
        goldMax = 2400,
        card = 321,
        changeTimes = 1
    },
    {
        chestId = 32002,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 2580,
        goldMax = 2580,
        card = 348,
        baseCards = {{qa=2,count=30}},
        changeTimes = 1
    },
    {
        chestId = 32002,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 2760,
        goldMax = 2760,
        card = 375,
        baseCards = {{qa=2,count=33}},
        changeTimes = 1
    },
    {
        chestId = 32002,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 2940,
        goldMax = 2940,
        card = 402,
        baseCards = {{qa=2,count=36}},
        changeTimes = 2
    },
    {
        chestId = 32002,
        arenaLevel = 7,
        cardType = {6,8},
        goldMin = 3150,
        goldMax = 3150,
        card = 423,
        baseCards = {{qa=2,count=42}},
        changeTimes = 2
    },
    {
        chestId = 32002,
        arenaLevel = 8,
        cardType = {8,10},
        goldMin = 3300,
        goldMax = 3300,
        card = 438,
        baseCards = {{qa=2,count=48}},
        changeTimes = 2
    },
    {
        chestId = 32002,
        arenaLevel = 9,
        cardType = {8,10},
        goldMin = 3480,
        goldMax = 3480,
        card = 486,
        baseCards = {{qa=2,count=54}},
        changeTimes = 2
    },
    {
        chestId = 32002,
        arenaLevel = 10,
        cardType = {8,10},
        goldMin = 3720,
        goldMax = 3720,
        card = 501,
        baseCards = {{qa=2,count=63}},
        changeTimes = 3
    },
    {
        chestId = 32002,
        arenaLevel = 11,
        cardType = {8,10},
        goldMin = 3960,
        goldMax = 3960,
        card = 516,
        baseCards = {{qa=2,count=72}},
        changeTimes = 3
    },
    {
        chestId = 32002,
        arenaLevel = 12,
        cardType = {8,10},
        goldMin = 4200,
        goldMax = 4200,
        card = 531,
        baseCards = {{qa=2,count=81,kind=2}},
        changeTimes = 3
    },
    {
        chestId = 32002,
        arenaLevel = 13,
        cardType = {8,10},
        goldMin = 4440,
        goldMax = 4440,
        card = 550,
        baseCards = {{qa=2,count=84,kind=2}},
        changeTimes = 3
    },
    {
        chestId = 32003,
        arenaLevel = 1,
        cardType = {4,4},
        goldMin = 3330,
        goldMax = 3330,
        card = 317,
        changeTimes = 1
    },
    {
        chestId = 32003,
        arenaLevel = 2,
        cardType = {6,8},
        goldMin = 3330,
        goldMax = 3330,
        card = 317,
        changeTimes = 1
    },
    {
        chestId = 32003,
        arenaLevel = 3,
        cardType = {6,8},
        goldMin = 3600,
        goldMax = 3600,
        card = 329,
        baseCards = {{qa=2,count=14}},
        changeTimes = 1
    },
    {
        chestId = 32003,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 3870,
        goldMax = 3870,
        card = 341,
        baseCards = {{qa=2,count=16}},
        changeTimes = 1
    },
    {
        chestId = 32003,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 4140,
        goldMax = 4140,
        card = 353,
        baseCards = {{qa=2,count=18},{qa=3,count=8}},
        changeTimes = 1
    },
    {
        chestId = 32003,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 4410,
        goldMax = 4410,
        card = 365,
        baseCards = {{qa=2,count=22},{qa=3,count=11}},
        changeTimes = 2
    },
    {
        chestId = 32003,
        arenaLevel = 7,
        cardType = {8,10},
        goldMin = 4725,
        goldMax = 4725,
        card = 380,
        baseCards = {{qa=2,count=24},{qa=3,count=13}},
        changeTimes = 2
    },
    {
        chestId = 32003,
        arenaLevel = 8,
        cardType = {8,10},
        goldMin = 4950,
        goldMax = 4950,
        card = 385,
        baseCards = {{qa=2,count=26},{qa=3,count=15}},
        changeTimes = 2
    },
    {
        chestId = 32003,
        arenaLevel = 9,
        cardType = {8,10},
        goldMin = 5220,
        goldMax = 5220,
        card = 400,
        baseCards = {{qa=2,count=28},{qa=3,count=19}},
        changeTimes = 2
    },
    {
        chestId = 32003,
        arenaLevel = 10,
        cardType = {8,10},
        goldMin = 5580,
        goldMax = 5580,
        card = 420,
        baseCards = {{qa=2,count=31},{qa=3,count=21,kind=2}},
        changeTimes = 3
    },
    {
        chestId = 32003,
        arenaLevel = 11,
        cardType = {8,10},
        goldMin = 5940,
        goldMax = 5940,
        card = 440,
        baseCards = {{qa=2,count=34},{qa=3,count=24,kind=2}},
        changeTimes = 3
    },
    {
        chestId = 32003,
        arenaLevel = 12,
        cardType = {8,10},
        goldMin = 6300,
        goldMax = 6300,
        card = 460,
        baseCards = {{qa=2,count=38},{qa=3,count=28,kind=2}},
        changeTimes = 3
    },
    {
        chestId = 32003,
        arenaLevel = 13,
        cardType = {8,10},
        goldMin = 6660,
        goldMax = 6660,
        card = 480,
        baseCards = {{qa=2,count=42},{qa=3,count=32,kind=2}},
        changeTimes = 3
    }
}
return root