local root = {
    {
        chestId = 33001,
        arenaLevel = 1,
        cardType = {3,4},
        goldMin = 440,
        goldMax = 440,
        card = 58,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33001,
        arenaLevel = 2,
        cardType = {3,4},
        goldMin = 440,
        goldMax = 440,
        card = 58,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33001,
        arenaLevel = 3,
        cardType = {3,4},
        goldMin = 560,
        goldMax = 560,
        card = 62,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33001,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 680,
        goldMax = 680,
        card = 66,
        baseCards = {{qa=2,count=9}},
        choiceQa = {2}
    },
    {
        chestId = 33001,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 800,
        goldMax = 800,
        card = 70,
        baseCards = {{qa=2,count=10},{qa=3,count=3}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 920,
        goldMax = 920,
        card = 74,
        baseCards = {{qa=2,count=11},{qa=3,count=4}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 7,
        cardType = {6,8},
        goldMin = 1000,
        goldMax = 1000,
        card = 86,
        baseCards = {{qa=2,count=12},{qa=3,count=5}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 8,
        cardType = {6,8},
        goldMin = 1100,
        goldMax = 1100,
        card = 88,
        baseCards = {{qa=2,count=13},{qa=3,count=6}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 9,
        cardType = {6,8},
        goldMin = 1200,
        goldMax = 1200,
        card = 99,
        baseCards = {{qa=2,count=14},{qa=3,count=7}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 10,
        cardType = {6,8},
        goldMin = 1300,
        goldMax = 1300,
        card = 100,
        baseCards = {{qa=2,count=14},{qa=3,count=8}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 11,
        cardType = {6,8},
        goldMin = 1400,
        goldMax = 1400,
        card = 110,
        baseCards = {{qa=2,count=15},{qa=3,count=9}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 12,
        cardType = {6,8},
        goldMin = 1500,
        goldMax = 1500,
        card = 120,
        baseCards = {{qa=2,count=15},{qa=3,count=10}},
        choiceQa = {3}
    },
    {
        chestId = 33001,
        arenaLevel = 13,
        cardType = {6,8},
        goldMin = 1600,
        goldMax = 1600,
        card = 130,
        baseCards = {{qa=2,count=16},{qa=3,count=11}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 1,
        cardType = {4,5},
        goldMin = 3000,
        goldMax = 3000,
        card = 156,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33002,
        arenaLevel = 2,
        cardType = {4,5},
        goldMin = 3000,
        goldMax = 3000,
        card = 156,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33002,
        arenaLevel = 3,
        cardType = {5,6},
        goldMin = 3400,
        goldMax = 3400,
        card = 211,
        baseCards = {{qa=1,count=30}},
        choiceQa = {1}
    },
    {
        chestId = 33002,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 3800,
        goldMax = 3800,
        card = 266,
        baseCards = {{qa=2,count=50}},
        choiceQa = {2}
    },
    {
        chestId = 33002,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 4200,
        goldMax = 4200,
        card = 321,
        baseCards = {{qa=2,count=53},{qa=3,count=18}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 4600,
        goldMax = 4600,
        card = 376,
        baseCards = {{qa=2,count=56},{qa=3,count=20}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 7,
        cardType = {6,8},
        goldMin = 5000,
        goldMax = 5000,
        card = 431,
        baseCards = {{qa=2,count=59},{qa=3,count=22}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 8,
        cardType = {8,10},
        goldMin = 5500,
        goldMax = 5500,
        card = 440,
        baseCards = {{qa=2,count=66},{qa=3,count=24}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 9,
        cardType = {8,10},
        goldMin = 6000,
        goldMax = 6000,
        card = 494,
        baseCards = {{qa=2,count=68},{qa=3,count=26}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 10,
        cardType = {8,10},
        goldMin = 6500,
        goldMax = 6500,
        card = 500,
        baseCards = {{qa=2,count=70},{qa=3,count=27}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 11,
        cardType = {8,10},
        goldMin = 7000,
        goldMax = 7000,
        card = 550,
        baseCards = {{qa=2,count=74},{qa=3,count=29}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 12,
        cardType = {8,10},
        goldMin = 7500,
        goldMax = 7500,
        card = 600,
        baseCards = {{qa=2,count=80},{qa=3,count=34}},
        choiceQa = {3}
    },
    {
        chestId = 33002,
        arenaLevel = 13,
        cardType = {8,10},
        goldMin = 8000,
        goldMax = 8000,
        card = 650,
        baseCards = {{qa=2,count=84},{qa=3,count=38}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 1,
        cardType = {5,6},
        goldMin = 6160,
        goldMax = 6160,
        card = 761,
        baseCards = {{qa=1,count=400}},
        choiceQa = {1}
    },
    {
        chestId = 33003,
        arenaLevel = 2,
        cardType = {5,6},
        goldMin = 6160,
        goldMax = 6160,
        card = 761,
        baseCards = {{qa=1,count=400}},
        choiceQa = {1}
    },
    {
        chestId = 33003,
        arenaLevel = 3,
        cardType = {6,7},
        goldMin = 7840,
        goldMax = 7840,
        card = 834,
        baseCards = {{qa=1,count=450}},
        choiceQa = {1}
    },
    {
        chestId = 33003,
        arenaLevel = 4,
        cardType = {8,10},
        goldMin = 9520,
        goldMax = 9520,
        card = 907,
        baseCards = {{qa=2,count=135}},
        choiceQa = {2}
    },
    {
        chestId = 33003,
        arenaLevel = 5,
        cardType = {8,10},
        goldMin = 11200,
        goldMax = 11200,
        card = 980,
        baseCards = {{qa=2,count=146},{qa=3,count=50}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 6,
        cardType = {10,12},
        goldMin = 12880,
        goldMax = 12880,
        card = 1053,
        baseCards = {{qa=2,count=157},{qa=3,count=56,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 7,
        cardType = {10,12},
        goldMin = 14000,
        goldMax = 14000,
        card = 1207,
        baseCards = {{qa=2,count=165},{qa=3,count=62,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 8,
        cardType = {10,12},
        goldMin = 15400,
        goldMax = 15400,
        card = 1232,
        baseCards = {{qa=2,count=185},{qa=3,count=67,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 9,
        cardType = {10,12},
        goldMin = 16800,
        goldMax = 16800,
        card = 1383,
        baseCards = {{qa=2,count=190},{qa=3,count=73,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 10,
        cardType = {10,12},
        goldMin = 17800,
        goldMax = 17800,
        card = 1400,
        baseCards = {{qa=2,count=196},{qa=3,count=76,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 11,
        cardType = {10,12},
        goldMin = 18800,
        goldMax = 18800,
        card = 1498,
        baseCards = {{qa=2,count=203,kind=3},{qa=3,count=79,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 12,
        cardType = {10,12},
        goldMin = 20000,
        goldMax = 20000,
        card = 1588,
        baseCards = {{qa=2,count=210,kind=3},{qa=3,count=82,kind=2}},
        choiceQa = {3}
    },
    {
        chestId = 33003,
        arenaLevel = 13,
        cardType = {10,12},
        goldMin = 21200,
        goldMax = 21200,
        card = 1678,
        baseCards = {{qa=2,count=216,kind=3},{qa=3,count=82,kind=2}},
        choiceQa = {3}
    }
}
return root