local root = {
    {
        chestId = 34001,
        arenaLevel = 1,
        cardType = {4,5},
        goldMin = 1060,
        goldMax = 1060,
        card = 147,
        includeCards = {id={11011,12011,13011},count=30}
    },
    {
        chestId = 34001,
        arenaLevel = 2,
        cardType = {6,8},
        goldMin = 1060,
        goldMax = 1060,
        card = 147,
        includeCards = {id={11021,12021,13021},count=30}
    },
    {
        chestId = 34001,
        arenaLevel = 3,
        cardType = {6,8},
        goldMin = 1190,
        goldMax = 1190,
        card = 178,
        includeCards = {id={14011,13031,12031},count=40}
    },
    {
        chestId = 34001,
        arenaLevel = 4,
        cardType = {6,8},
        goldMin = 1320,
        goldMax = 1320,
        card = 209,
        includeCards = {id={11041,14021,14041},count=40}
    },
    {
        chestId = 34001,
        arenaLevel = 5,
        cardType = {6,8},
        goldMin = 1450,
        goldMax = 1450,
        card = 240,
        baseCards = {{qa=2,count=15}},
        includeCards = {id={11011,12011,13011},count=50}
    },
    {
        chestId = 34001,
        arenaLevel = 6,
        cardType = {6,8},
        goldMin = 1580,
        goldMax = 1580,
        card = 271,
        baseCards = {{qa=2,count=19}},
        includeCards = {id={11021,12021,13021},count=50}
    },
    {
        chestId = 34001,
        arenaLevel = 7,
        cardType = {6,8},
        goldMin = 1730,
        goldMax = 1730,
        card = 291,
        baseCards = {{qa=2,count=24}},
        includeCards = {id={11071,12071,13071},count=20}
    },
    {
        chestId = 34001,
        arenaLevel = 8,
        cardType = {8,10},
        goldMin = 1830,
        goldMax = 1830,
        card = 302,
        baseCards = {{qa=2,count=35}},
        includeCards = {id={14081,12081,13081},count=20}
    },
    {
        chestId = 34001,
        arenaLevel = 9,
        cardType = {8,10},
        goldMin = 1920,
        goldMax = 1920,
        card = 306,
        baseCards = {{qa=2,count=38}},
        includeCards = {id={11031,12041,13041},count=30}
    },
    {
        chestId = 34001,
        arenaLevel = 10,
        cardType = {8,10},
        goldMin = 2070,
        goldMax = 2070,
        card = 313,
        baseCards = {{qa=2,count=40}},
        includeCards = {id={14031,12041,13041},count=30}
    },
    {
        chestId = 34001,
        arenaLevel = 11,
        cardType = {8,10},
        goldMin = 2250,
        goldMax = 2250,
        card = 321,
        baseCards = {{qa=2,count=44}},
        includeCards = {id={11011,12011,13011},count=88}
    },
    {
        chestId = 34001,
        arenaLevel = 12,
        cardType = {8,10},
        goldMin = 2500,
        goldMax = 2500,
        card = 330,
        baseCards = {{qa=2,count=48}},
        includeCards = {id={11061,12041,14061},count=50}
    },
    {
        chestId = 34001,
        arenaLevel = 13,
        cardType = {8,10},
        goldMin = 2750,
        goldMax = 2750,
        card = 339,
        baseCards = {{qa=2,count=52}},
        includeCards = {id={11051,14051,13061},count=20}
    }
}
return root