local root = {
    {
        id = 10001,
        rounds = 4,
        type = 106,
        buffEffectGroup = {{effectId=4120101,condition=209}},
        buffName = '终身护盾buff',
        buffDescription = '减免英雄受到的普攻伤害的50%，持续终身'
    },
    {
        id = 10021,
        rounds = 2,
        type = 109,
        buffEffectGroup = {{effectId=4120101,condition=209}},
        buffName = '全体护盾buff',
        buffDescription = '我方所有英雄减免英雄受到的普攻伤害的50%'
    },
    {
        id = 10101,
        times = 1,
        type = 116,
        buffEffectGroup = {{effectId=9110101,condition=202}},
        buffName = '禁用buff',
        buffDescription = '禁用敌方下次连线中的技能'
    },
    {
        id = 10102,
        times = 1,
        type = 119,
        buffEffectGroup = {{effectId=3220501,condition=207}},
        buffName = '刺客buff',
        buffDescription = '杀死下一次叛变过去的所有英雄'
    },
    {
        id = 10103,
        times = 1,
        type = 131,
        isTalent = true,
        buffEffectGroup = {{effectId=9120101,condition=205},{effectId=1120106,condition=213}},
        buffName = '致命剩1血buff',
        buffDescription = '普通状态下，受到致命伤害时，可保留1灵力'
    },
    {
        id = 11021,
        rounds = 2,
        addEffect = 1,
        type = 101,
        buffEffectGroup = {{effectId=4110101,condition=206}},
        buffName = '基地护盾buff',
        buffDescription = '抵御基地所受到的所有伤害'
    },
    {
        id = 11201,
        times = 2,
        addEffect = 2,
        type = 131,
        buffEffectGroup = {{effectId=1110103,condition=215}},
        buffName = '治愈buff',
        buffDescription = '给基地恢复3倍卡牌战力血量*2'
    },
    {
        id = 20001,
        times = 2,
        type = 102,
        excludeBuffs = {10103},
        buffEffectGroup = {{effectId=9120101,condition=205},{effectId=1120101,condition=213}},
        buffName = '不死之身buff',
        buffDescription = '英雄处于不死状态（不死效果触发时，将isDie置1）,可复活3次'
    },
    {
        id = 20002,
        rounds = -1,
        type = 121,
        buffEffectGroup = {},
        buffName = '判断buff',
        buffDescription = '用于复活buff添加前的判断标识'
    },
    {
        id = 20012,
        rounds = 1,
        type = 130,
        buffEffectGroup = {{effectId=9120113,condition=216}},
        buffName = '火舞者buff(+50%）',
        buffDescription = '给我方所有英雄这回合普攻增加伤害50%'
    },
    {
        id = 20101,
        times = 1,
        type = 118,
        excludeBuffs = {10103},
        buffEffectGroup = {{effectId=9120101,condition=205},{effectId=1120103,condition=213}},
        buffName = '复活buff',
        buffDescription = '英雄濒死时能复活并回复7倍卡牌战力的血量'
    },
    {
        id = 21001,
        times = 9999999,
        rounds = -1,
        type = 124,
        excludeBuffs = {90003},
        buffEffectGroup = {{effectId=1120105,condition=301},{effectId=1120104,condition=208}},
        buffName = '汤米buff',
        buffDescription = '每回合加强自己'
    },
    {
        id = 21101,
        times = 1,
        type = 120,
        buffEffectGroup = {{effectId=1120102,condition=208}},
        buffName = '英雄加强buff',
        buffDescription = '连接加强色块时，给生成英雄标记作用的buff'
    },
    {
        id = 30001,
        rounds = -1,
        type = 110,
        excludeBuffs = {90002},
        buffEffectGroup = {{effectId=9120104,condition=211}},
        buffName = '杀手buff',
        buffDescription = '能量值>对方 普通击杀计算，能量值<对方，击毙对方'
    },
    {
        id = 30002,
        rounds = -1,
        type = 114,
        buffEffectGroup = {{effectId=9120107,condition=214}},
        buffName = '忍者buff',
        buffDescription = '攻击时会对攻击目标最近的敌方单位进行弹射伤害，数值为75%普攻伤害'
    },
    {
        id = 30003,
        rounds = -1,
        type = 123,
        buffEffectGroup = {{effectId=9120110,condition=214}},
        buffName = '吸血buff',
        buffDescription = '将对敌方英雄造成的伤害强化自身'
    },
    {
        id = 30101,
        times = 1,
        type = 103,
        buffEffectGroup = {{effectId=9120102,condition=212}},
        buffName = '额外攻击buff',
        buffDescription = '给下一次攻击附带特效，伤害最大值为英雄攻击数值；需判断敌方血量的状态'
    },
    {
        id = 40011,
        rounds = 1,
        type = 129,
        buffEffectGroup = {{effectId=9120114,condition=301},{effectId=9120115,condition=217}},
        buffName = '中毒buff(挂英雄)',
        buffDescription = '英雄攻击时减少攻击力50%，攻击完后恢复'
    },
    {
        id = 40101,
        times = 1,
        type = 104,
        buffEffectGroup = {{effectId=9120103,condition=210}},
        buffName = '跳过攻击阶段buff',
        buffDescription = '跳过触发效果英雄的攻击阶段'
    },
    {
        id = 50021,
        rounds = 2,
        type = 105,
        buffEffectGroup = {{effectId=3320401,condition=214}},
        buffName = '反弹普攻buff',
        buffDescription = '反弹受到的普攻伤害的50%给到攻击者'
    },
    {
        id = 60001,
        times = 2,
        rounds = 3,
        addEffect = 3,
        type = 107,
        buffEffectGroup = {{effectId=3120101,condition=301},{effectId=3120102,condition=203}},
        buffName = '灼烧buff',
        buffDescription = '使敌方英雄每回合造成2倍卡牌战力值的伤害'
    },
    {
        id = 60002,
        rounds = -1,
        type = 108,
        buffEffectGroup = {{effectId=3140101,condition=301},{effectId=3140102,condition=203}},
        buffName = '感染buff',
        buffDescription = '每回合对周围区域辐射，造成2倍卡牌战力值伤害'
    },
    {
        id = 61001,
        rounds = -1,
        type = 127,
        buffEffectGroup = {{effectId=5130106,condition=301},{effectId=5130105,condition=208}},
        buffName = '召唤buff',
        buffDescription = '每回合会在我方随机色块上召唤1个2倍卡牌战力值的英雄'
    },
    {
        id = 61051,
        rounds = 5,
        addEffect = 2,
        type = 112,
        buffEffectGroup = {{effectId=3110101,condition=301},{effectId=3110102,condition=203}},
        buffName = '诅咒buff',
        buffDescription = '使敌方基地每回合扣除2倍卡牌战力值伤害，持续3回合'
    },
    {
        id = 80101,
        times = 1,
        type = 132,
        isTalent = true,
        buffEffectGroup = {{effectId=9120101,condition=205},{effectId=5120101,condition=213}},
        buffName = '死后变万能灵晶buff',
        buffDescription = '死亡变为万能灵晶'
    },
    {
        id = 80102,
        times = 1,
        type = 133,
        isTalent = true,
        buffEffectGroup = {{effectId=9120101,condition=205},{effectId=5120102,condition=213}},
        buffName = '死后变技能灵晶buff',
        buffDescription = '死亡变为技能灵晶'
    },
    {
        id = 81021,
        rounds = 2,
        type = 117,
        buffEffectGroup = {{effectId=9120103,condition=210}},
        buffName = '封锁buff',
        buffDescription = '封锁状态色块不能选取，但能进行正常的色块转换（如转变万能色块、技能色块）'
    },
    {
        id = 81101,
        times = 1,
        type = 115,
        buffEffectGroup = {{effectId=9120108,condition=201}},
        buffName = '色块强化buff',
        buffDescription = '给色块进行标识，用于连线时候增强生成英雄'
    },
    {
        id = 90001,
        rounds = -1,
        addEffect = 3,
        type = 111,
        buffEffectGroup = {{effectId=9120105,condition=301},{effectId=9120106,condition=204}},
        buffName = '数值护盾buff',
        buffDescription = '生成能抵御伤害的护盾，护盾值为0时，扣除血量，buff消失'
    },
    {
        id = 90002,
        rounds = -1,
        type = 135,
        isTalent = true,
        buffEffectGroup = {{effectId=9220101,condition=211}},
        buffName = '破盾buff',
        buffDescription = '无视任何护盾，造成真实伤害'
    },
    {
        id = 90003,
        rounds = -1,
        type = 137,
        isTalent = true,
        buffEffectGroup = {{effectId=9120118,condition=301},{effectId=9120117,condition=208}},
        buffName = '嗜血狂暴buff',
        buffDescription = '非狂暴状态每回合吸取神龛2倍灵力的信仰提升自己，信仰不足则不吸取'
    },
    {
        id = 90011,
        rounds = 2,
        type = 125,
        buffEffectGroup = {{effectId=9120112,condition=301},{effectId=9120103,condition=210}},
        buffName = '贿赂buff',
        buffDescription = '英雄无法攻击也无法成为普攻受攻击对象'
    },
    {
        id = 90021,
        rounds = 2,
        type = 122,
        buffEffectGroup = {{effectId=2120112,condition=216}},
        buffName = '中毒buff(挂基地）',
        buffDescription = '减少所有敌方单位50%输出伤害1回合，挂在基地标识'
    },
    {
        id = 90022,
        rounds = 2,
        type = 126,
        buffEffectGroup = {{effectId=9120103,condition=210}},
        buffName = '冰爆buff',
        buffDescription = '跳过触发效果英雄的攻击阶段，并且将其动作定格'
    },
    {
        id = 90151,
        rounds = 4,
        type = 128,
        buffEffectGroup = {},
        buffName = '迷雾buff',
        buffDescription = '给我方连线区域增加迷雾效果'
    },
    {
        id = 90101,
        times = 1,
        type = 136,
        isTalent = true,
        buffEffectGroup = {{effectId=4120102,condition=209},{effectId=9120116,condition=214}},
        buffName = '转移伤害buff',
        buffDescription = '被攻击时，会转移一半的伤害到最近的伙伴上'
    },
    {
        id = 90102,
        times = 1,
        type = 134,
        isTalent = true,
        buffEffectGroup = {{effectId=9220203,condition=218}},
        buffName = '死亡反伤buff',
        buffDescription = '被击杀时，对方所有单位将分担对等灵力的一半伤害'
    },
    {
        id = 91041,
        rounds = 4,
        addEffect = 2,
        type = 113,
        buffEffectGroup = {{effectId=9130101,condition=208}},
        buffName = '囚禁buff',
        buffDescription = '将一个地方英雄囚禁在对局之外，当rounds=1时才能触发效果2（解禁）'
    }
}
return root