local root = {
    {
        groupId = 200,
        taskType = 'httpUserLoginTask',
        exeInterval = 1,
        times = 1
    },
    {
        groupId = 200,
        taskType = 'wsLoginGameTask',
        exeInterval = 300,
        times = -1,
        needDoneTask = {"httpUserLoginTask"}
    },
    {
        groupId = 200,
        taskType = 'clubEnterRoomBattleTask',
        exeInterval = 20,
        times = -1,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 200,
        taskType = 'gmAddItemTask',
        exeInterval = 10,
        times = -1,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 200,
        taskType = 'changeNickNameTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 200,
        taskType = 'clubTalkTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 200,
        taskType = 'clubRandomRoomCardsTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 210,
        taskType = 'httpUserLoginTask',
        exeInterval = 1,
        times = 1
    },
    {
        groupId = 210,
        taskType = 'wsLoginGameTask',
        exeInterval = 300,
        times = -1,
        needDoneTask = {"httpUserLoginTask"}
    },
    {
        groupId = 210,
        taskType = 'clubCreateRoomBattleTask',
        exeInterval = 120,
        times = -1,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 210,
        taskType = 'gmAddItemTask',
        exeInterval = 10,
        times = -1,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 210,
        taskType = 'changeNickNameTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 210,
        taskType = 'clubTalkTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    },
    {
        groupId = 210,
        taskType = 'clubRandomRoomCardsTask',
        exeInterval = 0,
        times = 0,
        needDoneTask = {"wsLoginGameTask"}
    }
}
return root