local root = {
    {
        id = 10101,
        name = '1000帝国币',
        aliasName = '1000帝国币',
        items = {{id=101,count=1000}},
        price = {{id=102,count=75}}
    },
    {
        id = 10102,
        name = '10000帝国币',
        aliasName = '10000帝国币',
        items = {{id=101,count=10000}},
        price = {{id=102,count=600}}
    },
    {
        id = 10103,
        name = '100000帝国币',
        aliasName = '100000帝国币',
        items = {{id=101,count=100000}},
        price = {{id=102,count=5000}}
    },
    {
        id = 10201,
        name = '100宝石',
        aliasName = '100宝石',
        items = {{id=102,count=100}},
        rmb = 600,
        jfid = 10201
    },
    {
        id = 10202,
        name = '300宝石',
        aliasName = '300宝石',
        items = {{id=102,count=300}},
        rmb = 3000,
        jfid = 10202
    },
    {
        id = 10203,
        name = '680宝石',
        aliasName = '680宝石',
        items = {{id=102,count=680}},
        rmb = 6800,
        jfid = 10203
    },
    {
        id = 10204,
        name = '1280宝石',
        aliasName = '1280宝石',
        items = {{id=102,count=1280}},
        rmb = 12800,
        jfid = 10204
    },
    {
        id = 10205,
        name = '3280宝石',
        aliasName = '3280宝石',
        items = {{id=102,count=3280}},
        rmb = 32800,
        jfid = 10205
    },
    {
        id = 10206,
        name = '6480宝石',
        aliasName = '6480宝石',
        items = {{id=102,count=6480}},
        rmb = 64800,
        jfid = 10206
    },
    {
        id = 20101,
        name = '多宝铜箱',
        aliasName = '多宝铜箱',
        items = {{id=31101,count=1}},
        dayPayTimes = 1,
        price = {{id=102,count=100}}
    },
    {
        id = 20102,
        name = '百宝银箱',
        aliasName = '百宝银箱',
        items = {{id=31102,count=1}},
        dayPayTimes = 1,
        price = {{id=102,count=500}}
    },
    {
        id = 20103,
        name = '珍宝金箱',
        aliasName = '珍宝金箱',
        items = {{id=31103,count=1}},
        dayPayTimes = 1,
        price = {{id=102,count=2000}}
    },
    {
        id = 30601,
        name = '帝国悬赏',
        aliasName = '功勋宝录',
        items = {{id=901,count=1}},
        rmb = 3000,
        jfid = 30601
    },
    {
        id = 50101,
        name = '一段赠礼',
        aliasName = '一段赠礼',
        items = {{id=31102,count=1,level=1},{id=101,count=2000},{id=102,count=200},{id=503,count=1}},
        rmb = 3000,
        jfid = 50101
    },
    {
        id = 50102,
        name = '二段赠礼',
        aliasName = '二段赠礼',
        items = {{id=31102,count=1,level=2},{id=101,count=2500},{id=102,count=200},{id=503,count=1}},
        rmb = 3000,
        jfid = 50102
    },
    {
        id = 50103,
        name = '三段赠礼',
        aliasName = '三段赠礼',
        items = {{id=31102,count=1,level=3},{id=101,count=3000},{id=102,count=300},{id=503,count=1}},
        rmb = 3000,
        jfid = 50103
    },
    {
        id = 50104,
        name = '四段赠礼',
        aliasName = '四段赠礼',
        items = {{id=31102,count=1,level=4},{id=101,count=3500},{id=102,count=350},{id=503,count=1}},
        rmb = 3000,
        jfid = 50104
    },
    {
        id = 50105,
        name = '五段赠礼',
        aliasName = '五段赠礼',
        items = {{id=31102,count=1,level=5},{id=101,count=4000},{id=102,count=500},{id=503,count=1}},
        rmb = 3000,
        jfid = 50105
    },
    {
        id = 50106,
        name = '六段赠礼',
        aliasName = '六段赠礼',
        items = {{id=31102,count=1,level=6},{id=101,count=5000},{id=102,count=600},{id=503,count=1}},
        rmb = 3000,
        jfid = 50106
    },
    {
        id = 50107,
        name = '七段赠礼',
        aliasName = '七段赠礼',
        items = {{id=31102,count=1,level=7},{id=101,count=7500},{id=102,count=750},{id=503,count=1}},
        rmb = 3000,
        jfid = 50107
    },
    {
        id = 50108,
        name = '八段赠礼',
        aliasName = '八段赠礼',
        items = {{id=31103,count=1,level=8},{id=101,count=10000},{id=102,count=1000},{id=503,count=1}},
        rmb = 6800,
        jfid = 50108
    },
    {
        id = 50109,
        name = '九段赠礼',
        aliasName = '九段赠礼',
        items = {{id=31103,count=1,level=9},{id=101,count=15000},{id=102,count=1500},{id=503,count=1}},
        rmb = 6800,
        jfid = 50109
    },
    {
        id = 50110,
        name = '十段赠礼',
        aliasName = '十段赠礼',
        items = {{id=31103,count=1,level=10},{id=101,count=30000},{id=102,count=3000},{id=503,count=1}},
        rmb = 9800,
        jfid = 50110
    },
    {
        id = 50111,
        name = '十一段赠礼',
        aliasName = '十一段赠礼',
        items = {{id=31103,count=1,level=11},{id=101,count=45000},{id=102,count=4500},{id=503,count=1}},
        rmb = 9800,
        jfid = 50111
    },
    {
        id = 50112,
        name = '十二段赠礼',
        aliasName = '十二段赠礼',
        items = {{id=31103,count=1,level=12},{id=101,count=60000},{id=102,count=6000},{id=503,count=1}},
        rmb = 9800,
        jfid = 50112
    },
    {
        id = 50113,
        name = '十三段赠礼',
        aliasName = '十三段赠礼',
        items = {{id=31103,count=1,level=13},{id=101,count=80000},{id=102,count=8000},{id=503,count=1}},
        rmb = 9800,
        jfid = 50113
    },
    {
        id = 50301,
        name = '天官赐福',
        aliasName = '天官赐福',
        items = {{id=34001,count=1},{id=502,count=1}},
        rmb = 2500,
        jfid = 50301
    },
    {
        id = 50401,
        name = '赛季首冲',
        aliasName = '首次赛季首冲',
        items = {{id=13041,count=1},{id=401,count=100},{id=402,count=100},{id=403,count=100},{id=404,count=100},{id=301,count=12}},
        rmb = 600,
        jfid = 50401
    },
    {
        id = 50402,
        name = '赛季首冲',
        aliasName = '赛季首冲',
        items = {{id=13041,count=1},{id=401,count=100},{id=402,count=100},{id=403,count=100},{id=404,count=100},{id=301,count=12}},
        rmb = 600,
        jfid = 50402
    },
    {
        id = 51101,
        name = '育成助力',
        aliasName = '育成助力',
        items = {{id=101,count=1000},{id=301,count=6}},
        rmb = 600,
        jfid = 51101,
        customCount = 1,
        customItems = {{id=401,count=100},{id=402,count=100},{id=403,count=100},{id=404,count=100}}
    },
    {
        id = 51102,
        name = '育成助力',
        aliasName = '育成助力',
        items = {{id=101,count=5000},{id=301,count=12}},
        rmb = 3000,
        jfid = 51102,
        customCount = 1,
        customItems = {{id=401,count=500},{id=402,count=500},{id=403,count=500},{id=404,count=500}}
    },
    {
        id = 51103,
        name = '育成助力',
        aliasName = '育成助力',
        items = {{id=101,count=15000},{id=301,count=18}},
        rmb = 8800,
        jfid = 51103,
        customCount = 1,
        customItems = {{id=401,count=2000},{id=402,count=2000},{id=403,count=2000},{id=404,count=2000}}
    },
    {
        id = 51104,
        name = '育成助力',
        aliasName = '育成助力',
        items = {{id=101,count=50000},{id=301,count=24}},
        rmb = 16800,
        jfid = 51104,
        customCount = 1,
        customItems = {{id=401,count=5000},{id=402,count=5000},{id=403,count=5000},{id=404,count=5000}}
    },
    {
        id = 51201,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=300}},
        rmb = 600,
        jfid = 51201,
        customCount = 2,
        customItems = {{id=101,count=500},{id=107,count=3},{id=404,count=50},{id=403,count=50},{id=402,count=50},{id=401,count=50},{id=811,count=5},{id=812,count=2},{id=60001,count=10}}
    },
    {
        id = 51202,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=300}},
        rmb = 3000,
        jfid = 51202,
        customCount = 2,
        customItems = {{id=101,count=3000},{id=108,count=1},{id=404,count=300},{id=403,count=300},{id=402,count=300},{id=401,count=300},{id=811,count=20},{id=812,count=10},{id=60002,count=3}}
    },
    {
        id = 51203,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=680}},
        rmb = 6800,
        jfid = 51203,
        customCount = 2,
        customItems = {{id=101,count=5000},{id=108,count=3},{id=404,count=500},{id=403,count=500},{id=402,count=500},{id=401,count=500},{id=811,count=40},{id=812,count=20},{id=60003,count=1}}
    },
    {
        id = 51204,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=1280}},
        rmb = 12800,
        jfid = 51204,
        customCount = 2,
        customItems = {{id=101,count=10000},{id=108,count=10},{id=404,count=1000},{id=403,count=1000},{id=402,count=1000},{id=401,count=1000},{id=811,count=80},{id=812,count=50},{id=60003,count=2}}
    },
    {
        id = 51205,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=3280}},
        rmb = 32800,
        jfid = 51205,
        customCount = 3,
        customItems = {{id=101,count=20000},{id=109,count=1},{id=404,count=2000},{id=403,count=2000},{id=402,count=2000},{id=401,count=2000},{id=811,count=100},{id=812,count=75},{id=60003,count=3}}
    },
    {
        id = 51206,
        name = '限时优惠',
        aliasName = '限时优惠',
        items = {{id=102,count=6480}},
        rmb = 64800,
        jfid = 51206,
        customCount = 3,
        customItems = {{id=101,count=50000},{id=109,count=2},{id=404,count=5000},{id=403,count=5000},{id=402,count=5000},{id=401,count=5000},{id=811,count=200},{id=812,count=160},{id=60003,count=7}}
    },
    {
        id = 51211,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=300}},
        rmb = 600,
        jfid = 51211,
        customCount = 2,
        customItems = {{id=101,count=500},{id=107,count=3},{id=404,count=50},{id=403,count=50},{id=402,count=50},{id=401,count=50},{id=811,count=5},{id=812,count=2},{id=60001,count=10}}
    },
    {
        id = 51212,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=300}},
        rmb = 3000,
        jfid = 51212,
        customCount = 2,
        customItems = {{id=101,count=3000},{id=108,count=1},{id=404,count=300},{id=403,count=300},{id=402,count=300},{id=401,count=300},{id=811,count=20},{id=812,count=10},{id=60002,count=3}}
    },
    {
        id = 51213,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=680}},
        rmb = 6800,
        jfid = 51213,
        customCount = 2,
        customItems = {{id=101,count=5000},{id=108,count=3},{id=404,count=500},{id=403,count=500},{id=402,count=500},{id=401,count=500},{id=811,count=40},{id=812,count=20},{id=60003,count=1}}
    },
    {
        id = 51214,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=1280}},
        rmb = 12800,
        jfid = 51214,
        customCount = 2,
        customItems = {{id=101,count=10000},{id=108,count=10},{id=404,count=1000},{id=403,count=1000},{id=402,count=1000},{id=401,count=1000},{id=811,count=80},{id=812,count=50},{id=60003,count=2}}
    },
    {
        id = 51215,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=3280}},
        rmb = 32800,
        jfid = 51215,
        customCount = 3,
        customItems = {{id=101,count=20000},{id=109,count=1},{id=404,count=2000},{id=403,count=2000},{id=402,count=2000},{id=401,count=2000},{id=811,count=100},{id=812,count=75},{id=60003,count=3}}
    },
    {
        id = 51216,
        name = '周末折扣',
        aliasName = '周末折扣',
        items = {{id=102,count=6480}},
        rmb = 64800,
        jfid = 51216,
        customCount = 3,
        customItems = {{id=101,count=50000},{id=109,count=2},{id=404,count=5000},{id=403,count=5000},{id=402,count=5000},{id=401,count=5000},{id=811,count=200},{id=812,count=160},{id=60003,count=7}}
    },
    {
        id = 51301,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=301,count=6}},
        dayPayTimes = 1,
        price = {{id=101,count=100}},
        jfid = 51301
    },
    {
        id = 51302,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=811,count=5}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51302
    },
    {
        id = 51303,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=812,count=2}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51303
    },
    {
        id = 51304,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=401,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51304
    },
    {
        id = 51305,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=402,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51305
    },
    {
        id = 51306,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=403,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51306
    },
    {
        id = 51307,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=404,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51307
    },
    {
        id = 51308,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=100}},
        price = {{id=102,count=1}},
        jfid = 51308
    },
    {
        id = 51309,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=500}},
        price = {{id=102,count=10}},
        jfid = 51309
    },
    {
        id = 51310,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=1000}},
        price = {{id=102,count=250}},
        jfid = 51310
    },
    {
        id = 51311,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=107,count=5}},
        price = {{id=102,count=250}},
        jfid = 51311
    },
    {
        id = 51312,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60001,count=5}},
        price = {{id=102,count=50}},
        jfid = 51312
    },
    {
        id = 51313,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60002,count=2}},
        price = {{id=102,count=150}},
        jfid = 51313
    },
    {
        id = 51314,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60003,count=1}},
        price = {{id=102,count=450}},
        jfid = 51314
    },
    {
        id = 51315,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=108,count=1}},
        price = {{id=102,count=200}},
        jfid = 51315
    },
    {
        id = 51321,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=301,count=6}},
        dayPayTimes = 1,
        price = {{id=101,count=100}},
        jfid = 51321
    },
    {
        id = 51322,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=811,count=5}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51322
    },
    {
        id = 51323,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=812,count=2}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51323
    },
    {
        id = 51324,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=401,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51324
    },
    {
        id = 51325,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=402,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51325
    },
    {
        id = 51326,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=403,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51326
    },
    {
        id = 51327,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=404,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51327
    },
    {
        id = 51328,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=100}},
        price = {{id=102,count=1}},
        jfid = 51328
    },
    {
        id = 51329,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=500}},
        price = {{id=102,count=10}},
        jfid = 51329
    },
    {
        id = 51330,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=1000}},
        price = {{id=102,count=250}},
        jfid = 51330
    },
    {
        id = 51331,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=107,count=5}},
        price = {{id=102,count=250}},
        jfid = 51331
    },
    {
        id = 51332,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60001,count=5}},
        price = {{id=102,count=50}},
        jfid = 51332
    },
    {
        id = 51333,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60002,count=2}},
        price = {{id=102,count=150}},
        jfid = 51333
    },
    {
        id = 51334,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60003,count=1}},
        price = {{id=102,count=450}},
        jfid = 51334
    },
    {
        id = 51335,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=108,count=1}},
        price = {{id=102,count=200}},
        jfid = 51335
    },
    {
        id = 51341,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=301,count=6}},
        dayPayTimes = 1,
        price = {{id=101,count=100}},
        jfid = 51341
    },
    {
        id = 51342,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=811,count=5}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51342
    },
    {
        id = 51343,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=812,count=2}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51343
    },
    {
        id = 51344,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=401,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51344
    },
    {
        id = 51345,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=402,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51345
    },
    {
        id = 51346,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=403,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51346
    },
    {
        id = 51347,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=404,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51347
    },
    {
        id = 51348,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=100}},
        price = {{id=102,count=1}},
        jfid = 51348
    },
    {
        id = 51349,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=500}},
        price = {{id=102,count=10}},
        jfid = 51349
    },
    {
        id = 51350,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=1000}},
        price = {{id=102,count=250}},
        jfid = 51350
    },
    {
        id = 51351,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=107,count=5}},
        price = {{id=102,count=250}},
        jfid = 51351
    },
    {
        id = 51352,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60001,count=5}},
        price = {{id=102,count=50}},
        jfid = 51352
    },
    {
        id = 51353,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60002,count=2}},
        price = {{id=102,count=150}},
        jfid = 51353
    },
    {
        id = 51354,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60003,count=1}},
        price = {{id=102,count=450}},
        jfid = 51354
    },
    {
        id = 51355,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=108,count=1}},
        price = {{id=102,count=200}},
        jfid = 51355
    },
    {
        id = 51361,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=301,count=6}},
        dayPayTimes = 1,
        price = {{id=101,count=100}},
        jfid = 51361
    },
    {
        id = 51362,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=811,count=5}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51362
    },
    {
        id = 51363,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=812,count=2}},
        dayPayTimes = 1,
        price = {{id=102,count=100}},
        jfid = 51363
    },
    {
        id = 51364,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=401,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51364
    },
    {
        id = 51365,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=402,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51365
    },
    {
        id = 51366,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=403,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51366
    },
    {
        id = 51367,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=404,count=100}},
        dayPayTimes = 3,
        price = {{id=101,count=200}},
        jfid = 51367
    },
    {
        id = 51368,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=100}},
        price = {{id=102,count=1}},
        jfid = 51368
    },
    {
        id = 51369,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=500}},
        price = {{id=102,count=10}},
        jfid = 51369
    },
    {
        id = 51370,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=101,count=1000}},
        price = {{id=102,count=250}},
        jfid = 51370
    },
    {
        id = 51371,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=107,count=5}},
        price = {{id=102,count=250}},
        jfid = 51371
    },
    {
        id = 51372,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60001,count=5}},
        price = {{id=102,count=50}},
        jfid = 51372
    },
    {
        id = 51373,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60002,count=2}},
        price = {{id=102,count=150}},
        jfid = 51373
    },
    {
        id = 51374,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=60003,count=1}},
        price = {{id=102,count=450}},
        jfid = 51374
    },
    {
        id = 51375,
        name = '每日特惠',
        aliasName = '每日特惠',
        items = {{id=108,count=1}},
        price = {{id=102,count=200}},
        jfid = 51375
    },
    {
        id = 51401,
        name = '新人周卡',
        aliasName = '新人周卡',
        items = {{id=60002,count=1},{id=811,count=10}},
        dayPayTimes = 1,
        maxPayTimes = 1,
        rmb = 600,
        jfid = 51401
    },
    {
        id = 51402,
        name = '新人周卡',
        aliasName = '新人周卡',
        items = {{id=108,count=1},{id=811,count=20},{id=60001,count=10}},
        dayPayTimes = 1,
        maxPayTimes = 1,
        rmb = 3000,
        jfid = 51402
    },
    {
        id = 51403,
        name = '新人周卡',
        aliasName = '新人周卡',
        items = {{id=60003,count=1},{id=811,count=30},{id=101,count=5000}},
        dayPayTimes = 1,
        maxPayTimes = 1,
        rmb = 8800,
        jfid = 51403
    },
    {
        id = 51501,
        name = '成长助力金',
        aliasName = '新人周卡',
        items = {{id=60003,count=1},{id=811,count=30},{id=101,count=5000}},
        dayPayTimes = 1,
        maxPayTimes = 1,
        price = {{id=102,count=300}},
        jfid = 51501
    },
    {
        id = 52101,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=811,count=10}},
        price = {{id=102,count=300}},
        jfid = 52101
    },
    {
        id = 52102,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=812,count=10}},
        price = {{id=102,count=500}},
        jfid = 52102
    },
    {
        id = 52103,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=811,count=5}},
        price = {{id=102,count=180}},
        jfid = 52103
    },
    {
        id = 52301,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=50}},
        price = {{id=102,count=10}},
        jfid = 52301
    },
    {
        id = 52302,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=50}},
        price = {{id=102,count=10}},
        jfid = 52302
    },
    {
        id = 52303,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=50}},
        price = {{id=102,count=10}},
        jfid = 52303
    },
    {
        id = 52304,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=50}},
        price = {{id=102,count=10}},
        jfid = 52304
    },
    {
        id = 52305,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=100}},
        price = {{id=102,count=20}},
        jfid = 52305
    },
    {
        id = 52306,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=100}},
        price = {{id=102,count=20}},
        jfid = 52306
    },
    {
        id = 52307,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=100}},
        price = {{id=102,count=20}},
        jfid = 52307
    },
    {
        id = 52308,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=100}},
        price = {{id=102,count=20}},
        jfid = 52308
    },
    {
        id = 52309,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=175}},
        price = {{id=102,count=35}},
        jfid = 52309
    },
    {
        id = 52310,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=175}},
        price = {{id=102,count=35}},
        jfid = 52310
    },
    {
        id = 52311,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=175}},
        price = {{id=102,count=35}},
        jfid = 52311
    },
    {
        id = 52312,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=175}},
        price = {{id=102,count=35}},
        jfid = 52312
    },
    {
        id = 52313,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=300}},
        price = {{id=102,count=60}},
        jfid = 52313
    },
    {
        id = 52314,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=300}},
        price = {{id=102,count=60}},
        jfid = 52314
    },
    {
        id = 52315,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=300}},
        price = {{id=102,count=60}},
        jfid = 52315
    },
    {
        id = 52316,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=300}},
        price = {{id=102,count=60}},
        jfid = 52316
    },
    {
        id = 52317,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=550}},
        price = {{id=102,count=110}},
        jfid = 52317
    },
    {
        id = 52318,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=550}},
        price = {{id=102,count=110}},
        jfid = 52318
    },
    {
        id = 52319,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=550}},
        price = {{id=102,count=110}},
        jfid = 52319
    },
    {
        id = 52320,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=550}},
        price = {{id=102,count=110}},
        jfid = 52320
    },
    {
        id = 52321,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=650}},
        price = {{id=102,count=130}},
        jfid = 52321
    },
    {
        id = 52322,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=650}},
        price = {{id=102,count=130}},
        jfid = 52322
    },
    {
        id = 52323,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=650}},
        price = {{id=102,count=130}},
        jfid = 52323
    },
    {
        id = 52324,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=650}},
        price = {{id=102,count=130}},
        jfid = 52324
    },
    {
        id = 52325,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=900}},
        price = {{id=102,count=180}},
        jfid = 52325
    },
    {
        id = 52326,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=900}},
        price = {{id=102,count=180}},
        jfid = 52326
    },
    {
        id = 52327,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=900}},
        price = {{id=102,count=180}},
        jfid = 52327
    },
    {
        id = 52328,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=900}},
        price = {{id=102,count=180}},
        jfid = 52328
    },
    {
        id = 52329,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=1250}},
        price = {{id=102,count=250}},
        jfid = 52329
    },
    {
        id = 52330,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=1250}},
        price = {{id=102,count=250}},
        jfid = 52330
    },
    {
        id = 52331,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=1250}},
        price = {{id=102,count=250}},
        jfid = 52331
    },
    {
        id = 52332,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=1250}},
        price = {{id=102,count=250}},
        jfid = 52332
    },
    {
        id = 52333,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=1600}},
        price = {{id=102,count=320}},
        jfid = 52333
    },
    {
        id = 52334,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=1600}},
        price = {{id=102,count=320}},
        jfid = 52334
    },
    {
        id = 52335,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=1600}},
        price = {{id=102,count=320}},
        jfid = 52335
    },
    {
        id = 52336,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=1600}},
        price = {{id=102,count=320}},
        jfid = 52336
    },
    {
        id = 52337,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=2000}},
        price = {{id=102,count=400}},
        jfid = 52337
    },
    {
        id = 52338,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=2000}},
        price = {{id=102,count=400}},
        jfid = 52338
    },
    {
        id = 52339,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=2000}},
        price = {{id=102,count=400}},
        jfid = 52339
    },
    {
        id = 52340,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=2000}},
        price = {{id=102,count=400}},
        jfid = 52340
    },
    {
        id = 52341,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=401,count=2600}},
        price = {{id=102,count=520}},
        jfid = 52341
    },
    {
        id = 52342,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=402,count=2600}},
        price = {{id=102,count=520}},
        jfid = 52342
    },
    {
        id = 52343,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=403,count=2600}},
        price = {{id=102,count=520}},
        jfid = 52343
    },
    {
        id = 52344,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=404,count=2600}},
        price = {{id=102,count=520}},
        jfid = 52344
    },
    {
        id = 52501,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=108,count=1}},
        price = {{id=102,count=360}},
        jfid = 52501
    },
    {
        id = 52502,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=109,count=1}},
        price = {{id=102,count=2400}},
        jfid = 52502
    },
    {
        id = 52503,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=107,count=5}},
        price = {{id=102,count=150}},
        jfid = 52503
    },
    {
        id = 52701,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=101,count=1500}},
        price = {{id=102,count=125}},
        jfid = 52701
    },
    {
        id = 52702,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=101,count=2500}},
        price = {{id=102,count=200}},
        jfid = 52702
    },
    {
        id = 52703,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=101,count=4000}},
        price = {{id=102,count=330}},
        jfid = 52703
    },
    {
        id = 52704,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=101,count=7000}},
        price = {{id=102,count=580}},
        jfid = 52704
    },
    {
        id = 52705,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=301,count=12}},
        price = {{id=102,count=48}},
        jfid = 52705
    },
    {
        id = 52706,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=501,count=1}},
        price = {{id=102,count=75}},
        jfid = 52706
    },
    {
        id = 52707,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=502,count=1}},
        price = {{id=102,count=75}},
        jfid = 52707
    },
    {
        id = 52708,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=14071,count=1}},
        price = {{id=102,count=99}},
        jfid = 52708
    },
    {
        id = 52709,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=14031,count=1}},
        price = {{id=102,count=99}},
        jfid = 52709
    },
    {
        id = 52710,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=13021,count=1}},
        price = {{id=102,count=99}},
        jfid = 52710
    },
    {
        id = 52711,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=13041,count=1}},
        price = {{id=102,count=99}},
        jfid = 52711
    },
    {
        id = 52712,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=11041,count=1}},
        price = {{id=102,count=99}},
        jfid = 52712
    },
    {
        id = 52713,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=11091,count=1}},
        price = {{id=102,count=99}},
        jfid = 52713
    },
    {
        id = 52714,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=12121,count=1}},
        price = {{id=102,count=99}},
        jfid = 52714
    },
    {
        id = 52715,
        name = '黑市商品',
        aliasName = '黑市商品',
        items = {{id=12111,count=1}},
        price = {{id=102,count=99}},
        jfid = 52715
    },
    {
        id = 54004,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=300}},
        rmb = 6800,
        jfid = 54004,
        customCount = 2,
        customItems = {{id=401,count=100},{id=402,count=100},{id=403,count=100},{id=404,count=100}}
    },
    {
        id = 54005,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=300}},
        rmb = 6800,
        jfid = 54005,
        customCount = 2,
        customItems = {{id=401,count=500},{id=402,count=500},{id=403,count=500},{id=404,count=500}}
    },
    {
        id = 54006,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=300}},
        rmb = 6800,
        jfid = 54006,
        customCount = 2,
        customItems = {{id=401,count=2000},{id=402,count=2000},{id=403,count=2000},{id=404,count=2000}}
    },
    {
        id = 54007,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=600}},
        rmb = 9800,
        jfid = 54007,
        customCount = 2,
        customItems = {{id=401,count=5000},{id=402,count=5000},{id=403,count=5000},{id=404,count=5000}}
    },
    {
        id = 54008,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=600}},
        rmb = 9800,
        jfid = 54008,
        customCount = 2,
        customItems = {{id=101,count=500},{id=107,count=3},{id=404,count=50},{id=403,count=50},{id=402,count=50},{id=401,count=50},{id=811,count=5},{id=812,count=2},{id=60001,count=10}}
    },
    {
        id = 54009,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54009,
        customCount = 2,
        customItems = {{id=101,count=3000},{id=108,count=1},{id=404,count=300},{id=403,count=300},{id=402,count=300},{id=401,count=300},{id=811,count=20},{id=812,count=10},{id=60002,count=3}}
    },
    {
        id = 54010,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54010,
        customCount = 2,
        customItems = {{id=101,count=5000},{id=108,count=3},{id=404,count=500},{id=403,count=500},{id=402,count=500},{id=401,count=500},{id=811,count=40},{id=812,count=20},{id=60003,count=1}}
    },
    {
        id = 54011,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54011,
        customCount = 2,
        customItems = {{id=101,count=10000},{id=108,count=10},{id=404,count=1000},{id=403,count=1000},{id=402,count=1000},{id=401,count=1000},{id=811,count=80},{id=812,count=50},{id=60003,count=2}}
    },
    {
        id = 54012,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54012,
        customCount = 2,
        customItems = {{id=101,count=20000},{id=109,count=1},{id=404,count=2000},{id=403,count=2000},{id=402,count=2000},{id=401,count=2000},{id=811,count=100},{id=812,count=75},{id=60003,count=3}}
    },
    {
        id = 54013,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54013,
        customCount = 2,
        customItems = {{id=101,count=50000},{id=109,count=2},{id=404,count=5000},{id=403,count=5000},{id=402,count=5000},{id=401,count=5000},{id=811,count=200},{id=812,count=160},{id=60003,count=7}}
    },
    {
        id = 54014,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54014,
        customCount = 2,
        customItems = {{id=101,count=500},{id=107,count=3},{id=404,count=50},{id=403,count=50},{id=402,count=50},{id=401,count=50},{id=811,count=5},{id=812,count=2},{id=60001,count=10}}
    },
    {
        id = 54015,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54015,
        customCount = 2,
        customItems = {{id=101,count=3000},{id=108,count=1},{id=404,count=300},{id=403,count=300},{id=402,count=300},{id=401,count=300},{id=811,count=20},{id=812,count=10},{id=60002,count=3}}
    },
    {
        id = 54016,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=14071,count=1},{id=102,count=1000}},
        rmb = 12800,
        jfid = 54016,
        customCount = 2,
        customItems = {{id=101,count=5000},{id=108,count=3},{id=404,count=500},{id=403,count=500},{id=402,count=500},{id=401,count=500},{id=811,count=40},{id=812,count=20},{id=60003,count=1}}
    },
    {
        id = 54017,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54017,
        customCount = 2,
        customItems = {{id=101,count=10000},{id=108,count=10},{id=404,count=1000},{id=403,count=1000},{id=402,count=1000},{id=401,count=1000},{id=811,count=80},{id=812,count=50},{id=60003,count=2}}
    },
    {
        id = 54018,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54018,
        customCount = 2,
        customItems = {{id=101,count=20000},{id=109,count=1},{id=404,count=2000},{id=403,count=2000},{id=402,count=2000},{id=401,count=2000},{id=811,count=100},{id=812,count=75},{id=60003,count=3}}
    },
    {
        id = 54019,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54019,
        customCount = 2,
        customItems = {{id=101,count=50000},{id=109,count=2},{id=404,count=5000},{id=403,count=5000},{id=402,count=5000},{id=401,count=5000},{id=811,count=200},{id=812,count=160},{id=60003,count=7}}
    },
    {
        id = 54020,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54020,
        customCount = 2,
        customItems = {{id=101,count=5000},{id=108,count=3},{id=404,count=500},{id=403,count=500},{id=402,count=500},{id=401,count=500},{id=811,count=40},{id=812,count=20},{id=60003,count=1}}
    },
    {
        id = 54021,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54021,
        customCount = 2,
        customItems = {{id=101,count=10000},{id=108,count=10},{id=404,count=1000},{id=403,count=1000},{id=402,count=1000},{id=401,count=1000},{id=811,count=80},{id=812,count=50},{id=60003,count=2}}
    },
    {
        id = 54022,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54022,
        customCount = 2,
        customItems = {{id=101,count=20000},{id=109,count=1},{id=404,count=2000},{id=403,count=2000},{id=402,count=2000},{id=401,count=2000},{id=811,count=100},{id=812,count=75},{id=60003,count=3}}
    },
    {
        id = 54023,
        name = '自选特惠',
        aliasName = '自选特惠',
        items = {{id=109,count=2},{id=102,count=1500}},
        rmb = 32800,
        jfid = 54023,
        customCount = 2,
        customItems = {{id=101,count=50000},{id=109,count=2},{id=404,count=5000},{id=403,count=5000},{id=402,count=5000},{id=401,count=5000},{id=811,count=200},{id=812,count=160},{id=60003,count=7}}
    }
}
return root