local root = {
    {
        mode = 1,
        winSettle = 0,
        aiType = 'L1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 0,
        aiType = 'R2',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 0,
        aiType = 'R1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 0,
        aiType = 'W2',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 0,
        aiType = 'W1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 1,
        aiType = 'L1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 1,
        aiType = 'R1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",50},{"W",0},{"L",50}},
        robotSupplyWeight2 = {{"R",50},{"W",0},{"L",50}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",50},{"W",50},{"L",0}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 1,
        aiType = 'W3',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 1,
        aiType = 'W2',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",20},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 1,
        aiType = 'W1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 2,
        aiType = 'L1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 2,
        aiType = 'R1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 2,
        aiType = 'W3',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 2,
        aiType = 'W2',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 2,
        aiType = 'W1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 3,
        aiType = 'L1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 3,
        aiType = 'R1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 3,
        aiType = 'W3',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 3,
        aiType = 'W2',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 3,
        aiType = 'W1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 4,
        aiType = 'L1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 4,
        aiType = 'R1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 4,
        aiType = 'W3',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 4,
        aiType = 'W2',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 4,
        aiType = 'W1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 5,
        aiType = 'L1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 5,
        aiType = 'R1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 5,
        aiType = 'W3',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 5,
        aiType = 'W2',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 5,
        aiType = 'W1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 6,
        aiType = 'L1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 6,
        aiType = 'R1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 6,
        aiType = 'W3',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 6,
        aiType = 'W2',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 6,
        aiType = 'W1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 7,
        aiType = 'L1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 7,
        aiType = 'R1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 7,
        aiType = 'W3',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 7,
        aiType = 'W2',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 7,
        aiType = 'W1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 8,
        aiType = 'L1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 8,
        aiType = 'R1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 1,
        winSettle = 8,
        aiType = 'W3',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 8,
        aiType = 'W2',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 1,
        winSettle = 8,
        aiType = 'W1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 0,
        aiType = 'L1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 0,
        aiType = 'R1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",50},{"W",0},{"L",50}},
        robotSupplyWeight2 = {{"R",50},{"W",0},{"L",50}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",50},{"W",50},{"L",0}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 0,
        aiType = 'W3',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 0,
        aiType = 'W2',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",20},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 0,
        aiType = 'W1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 1,
        aiType = 'L1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 1,
        aiType = 'R1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 1,
        aiType = 'W3',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 1,
        aiType = 'W2',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 1,
        aiType = 'W1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 2,
        aiType = 'L1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 2,
        aiType = 'R1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 2,
        aiType = 'W3',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 2,
        aiType = 'W2',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 2,
        aiType = 'W1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 3,
        aiType = 'L1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 3,
        aiType = 'R1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 3,
        aiType = 'W3',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 3,
        aiType = 'W2',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 3,
        aiType = 'W1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 4,
        aiType = 'L1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 4,
        aiType = 'R1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 4,
        aiType = 'W3',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 4,
        aiType = 'W2',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 4,
        aiType = 'W1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 5,
        aiType = 'L1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 5,
        aiType = 'R1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 5,
        aiType = 'W3',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 5,
        aiType = 'W2',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 5,
        aiType = 'W1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 6,
        aiType = 'L1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 6,
        aiType = 'R1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 6,
        aiType = 'W3',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 6,
        aiType = 'W2',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 6,
        aiType = 'W1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 7,
        aiType = 'L1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 7,
        aiType = 'R1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 7,
        aiType = 'W3',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 7,
        aiType = 'W2',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 7,
        aiType = 'W1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 8,
        aiType = 'L1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 8,
        aiType = 'R1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 2,
        winSettle = 8,
        aiType = 'W3',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 8,
        aiType = 'W2',
        aiBase = {{1,30},{2,70}},
        aiCardLv = {{1,50},{2,50}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 2,
        winSettle = 8,
        aiType = 'W1',
        aiBase = {{1,30},{2,70}},
        aiCardLv = {{1,50},{2,50}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 0,
        aiType = 'L1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 0,
        aiType = 'R1',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",50},{"W",0},{"L",50}},
        robotSupplyWeight2 = {{"R",50},{"W",0},{"L",50}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",50},{"W",50},{"L",0}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 0,
        aiType = 'W3',
        aiBase = {{0,100}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 0,
        aiType = 'W2',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",20},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 0,
        aiType = 'W1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 1,
        aiType = 'L1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 1,
        aiType = 'R1',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 1,
        aiType = 'W3',
        aiBase = {{0,80},{1,20}},
        aiCardLv = {{0,100}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 1,
        aiType = 'W2',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 1,
        aiType = 'W1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 2,
        aiType = 'L1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 2,
        aiType = 'R1',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 2,
        aiType = 'W3',
        aiBase = {{0,50},{1,50}},
        aiCardLv = {{0,80},{1,20}},
        aiCardGroup = {{1,100}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 2,
        aiType = 'W2',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 2,
        aiType = 'W1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 3,
        aiType = 'L1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 3,
        aiType = 'R1',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 3,
        aiType = 'W3',
        aiBase = {{0,30},{1,70}},
        aiCardLv = {{0,50},{1,50}},
        aiCardGroup = {{1,80},{2,20}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 3,
        aiType = 'W2',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 3,
        aiType = 'W1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 4,
        aiType = 'L1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 4,
        aiType = 'R1',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 4,
        aiType = 'W3',
        aiBase = {{0,10},{1,90}},
        aiCardLv = {{0,30},{1,70}},
        aiCardGroup = {{1,70},{2,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 4,
        aiType = 'W2',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 4,
        aiType = 'W1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 5,
        aiType = 'L1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 5,
        aiType = 'R1',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 5,
        aiType = 'W3',
        aiBase = {{0,0},{1,100}},
        aiCardLv = {{0,10},{1,90}},
        aiCardGroup = {{1,50},{2,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 5,
        aiType = 'W2',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 5,
        aiType = 'W1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 6,
        aiType = 'L1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 6,
        aiType = 'R1',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 6,
        aiType = 'W3',
        aiBase = {{1,90},{2,10}},
        aiCardLv = {{0,0},{1,100}},
        aiCardGroup = {{1,30},{2,70}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 6,
        aiType = 'W2',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 6,
        aiType = 'W1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 7,
        aiType = 'L1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 7,
        aiType = 'R1',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 7,
        aiType = 'W3',
        aiBase = {{1,70},{2,30}},
        aiCardLv = {{1,90},{2,10}},
        aiCardGroup = {{1,20},{2,50},{3,30}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 7,
        aiType = 'W2',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 7,
        aiType = 'W1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 8,
        aiType = 'L1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'L',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",100},{"L",0}},
        playerSupplyWeight2 = {{"R",0},{"W",100},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 8,
        aiType = 'R1',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'R',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",0},{"W",0},{"L",100}},
        robotRound = 8,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",50},{"W",50},{"L",0}},
        playerRound = 8
    },
    {
        mode = 103,
        winSettle = 8,
        aiType = 'W3',
        aiBase = {{1,50},{2,50}},
        aiCardLv = {{1,70},{2,30}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 8,
        aiType = 'W2',
        aiBase = {{1,30},{2,70}},
        aiCardLv = {{1,50},{2,50}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",20},{"W",0},{"L",80}},
        robotSupplyWeight2 = {{"R",80},{"W",20},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    },
    {
        mode = 103,
        winSettle = 8,
        aiType = 'W1',
        aiBase = {{1,30},{2,70}},
        aiCardLv = {{1,50},{2,50}},
        aiCardGroup = {{1,10},{2,40},{3,50}},
        robotLinkType = 'W',
        robotSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        robotSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        robotRound = 10,
        playerSupplyWeight1 = {{"R",0},{"W",0},{"L",100}},
        playerSupplyWeight2 = {{"R",100},{"W",0},{"L",0}},
        playerRound = 10
    }
}
return root