local root = {
    {
        sConfigId = 1001,
        level = 1,
        item = {id=101,count=5},
        itemChest = {id=30001,count=1,level=1},
        dropItems = {{type=2,id=1,count=10}},
        dropWeight = {1000,9000},
        dropTimes = 1,
        cards = {1011,2011,3011,4011},
        cardLevel = {1,1,1,1},
        castleLv = 1,
        linkType = {{"S",20},{"M101",30},{"M102",30},{"M302",20}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 2,
        item = {id=101,count=5},
        itemChest = {id=30001,count=1,level=2},
        dropItems = {{type=2,id=1,count=10}},
        dropWeight = {1000,9000},
        dropTimes = 1,
        cards = {1021,2021,3021,4021},
        cardLevel = {2,2,2,2},
        castleLv = 2,
        linkType = {{"S",5},{"M101",30},{"M102",35},{"M302",30}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 3,
        item = {id=101,count=6},
        itemChest = {id=30001,count=1,level=3},
        dropItems = {{type=2,id=1,count=12},{type=2,id=2,count=3}},
        dropWeight = {900,100,9000},
        dropTimes = 1,
        cards = {1031,2031,3031,4031},
        cardLevel = {3,3,3,3},
        castleLv = 3,
        linkType = {{"M102",35},{"M302",35},{"M304",30}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 4,
        item = {id=101,count=7},
        itemChest = {id=30001,count=1,level=4},
        dropItems = {{type=2,id=1,count=14},{type=2,id=2,count=4}},
        dropWeight = {900,100,9000},
        dropTimes = 1,
        cards = {1041,2041,3041,4041},
        cardLevel = {4,4,4,4},
        castleLv = 4,
        linkType = {{"M102",5},{"M302",50},{"M304",40},{"M306",5}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 5,
        item = {id=101,count=8},
        itemChest = {id=30001,count=1,level=5},
        dropItems = {{type=2,id=1,count=16},{type=2,id=2,count=5},{type=2,id=3,count=1}},
        dropWeight = {850,130,20,9000},
        dropTimes = 1,
        cards = {1051,2051,3051,4051},
        cardLevel = {5,5,5,5},
        castleLv = 5,
        linkType = {{"M302",40},{"M303",25},{"M304",25},{"M305",5},{"M306",5}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 6,
        item = {id=101,count=10},
        itemChest = {id=30001,count=1,level=6},
        dropItems = {{type=2,id=1,count=18},{type=2,id=2,count=6},{type=2,id=3,count=1}},
        dropWeight = {850,130,20,9000},
        dropTimes = 1,
        cards = {1061,2061,3061,4061},
        cardLevel = {6,6,6,6},
        castleLv = 6,
        linkType = {{"M302",25},{"M303",30},{"M304",30},{"M305",5},{"M306",5},{"M999",5}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 7,
        item = {id=101,count=15},
        itemChest = {id=30001,count=1,level=7},
        dropItems = {{type=2,id=1,count=20},{type=2,id=2,count=7},{type=2,id=3,count=2}},
        dropWeight = {850,134,16,9000},
        dropTimes = 1,
        cards = {1071,2071,3071,4071},
        cardLevel = {8,8,8,8},
        castleLv = 7,
        linkType = {{"M302",10},{"M303",15},{"M304",20},{"M305",25},{"M306",20},{"M999",5},{"L",5}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 8,
        item = {id=101,count=18},
        itemChest = {id=30001,count=1,level=8},
        dropItems = {{type=2,id=1,count=22},{type=2,id=2,count=8},{type=2,id=3,count=2}},
        dropWeight = {850,134,16,9000},
        dropTimes = 1,
        cards = {1081,2081,3081,4081},
        cardLevel = {10,10,10,10},
        castleLv = 8,
        linkType = {{"M302",5},{"M303",10},{"M304",15},{"M305",30},{"M306",25},{"M999",10},{"L",5}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 9,
        item = {id=101,count=21},
        itemChest = {id=30001,count=1,level=9},
        dropItems = {{type=2,id=1,count=24},{type=2,id=2,count=9},{type=2,id=3,count=3}},
        dropWeight = {850,138,12,9000},
        dropTimes = 1,
        cards = {1091,2091,3091,4091},
        cardLevel = {12,12,12,12},
        castleLv = 9,
        linkType = {{"M303",10},{"M304",10},{"M305",30},{"M306",30},{"M999",10},{"L",10}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 10,
        item = {id=101,count=26},
        itemChest = {id=30001,count=1,level=10},
        dropItems = {{type=2,id=1,count=26},{type=2,id=2,count=10},{type=2,id=3,count=3}},
        dropWeight = {850,138,12,9000},
        dropTimes = 1,
        cards = {1101,2101,3101,4101},
        cardLevel = {15,15,15,15},
        castleLv = 10,
        linkType = {{"M303",5},{"M304",5},{"M305",30},{"M306",30},{"M999",15},{"L",15}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 11,
        item = {id=101,count=31},
        itemChest = {id=30001,count=1,level=11},
        dropItems = {{type=2,id=1,count=28},{type=2,id=2,count=11},{type=2,id=3,count=4}},
        dropWeight = {850,142,8,9000},
        dropTimes = 1,
        cards = {1101,2101,3101,4101},
        cardLevel = {18,18,18,18},
        castleLv = 11,
        linkType = {{"M303",5},{"M304",5},{"M305",20},{"M306",35},{"M999",20},{"L",15}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 12,
        item = {id=101,count=40},
        itemChest = {id=30001,count=1,level=12},
        dropItems = {{type=2,id=1,count=30},{type=2,id=2,count=12},{type=2,id=3,count=4}},
        dropWeight = {850,142,8,9000},
        dropTimes = 1,
        cards = {1101,2101,3101,4101},
        cardLevel = {22,22,22,22},
        castleLv = 12,
        linkType = {{"M305",20},{"M306",25},{"M999",35},{"L",20}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    },
    {
        sConfigId = 1001,
        level = 13,
        item = {id=101,count=50},
        itemChest = {id=30001,count=1,level=13},
        dropItems = {{type=2,id=1,count=32},{type=2,id=2,count=13},{type=2,id=3,count=5}},
        dropWeight = {850,146,4,9000},
        dropTimes = 1,
        cards = {1101,2101,3101,4101},
        cardLevel = {27,27,27,27},
        castleLv = 13,
        linkType = {{"M305",15},{"M306",15},{"M999",45},{"L",25}},
        colorCreateType = {"C101","W101","W101","B101","B101","C101"}
    }
}
return root