local root = {
    {
        taskConfigId = 1,
        taskType = 1,
        id = 1,
        weight = 20,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",1},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除50个粉灵晶',
        maxProgress = 50
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 2,
        weight = 30,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",2},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除50个红灵晶',
        maxProgress = 50
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 3,
        weight = 50,
        eventId = 102,
        taskParam = 'linkColorCount',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 4,
        weight = 70,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",3},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个青灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 5,
        weight = 100,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",4},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个黄灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 6,
        weight = 120,
        eventId = 102,
        taskParam = 'linkColorCount',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除150个灵晶',
        maxProgress = 150
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 51,
        weight = 70,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",1},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个粉灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 52,
        weight = 100,
        eventId = 102,
        taskParam = 'linkColorCount',
        taskSecondParam = {"key","==",2},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个红灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 1,
        id = 53,
        weight = 120,
        eventId = 102,
        taskParam = 'linkColorCount',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消除100个灵晶',
        maxProgress = 100
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 7,
        weight = 20,
        eventId = 102,
        taskParam = 'skillGet',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '在战斗中获得20个技能灵晶',
        maxProgress = 20
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 8,
        weight = 30,
        eventId = 102,
        taskParam = 'enemySkillGet',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '获取对方技能灵晶4次',
        maxProgress = 4
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 9,
        weight = 50,
        eventId = 102,
        taskParam = 'cureTimes',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '治疗神龛3次',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 10,
        weight = 70,
        eventId = 102,
        taskParam = 'skillUse',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '使用技能10次',
        maxProgress = 10
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 11,
        weight = 100,
        eventId = 102,
        taskParam = 'enemySkillUse',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '使用对方技能5次',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 12,
        weight = 120,
        eventId = 102,
        taskParam = 'cureTimes',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '治疗神龛5次',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 61,
        weight = 70,
        eventId = 102,
        taskParam = 'enemySkillGet',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '获取对方技能灵晶8次',
        maxProgress = 8
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 62,
        weight = 100,
        eventId = 102,
        taskParam = 'skillUse',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '使用技能15次',
        maxProgress = 15
    },
    {
        taskConfigId = 1,
        taskType = 2,
        id = 63,
        weight = 120,
        eventId = 102,
        taskParam = 'enemySkillUse',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '使用对方技能8次',
        maxProgress = 8
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 13,
        weight = 20,
        eventId = 102,
        taskParam = 'callQualityCount',
        taskSecondParam = {"key","==",1},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '召唤普通英雄20次',
        maxProgress = 20
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 14,
        weight = 30,
        eventId = 102,
        taskParam = 'robHeroTimes',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '夺取对方英雄5次',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 15,
        weight = 50,
        eventId = 102,
        taskParam = 'callColorCount',
        taskSecondParam = {"key","==",3},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '召唤青色英雄8次',
        maxProgress = 8
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 16,
        weight = 70,
        eventId = 102,
        taskParam = 'killColorCount',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '消灭任意英雄20次',
        maxProgress = 20
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 17,
        weight = 100,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"linkCount8",">=",1},{"battleType","sam",{1,2,3}}},
        content = '单场战斗中连线8个及以灵晶上达10场',
        maxProgress = 10
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 18,
        weight = 120,
        eventId = 102,
        taskParam = 'liveRound',
        actionProgress = 3,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '单场战斗有英雄存活超过10回合',
        maxProgress = 10
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 71,
        weight = 70,
        eventId = 102,
        taskParam = 'callQualityCount',
        taskSecondParam = {"key","==",2},
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '召唤地级英雄20次',
        maxProgress = 20
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 72,
        weight = 100,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"linkCount8",">=",1},{"battleType","sam",{1,2,3}}},
        content = '单场战斗中连线8个及以灵晶上达5场',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 3,
        id = 73,
        weight = 120,
        eventId = 102,
        taskParam = 'robHeroTimes',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '夺取对方英雄10次',
        maxProgress = 10
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 19,
        weight = 20,
        eventId = 102,
        taskParam = 'totalHeroDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方英雄造成300伤害',
        maxProgress = 300
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 20,
        weight = 30,
        eventId = 102,
        taskParam = 'totalBaseDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方神龛造成300伤害',
        maxProgress = 300
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 21,
        weight = 50,
        eventId = 102,
        taskParam = 'totalHeroDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方英雄造成800伤害',
        maxProgress = 800
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 22,
        weight = 70,
        eventId = 102,
        taskParam = 'totalBaseDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方神龛造成800伤害',
        maxProgress = 800
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 23,
        weight = 100,
        eventId = 102,
        taskParam = 'totalHeroDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方英雄造成1000伤害',
        maxProgress = 1000
    },
    {
        taskConfigId = 1,
        taskType = 4,
        id = 24,
        weight = 120,
        eventId = 102,
        taskParam = 'totalBaseDamage',
        actionProgress = 1,
        taskConditions = {{"battleType","sam",{1,2,3}}},
        content = '对敌方神龛造成2000伤害',
        maxProgress = 2000
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 25,
        weight = 20,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗500个玉叶',
        maxProgress = 500
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 26,
        weight = 30,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗800个玉叶',
        maxProgress = 800
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 27,
        weight = 50,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗1000个玉叶',
        maxProgress = 1000
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 28,
        weight = 70,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗2000个玉叶',
        maxProgress = 2000
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 29,
        weight = 100,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗3000个玉叶',
        maxProgress = 3000
    },
    {
        taskConfigId = 1,
        taskType = 5,
        id = 30,
        weight = 120,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add","<",0}},
        content = '累计消耗4000个玉叶',
        maxProgress = 4000
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 31,
        weight = 20,
        eventId = 103,
        taskParam = 'getChestCount',
        actionProgress = 1,
        content = '获取3个宝箱',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 32,
        weight = 30,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        content = '开启3个宝箱',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 33,
        weight = 50,
        eventId = 103,
        taskParam = 'getChestCount',
        actionProgress = 1,
        content = '获取4个宝箱',
        maxProgress = 4
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 34,
        weight = 70,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        content = '开启4个宝箱',
        maxProgress = 4
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 35,
        weight = 100,
        eventId = 103,
        taskParam = 'getChestCount',
        actionProgress = 1,
        content = '获取5个宝箱',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 6,
        id = 36,
        weight = 120,
        eventId = 103,
        taskParam = 'openChestCount',
        actionProgress = 1,
        content = '开启5个宝箱',
        maxProgress = 5
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 37,
        weight = 20,
        eventId = 103,
        taskParam = 'boomCount',
        actionProgress = 1,
        content = '开锁暴击1次',
        maxProgress = 1
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 38,
        weight = 30,
        eventId = 104,
        taskParam = 'buyCount',
        actionProgress = 1,
        content = '在商城购买任意商品1次',
        maxProgress = 1
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 39,
        weight = 50,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",102},{"add","<",0}},
        content = '累计消耗20蟠桃',
        maxProgress = 20
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 40,
        weight = 70,
        eventId = 103,
        taskParam = 'boomCount',
        actionProgress = 1,
        content = '开锁暴击2次',
        maxProgress = 2
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 41,
        weight = 100,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",102},{"add","<",0}},
        content = '累计消耗30蟠桃',
        maxProgress = 30
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 42,
        weight = 120,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",102},{"add",">",0}},
        content = '累计获得25蟠桃',
        maxProgress = 25
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 81,
        weight = 70,
        eventId = 103,
        taskParam = 'boomCount',
        actionProgress = 1,
        content = '开锁暴击1次',
        maxProgress = 1
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 82,
        weight = 100,
        eventId = 104,
        taskParam = 'buyCount',
        actionProgress = 1,
        content = '在商城购买任意商品2次',
        maxProgress = 2
    },
    {
        taskConfigId = 1,
        taskType = 7,
        id = 83,
        weight = 120,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",102},{"add",">",0}},
        content = '累计获得30蟠桃',
        maxProgress = 30
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 43,
        weight = 20,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"battleType","sam",{1,2,3}}},
        content = '对局获胜2次',
        maxProgress = 2
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 44,
        weight = 30,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"heroQa","==",1},{"battleType","sam",{1,2,3}}},
        content = '全部使用普通英雄胜利3次',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 45,
        weight = 50,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 4,
        taskConditions = {{"bettleStatus","==",1},{"battleType","sam",{1,2,3}}},
        content = '连续胜利3局',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 46,
        weight = 70,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"totalRound","<=",10},{"battleType","sam",{1,2,3}}},
        content = '在10回合内取得胜利3局',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 47,
        weight = 100,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"beRobHeroTimes","<=",0},{"battleType","sam",{1,2,3}}},
        content = '在不被夺取英雄的情况下胜利3局',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 91,
        weight = 120,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"heroQa","==",3},{"battleType","sam",{1,2,3}}},
        content = '全部使用天级英雄胜利3次',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 92,
        weight = 100,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"totalRound","<=",8},{"battleType","sam",{1,2,3}}},
        content = '在8回合内取得胜利3局',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 93,
        weight = 120,
        eventId = 102,
        taskParam = 'times',
        actionProgress = 1,
        taskConditions = {{"bettleStatus","==",1},{"heroQa","==",2},{"battleType","sam",{1,2,3}}},
        content = '全部使用地级英雄胜利3次',
        maxProgress = 3
    },
    {
        taskConfigId = 1,
        taskType = 8,
        id = 100,
        weight = 0,
        eventId = 101,
        taskParam = 'count',
        actionProgress = 1,
        taskConditions = {{"id","==",101},{"add",">",0}},
        content = '对局获胜2次',
        maxProgress = 2
    }
}
return root