local root = {
    {
        level = 0,
        score = 0,
        maxCount = 30,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 12,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 1,
        maxClubChallenge = 1,
        maxBDTZBuy = 2,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 0,
        resetLevel = 0,
        vipJackpotTimes = 0,
        honorSpDayTimes = 0,
        castleHpUpPercent = 0,
        heroRe = 0,
        dayChestCount = 4,
        chestVipItems = 0,
        growthBooster = 0
    },
    {
        level = 1,
        score = 500,
        maxCount = 35,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 13,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 1,
        maxClubChallenge = 1,
        maxBDTZBuy = 3,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 0,
        resetLevel = 1,
        vipJackpotTimes = 0,
        honorSpDayTimes = 0,
        castleHpUpPercent = 0,
        heroRe = 1,
        dayChestCount = 5,
        chestVipItems = 0,
        growthBooster = 0
    },
    {
        level = 2,
        score = 2500,
        maxCount = 40,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 14,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 2,
        maxClubChallenge = 2,
        maxBDTZBuy = 4,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 0,
        resetLevel = 2,
        vipJackpotTimes = 0,
        honorSpDayTimes = 5,
        castleHpUpPercent = 0,
        heroRe = 1,
        dayChestCount = 5,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 3,
        score = 5000,
        maxCount = 45,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 15,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 3,
        maxClubChallenge = 2,
        maxBDTZBuy = 5,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 3,
        vipJackpotTimes = 0,
        honorSpDayTimes = 6,
        castleHpUpPercent = 0,
        heroRe = 1,
        dayChestCount = 6,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 4,
        score = 10000,
        maxCount = 50,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 16,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 4,
        maxClubChallenge = 3,
        maxBDTZBuy = 6,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 4,
        vipJackpotTimes = 0,
        honorSpDayTimes = 7,
        castleHpUpPercent = 20,
        heroRe = 1,
        dayChestCount = 6,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 5,
        score = 20000,
        maxCount = 55,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 17,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 5,
        maxClubChallenge = 3,
        maxBDTZBuy = 7,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 5,
        vipJackpotTimes = 10,
        honorSpDayTimes = 8,
        castleHpUpPercent = 25,
        heroRe = 1,
        dayChestCount = 8,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 6,
        score = 50000,
        maxCount = 60,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 18,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 6,
        maxClubChallenge = 4,
        maxBDTZBuy = 8,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 6,
        vipJackpotTimes = 20,
        honorSpDayTimes = 9,
        castleHpUpPercent = 30,
        heroRe = 1,
        dayChestCount = 8,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 7,
        score = 100000,
        maxCount = 65,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 20,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 8,
        maxClubChallenge = 4,
        maxBDTZBuy = 10,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 7,
        vipJackpotTimes = 30,
        honorSpDayTimes = 10,
        castleHpUpPercent = 35,
        heroRe = 1,
        dayChestCount = 8,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 8,
        score = 300000,
        maxCount = 70,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 22,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 10,
        maxClubChallenge = 5,
        maxBDTZBuy = 12,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 8,
        vipJackpotTimes = 40,
        honorSpDayTimes = 11,
        castleHpUpPercent = 40,
        heroRe = 1,
        dayChestCount = 8,
        chestVipItems = 1,
        growthBooster = 1
    },
    {
        level = 9,
        score = 1000000,
        maxCount = 75,
        dayMaxGiveTimes = 10,
        dayMaxGivedTimes = 3,
        maxBoxKey = 24,
        maxJoinClub = 1,
        maxClubMember = 30,
        maxHonour = 12,
        maxClubChallenge = 5,
        maxBDTZBuy = 14,
        honor01DayFreeTimes = 2,
        honor02WeekFreeTimes = 1,
        adPass = 1,
        resetLevel = 9,
        vipJackpotTimes = 50,
        honorSpDayTimes = 12,
        castleHpUpPercent = 50,
        heroRe = 1,
        dayChestCount = 8,
        chestVipItems = 1,
        growthBooster = 1
    }
}
return root