local root = {
    {
        id = 1,
        name = '【当天是否已初始化节奏】',
        keyType = '当天数据',
        key = 'isDidInitCadence',
        valueType = 'bool',
        default = false
    },
    {
        id = 2,
        name = '【注册时间】',
        keyType = '终生数据',
        key = 'registerTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 3,
        name = '【最近启动时间】',
        keyType = '终生数据',
        key = 'lastLaunchTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 4,
        name = '【最近登陆时间】',
        keyType = '终生数据',
        key = 'lastLoginTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 5,
        name = '【首次充值时间】',
        keyType = '终生数据',
        key = 'firstChargeTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 6,
        name = '【最后充值时间】',
        keyType = '终生数据',
        key = 'lastChargeTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 7,
        name = '【最后结算时间】',
        keyType = '终生数据',
        key = 'lastSettleTime',
        valueType = 'date',
        default = nil
    },
    {
        id = 8,
        name = '【活跃天列表】',
        keyType = '终生数据',
        key = 'activeDayList',
        valueType = 'table',
        default = {}
    },
    {
        id = 9,
        name = '【智能配置ID】',
        keyType = '终生数据',
        key = 'configId',
        valueType = 'string',
        default = nil
    },
    {
        id = 10,
        name = '【是否已看广告】',
        keyType = '终生数据',
        key = 'isDidAdAward ',
        valueType = 'bool',
        default = false
    },
    {
        id = 11,
        name = '【战斗模式】',
        keyType = '实时数据',
        key = 'battleType',
        valueType = 'number',
        default = 0
    },
    {
        id = 12,
        name = '【当前奖杯数】',
        keyType = '实时数据',
        key = 'cups',
        valueType = 'number',
        default = 0
    },
    {
        id = 13,
        name = '【演武胜局数】',
        keyType = '实时数据',
        key = 'winCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 14,
        name = '【上阵卡组最高战力】',
        keyType = '终生数据',
        key = 'maxTotalAttack',
        valueType = 'number',
        default = 0
    },
    {
        id = 101,
        name = '【注册天数】',
        keyType = '实时数据',
        key = 'registerDay',
        valueType = 'number',
        default = 0
    },
    {
        id = 102,
        name = '【活跃天数】',
        keyType = '终生数据',
        key = 'activeDay',
        valueType = 'number',
        default = 0
    },
    {
        id = 103,
        name = '【是否回归用户】',
        keyType = '当天数据',
        key = 'isBackUser',
        valueType = 'bool',
        default = false
    },
    {
        id = 201,
        name = '【终身充值次数】',
        keyType = '终生数据',
        key = 'chargeTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 202,
        name = '【终身充值金额】',
        keyType = '终生数据',
        key = 'chargeRmb',
        valueType = 'number',
        default = 0
    },
    {
        id = 203,
        name = '【当天充值次数】',
        keyType = '当天数据',
        key = 'chargeTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 204,
        name = '【当天充值金额】',
        keyType = '当天数据',
        key = 'chargeRmb',
        valueType = 'number',
        default = 0
    },
    {
        id = 205,
        name = '【最后一次充值的金额】',
        keyType = '终生数据',
        key = 'lastChargeRmb',
        valueType = 'number',
        default = 0
    },
    {
        id = 206,
        name = '【近d个活跃天内的充值次数】',
        keyType = '实时数据',
        key = 'dActiveChargeTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 207,
        name = '【近d个活跃天内的充值金额】',
        keyType = '实时数据',
        key = 'dActiveChargeRmb',
        valueType = 'number',
        default = 0
    },
    {
        id = 208,
        name = '【终身看广告次数】',
        keyType = '终生数据',
        key = 'adTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 209,
        name = '【当天看广告次数】',
        keyType = '当天数据',
        key = 'adTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 210,
        name = '【近d个活跃天内的看广告次数】',
        keyType = '实时数据',
        key = 'dActiveAdTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 301,
        name = '【终生局数】',
        keyType = '终生数据',
        key = 'gameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 302,
        name = '【当天局数N1】(不清零)',
        keyType = '当天数据',
        key = 'realGameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 303,
        name = '【当天局数N2】(节奏清零)',
        keyType = '当天数据',
        key = 'gameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 304,
        name = '【当天局数N2】是否超过nmax',
        keyType = '实时数据',
        key = 'isMoreThanNmax',
        valueType = 'bool',
        default = false
    },
    {
        id = 305,
        name = '【充值后的局数】',
        keyType = '终生数据',
        key = 'afterPayGameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 306,
        name = '【过去活跃天平均局数】',
        keyType = '实时数据',
        key = 'avgActiveGameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 307,
        name = '【看广告后的局数】',
        keyType = '终生数据',
        key = 'afterAdGameCount',
        valueType = 'number',
        default = 0
    },
    {
        id = 308,
        name = '【是否触发了天卡剧情杀】',
        keyType = '终生数据',
        key = 'didTriggerTalent',
        valueType = 'bool',
        default = false
    },
    {
        id = 401,
        name = '【当前连胜局数】',
        keyType = '终生数据',
        key = 'winTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 402,
        name = '【当前连输局数】',
        keyType = '终生数据',
        key = 'loseTimes',
        valueType = 'number',
        default = 0
    },
    {
        id = 701,
        name = '【当天受保护局数上限nmax】',
        keyType = '终生数据',
        key = 'nmax',
        valueType = 'number',
        default = 0
    },
    {
        id = 801,
        name = '【卡组总等级差权重】',
        keyType = '终生数据',
        key = 'deltaLevelWeight',
        valueType = 'table',
        default = nil
    },
    {
        id = 802,
        name = '【发牌连线方案权重id】',
        keyType = '终生数据',
        key = 'typeWeightId',
        valueType = 'number',
        default = nil
    },
    {
        id = 803,
        name = '【元子隐藏分】',
        keyType = '终生数据',
        key = 'eloCups',
        valueType = 'number',
        default = 0
    },
    {
        id = 804,
        name = '【卡组总等级范围】',
        keyType = '终生数据',
        key = 'levelRange',
        valueType = 'table',
        default = nil
    },
    {
        id = 805,
        name = '【固定元子】',
        keyType = '终生数据',
        key = 'atom',
        valueType = 'string',
        default = nil
    },
    {
        id = 806,
        name = '【先手概率】',
        keyType = '终生数据',
        key = 'onTheOffensive',
        valueType = 'number',
        default = 0
    },
    {
        id = 807,
        name = '【战力隐藏分】',
        keyType = '终生数据',
        key = 'levelCups',
        valueType = 'number',
        default = 0
    }
}
return root